=== modified file 'sql/rpl_record.cc'
--- sql/rpl_record.cc	2008-06-25 05:29:13 +0000
+++ sql/rpl_record.cc	2008-07-03 02:53:22 +0000
@@ -65,7 +65,6 @@
   my_ptrdiff_t const rec_offset= record - table->record[0];
   my_ptrdiff_t const def_offset= table->s->default_values - table->record[0];
 
-  DBUG_ENTER("pack_row");
 
   /*
     We write the null bits and the packed records using one pass
@@ -75,20 +74,13 @@
   unsigned int null_bits= (1U << 8) - 1;
   // Mask to mask out the correct but among the null bits
   unsigned int null_mask= 1U;
-  DBUG_PRINT("debug", ("null ptr: 0x%lx; row start: %p; null bytes: %d",
-                       (ulong) null_ptr, row_data, null_byte_count));
-  DBUG_PRINT_BITSET("debug", "cols: %s", cols);
   for ( ; (field= *p_field) ; p_field++)
   {
-    DBUG_PRINT("debug", ("field: %s; null mask: 0x%x",
-                         field->field_name, null_mask));
     if (bitmap_is_set(cols, p_field - table->field))
     {
       my_ptrdiff_t offset;
       if (field->is_null(rec_offset))
       {
-        DBUG_PRINT("debug", ("Is NULL; null_mask: 0x%x; null_bits: 0x%x",
-                             null_mask, null_bits));
         offset= def_offset;
         null_bits |= null_mask;
       }
@@ -109,11 +101,6 @@
 #endif
         pack_ptr= field->pack(pack_ptr, field->ptr + offset,
                               field->max_data_length(), TRUE);
-        DBUG_PRINT("debug", ("Packed into row; pack_ptr: 0x%lx;"
-                             " pack_ptr':0x%lx; bytes: %d",
-                             (ulong) old_pack_ptr,
-                             (ulong) pack_ptr,
-                             (int) (pack_ptr - old_pack_ptr)));
       }
 
       null_mask <<= 1;
@@ -125,13 +112,6 @@
         null_bits= (1U << 8) - 1;
       }
     }
-#ifndef DBUG_OFF
-    else
-    {
-      DBUG_PRINT("debug", ("Skipped"));
-    }
-#endif
-  }
 
   /*
     Write the last (partial) byte, if there is one
@@ -148,7 +128,7 @@
   */
   DBUG_ASSERT(null_ptr == row_data + null_byte_count);
   DBUG_DUMP("row_data", row_data, pack_ptr - row_data);
-  DBUG_RETURN(static_cast<size_t>(pack_ptr - row_data));
+  return(static_cast<size_t>(pack_ptr - row_data));
 }
 #endif
 
@@ -193,7 +173,6 @@
            uchar const *const row_data, MY_BITMAP const *cols,
            uchar const **const row_end, ulong *const master_reclength)
 {
-  DBUG_ENTER("unpack_row");
   DBUG_ASSERT(row_data);
   size_t const master_null_byte_count= (bitmap_bits_set(cols) + 7) / 8;
   int error= 0;
@@ -224,11 +203,6 @@
   {
     Field *const f= *field_ptr;
 
-    DBUG_PRINT("debug", ("%sfield: %s; null mask: 0x%x; null bits: 0x%lx;"
-                         " row start: %p; null bytes: %ld",
-                         bitmap_is_set(cols, field_ptr -  begin_ptr) ? "+" : "-",
-                         f->field_name, null_mask, (ulong) null_bits,
-                         pack_ptr, (ulong) master_null_byte_count));
 
     /*
       No need to bother about columns that does not exist: they have
@@ -250,9 +224,6 @@
 
       if ((null_bits & null_mask) && f->maybe_null())
       {
-        DBUG_PRINT("debug", ("Was NULL; null mask: 0x%x; null bits: 0x%x",
-                             null_mask, null_bits));
-
         f->set_null();
       }
       else
@@ -274,10 +245,6 @@
         uchar const *const old_pack_ptr= pack_ptr;
 #endif
         pack_ptr= f->unpack(f->ptr, pack_ptr, metadata, TRUE);
-	DBUG_PRINT("debug", ("Unpacked; metadata: 0x%x;"
-                             " pack_ptr: 0x%lx; pack_ptr': 0x%lx; bytes: %d",
-                             metadata, (ulong) old_pack_ptr, (ulong) pack_ptr,
-                             (int) (pack_ptr - old_pack_ptr)));
       }
 
       null_mask <<= 1;
@@ -285,7 +252,6 @@
 #ifndef DBUG_OFF
     else
     {
-      DBUG_PRINT("debug", ("Non-existent: skipped"));
     }
 #endif
     i++;
@@ -334,7 +300,7 @@
       *master_reclength = table->s->reclength;
   }
   
-  DBUG_RETURN(error);
+  return(error);
 }
 
 /**
@@ -368,7 +334,6 @@
 int prepare_record(TABLE *const table, 
                    const MY_BITMAP *cols, uint width, const bool check)
 {
-  DBUG_ENTER("prepare_record");
 
   int error= 0;
   empty_record(table);
@@ -380,7 +345,6 @@
     have no sensible default.
   */
 
-  DBUG_PRINT_BITSET("debug", "cols: %s", cols);
   for (Field **field_ptr= table->field ; *field_ptr ; ++field_ptr)
   {
     if ((uint) (field_ptr - table->field) >= cols->n_bits ||
@@ -396,13 +360,12 @@
       }
       else
       {
-        DBUG_PRINT("debug", ("Set default; field: %s", f->field_name));
         f->set_default();
       }
     }
   }
 
-  DBUG_RETURN(error);
+  return(error);
 }
 
 #endif // HAVE_REPLICATION

=== modified file 'sql/sql_load.cc'
--- sql/sql_load.cc	2008-06-30 07:09:25 +0000
+++ sql/sql_load.cc	2008-07-03 02:53:22 +0000
@@ -162,21 +162,20 @@
   ulong skip_lines= ex->skip_lines;
   bool transactional_table;
   THD::killed_state killed_status= THD::NOT_KILLED;
-  DBUG_ENTER("mysql_load");
 
   if (escaped->length() > 1 || enclosed->length() > 1)
   {
     my_message(ER_WRONG_FIELD_TERMINATORS,ER(ER_WRONG_FIELD_TERMINATORS),
 	       MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   if (open_and_lock_tables(thd, table_list))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   if (setup_tables_and_check_access(thd, &thd->lex->select_lex.context,
                                     &thd->lex->select_lex.top_join_list,
                                     table_list,
                                     &thd->lex->select_lex.leaf_tables, true))
-     DBUG_RETURN(-1);
+     return(-1);
 
   /*
     Let us emit an error if we are loading data to table which is used
@@ -189,7 +188,7 @@
   if (unique_table(thd, table_list, table_list->next_global, 0))
   {
     my_error(ER_UPDATE_TABLE_USED, MYF(0), table_list->table_name);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   table= table_list->table;
@@ -208,7 +207,7 @@
     */
     if (setup_fields(thd, 0, set_fields, MARK_COLUMNS_WRITE, 0, 0) ||
         setup_fields(thd, 0, set_values, MARK_COLUMNS_READ, 0, 0))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
   else
   {						// Part field list
@@ -216,7 +215,7 @@
     if (setup_fields(thd, 0, fields_vars, MARK_COLUMNS_WRITE, 0, 0) ||
         setup_fields(thd, 0, set_fields, MARK_COLUMNS_WRITE, 0, 0) ||
         check_that_all_fields_are_given_values(thd, table, table_list))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     /*
       Check whenever TIMESTAMP field with auto-set feature specified
       explicitly.
@@ -234,7 +233,7 @@
     }
     /* Fix the expressions in SET clause */
     if (setup_fields(thd, 0, set_values, MARK_COLUMNS_READ, 0, 0))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
 
   table->mark_columns_needed_for_insert();
@@ -266,12 +265,12 @@
   {
     my_message(ER_BLOBS_AND_NO_TERMINATED,ER(ER_BLOBS_AND_NO_TERMINATED),
 	       MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   if (use_vars && !field_term->length() && !enclosed->length())
   {
     my_error(ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR, MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   /* We can't give an error in the middle when using LOCAL files */
@@ -304,12 +303,12 @@
       {
         /* Read only allowed from within dir specified by secure_file_priv */
         my_error(ER_OPTION_PREVENTS_STATEMENT, MYF(0), "--secure-file-priv");
-        DBUG_RETURN(TRUE);
+        return(TRUE);
       }
 
       struct stat stat_info;
       if (stat(name,&stat_info))
-	DBUG_RETURN(TRUE);
+	return(TRUE);
 
       // if we are not in slave thread, the file must be:
       if (!thd->slave_thread &&
@@ -319,13 +318,13 @@
 	     (stat_info.st_mode & S_IFIFO) == S_IFIFO)))
       {
 	my_error(ER_TEXTFILE_NOT_READABLE, MYF(0), name);
-	DBUG_RETURN(TRUE);
+	return(TRUE);
       }
       if ((stat_info.st_mode & S_IFIFO) == S_IFIFO)
 	is_fifo = 1;
     }
     if ((file=my_open(name,O_RDONLY,MYF(MY_WME))) < 0)
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
 
   COPY_INFO info;
@@ -342,7 +341,7 @@
   {
     if	(file >= 0)
       my_close(file,MYF(0));			// no files in net reading
-    DBUG_RETURN(TRUE);				// Can't allocate buffers
+    return(TRUE);				// Can't allocate buffers
   }
 
   if (mysql_bin_log.is_open())
@@ -514,7 +513,7 @@
   table->file->ha_release_auto_increment();
   table->auto_increment_field_not_null= FALSE;
   thd->abort_on_warning= 0;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -551,7 +550,6 @@
   TABLE *table= table_list->table;
   ulonglong id;
   bool err;
-  DBUG_ENTER("read_fixed_length");
 
   id= 0;
  
@@ -560,7 +558,7 @@
     if (thd->killed)
     {
       thd->send_kill_message();
-      DBUG_RETURN(1);
+      return(1);
     }
     if (skip_lines)
     {
@@ -630,12 +628,12 @@
     if (thd->killed ||
         fill_record(thd, set_fields, set_values,
                     ignore_check_option_errors))
-      DBUG_RETURN(1);
+      return(1);
 
     err= write_record(thd, table, &info);
     table->auto_increment_field_not_null= FALSE;
     if (err)
-      DBUG_RETURN(1);
+      return(1);
    
     /*
       We don't need to reset auto-increment field since we are restoring
@@ -652,7 +650,7 @@
     }
     thd->row_count++;
   }
-  DBUG_RETURN(test(read_info.error));
+  return(test(read_info.error));
 }
 
 
@@ -670,7 +668,6 @@
   uint enclosed_length;
   ulonglong id;
   bool err;
-  DBUG_ENTER("read_sep_field");
 
   enclosed_length=enclosed.length();
   id= 0;
@@ -680,7 +677,7 @@
     if (thd->killed)
     {
       thd->send_kill_message();
-      DBUG_RETURN(1);
+      return(1);
     }
 
     restore_record(table, s->default_values);
@@ -714,7 +711,7 @@
           {
             my_error(ER_WARN_NULL_TO_NOTNULL, MYF(0), field->field_name,
                      thd->row_count);
-            DBUG_RETURN(1);
+            return(1);
           }
           field->set_null();
           if (!field->maybe_null())
@@ -734,7 +731,7 @@
         else
         {
           my_error(ER_LOAD_DATA_INVALID_COLUMN, MYF(0), item->full_name());
-          DBUG_RETURN(1);
+          return(1);
         }
 
 	continue;
@@ -757,7 +754,7 @@
       else
       {
         my_error(ER_LOAD_DATA_INVALID_COLUMN, MYF(0), item->full_name());
-        DBUG_RETURN(1);
+        return(1);
       }
     }
     if (read_info.error)
@@ -782,7 +779,7 @@
           {
             my_error(ER_WARN_NULL_TO_NOTNULL, MYF(0),field->field_name,
                      thd->row_count);
-            DBUG_RETURN(1);
+            return(1);
           }
           if (!field->maybe_null() && field->type() == FIELD_TYPE_TIMESTAMP)
               ((Field_timestamp*) field)->set_time();
@@ -805,7 +802,7 @@
         else
         {
           my_error(ER_LOAD_DATA_INVALID_COLUMN, MYF(0), item->full_name());
-          DBUG_RETURN(1);
+          return(1);
         }
       }
     }
@@ -813,12 +810,12 @@
     if (thd->killed ||
         fill_record(thd, set_fields, set_values,
                     ignore_check_option_errors))
-      DBUG_RETURN(1);
+      return(1);
 
     err= write_record(thd, table, &info);
     table->auto_increment_field_not_null= FALSE;
     if (err)
-      DBUG_RETURN(1);
+      return(1);
     /*
       We don't need to reset auto-increment field since we are restoring
       its default value at the beginning of each loop iteration.
@@ -832,11 +829,11 @@
                           ER_WARN_TOO_MANY_RECORDS, ER(ER_WARN_TOO_MANY_RECORDS), 
                           thd->row_count);   
       if (thd->killed)
-        DBUG_RETURN(1);
+        return(1);
     }
     thd->row_count++;
   }
-  DBUG_RETURN(test(read_info.error));
+  return(test(read_info.error));
 }
 
 
@@ -855,7 +852,6 @@
   TABLE *table= table_list->table;
   bool no_trans_update_stmt;
   CHARSET_INFO *cs= read_info.read_charset;
-  DBUG_ENTER("read_xml_field");
   
   no_trans_update_stmt= !table->file->has_transactions();
   
@@ -864,7 +860,7 @@
     if (thd->killed)
     {
       thd->send_kill_message();
-      DBUG_RETURN(1);
+      return(1);
     }
     
     // read row tag and save values into tag list
@@ -875,15 +871,6 @@
     xmlit.rewind();
     XML_TAG *tag= NULL;
     
-#ifndef DBUG_OFF
-    DBUG_PRINT("read_xml_field", ("skip_lines=%d", (int) skip_lines));
-    while ((tag= xmlit++))
-    {
-      DBUG_PRINT("read_xml_field", ("got tag:%i '%s' '%s'",
-                                    tag->level, tag->field.c_ptr(),
-                                    tag->value.c_ptr()));
-    }
-#endif
     
     restore_record(table, s->default_values);
     
@@ -975,10 +962,10 @@
 
     if (thd->killed || fill_record(thd, set_fields, set_values,
                     ignore_check_option_errors))
-      DBUG_RETURN(1);
+      return(1);
 
     if (write_record(thd, table, &info))
-      DBUG_RETURN(1);
+      return(1);
     
     /*
       We don't need to reset auto-increment field since we are restoring
@@ -987,7 +974,7 @@
     thd->transaction.stmt.modified_non_trans_table= no_trans_update_stmt;
     thd->row_count++;
   }
-  DBUG_RETURN(test(read_info.error));
+  return(test(read_info.error));
 } /* load xml end */
 
 
@@ -1445,7 +1432,6 @@
 */
 int READ_INFO::clear_level(int level)
 {
-  DBUG_ENTER("READ_INFO::read_xml clear_level");
   List_iterator<XML_TAG> xmlit(taglist);
   xmlit.rewind();
   XML_TAG *tag;
@@ -1458,7 +1444,7 @@
        delete tag;
      }
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -1522,7 +1508,6 @@
 #ifdef USE_MB
     if (my_mbcharlen(read_charset, chr) > 1)
     {
-      DBUG_PRINT("read_xml",("multi byte"));
       int i, ml= my_mbcharlen(read_charset, chr);
       for (i= 1; i < ml; i++) 
       {
@@ -1570,7 +1555,6 @@
 */
 int READ_INFO::read_xml()
 {
-  DBUG_ENTER("READ_INFO::read_xml");
   int chr, chr2, chr3;
   int delim= 0;
   String tag, attribute, value;
@@ -1625,14 +1609,6 @@
         chr= my_tospace(GET);
       }
       
-      // row tag should be in ROWS IDENTIFIED BY '<row>' - stored in line_term 
-      if((tag.length() == line_term_length -2) &&
-         (strncmp(tag.c_ptr_safe(), line_term_ptr + 1, tag.length()) == 0))
-      {
-        DBUG_PRINT("read_xml", ("start-of-row: %i %s %s", 
-                                level,tag.c_ptr_safe(), line_term_ptr));
-      }
-      
       if(chr == ' ' || chr == '>')
       {
         level++;
@@ -1667,11 +1643,8 @@
       
       /* save value to list */
       if(tag.length() > 0 && value.length() > 0)
-      {
-        DBUG_PRINT("read_xml", ("lev:%i tag:%s val:%s",
-                                level,tag.c_ptr_safe(), value.c_ptr_safe()));
         taglist.push_front( new XML_TAG(level, tag, value));
-      }
+
       tag.length(0);
       value.length(0);
       attribute.length(0);
@@ -1690,11 +1663,8 @@
       
       if((tag.length() == line_term_length -2) &&
          (strncmp(tag.c_ptr_safe(), line_term_ptr + 1, tag.length()) == 0))
-      {
-         DBUG_PRINT("read_xml", ("found end-of-row %i %s", 
-                                 level, tag.c_ptr_safe()));
-         DBUG_RETURN(0); //normal return
-      }
+         return(0); //normal return
+
       chr= my_tospace(GET);
       break;   
       
@@ -1731,13 +1701,8 @@
       
       chr= read_value(delim, &value);
       if(attribute.length() > 0 && value.length() > 0)
-      {
-        DBUG_PRINT("read_xml", ("lev:%i att:%s val:%s\n",
-                                level + 1,
-                                attribute.c_ptr_safe(),
-                                value.c_ptr_safe()));
         taglist.push_front(new XML_TAG(level + 1, attribute, value));
-      }
+
       attribute.length(0);
       value.length(0);
       if (chr != ' ')
@@ -1750,7 +1715,6 @@
   } /* end while */
   
 found_eof:
-  DBUG_PRINT("read_xml",("Found eof"));
   eof= 1;
-  DBUG_RETURN(1);
+  return(1);
 }

=== modified file 'sql/sql_parse.cc'
--- sql/sql_parse.cc	2008-06-29 21:46:43 +0000
+++ sql/sql_parse.cc	2008-07-03 02:53:22 +0000
@@ -83,22 +83,20 @@
 bool end_active_trans(THD *thd)
 {
   int error=0;
-  DBUG_ENTER("end_active_trans");
   if (unlikely(thd->in_sub_stmt))
   {
     my_error(ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG, MYF(0));
-    DBUG_RETURN(1);
+    return(1);
   }
   if (thd->transaction.xid_state.xa_state != XA_NOTR)
   {
     my_error(ER_XAER_RMFAIL, MYF(0),
              xa_state_names[thd->transaction.xid_state.xa_state]);
-    DBUG_RETURN(1);
+    return(1);
   }
   if (thd->options & (OPTION_NOT_AUTOCOMMIT | OPTION_BEGIN |
 		      OPTION_TABLE_LOCK))
   {
-    DBUG_PRINT("info",("options: 0x%llx", thd->options));
     /* Safety if one did "drop table" on locked tables */
     if (!thd->locked_tables)
       thd->options&= ~OPTION_TABLE_LOCK;
@@ -108,7 +106,7 @@
   }
   thd->options&= ~(OPTION_BEGIN | OPTION_KEEP_LOG);
   thd->transaction.all.modified_non_trans_table= FALSE;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -292,7 +290,6 @@
     thd->fatal_error();
     goto end;
   }
-  DBUG_ENTER("handle_bootstrap");
 
   pthread_detach_this_thread();
   thd->thread_stack= (char*) &thd;
@@ -352,7 +349,6 @@
     thd->query= (char*) thd->memdup_w_gap(buff, length+1, 
                                           thd->db_length+1);
     thd->query[length] = '\0';
-    DBUG_PRINT("query",("%-.4096s",thd->query));
 
     /*
       We don't need to obtain LOCK_thread_count here because in bootstrap
@@ -384,7 +380,7 @@
   (void) pthread_cond_broadcast(&COND_thread_count);
   my_thread_end();
   pthread_exit(0);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /* This works because items are allocated with sql_alloc() */
@@ -392,23 +388,21 @@
 void free_items(Item *item)
 {
   Item *next;
-  DBUG_ENTER("free_items");
   for (; item ; item=next)
   {
     next=item->next;
     item->delete_self();
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 /* This works because items are allocated with sql_alloc() */
 
 void cleanup_items(Item *item)
 {
-  DBUG_ENTER("cleanup_items");
   for (; item ; item=item->next)
     item->cleanup();
-  DBUG_VOID_RETURN;
+  return;
 }
 
 /**
@@ -425,18 +419,17 @@
 {
   bool do_release= 0;
   int res= 0;
-  DBUG_ENTER("end_trans");
 
   if (unlikely(thd->in_sub_stmt))
   {
     my_error(ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG, MYF(0));
-    DBUG_RETURN(1);
+    return(1);
   }
   if (thd->transaction.xid_state.xa_state != XA_NOTR)
   {
     my_error(ER_XAER_RMFAIL, MYF(0),
              xa_state_names[thd->transaction.xid_state.xa_state]);
-    DBUG_RETURN(1);
+    return(1);
   }
   switch (completion) {
   case COMMIT:
@@ -474,7 +467,7 @@
   default:
     res= -1;
     my_error(ER_UNKNOWN_COM_ERROR, MYF(0));
-    DBUG_RETURN(-1);
+    return(-1);
   }
 
   if (res < 0)
@@ -482,7 +475,7 @@
   else if ((res == 0) && do_release)
     thd->killed= THD::KILL_CONNECTION;
 
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
@@ -505,7 +498,6 @@
   ulong packet_length;
   NET *net= &thd->net;
   enum enum_server_command command;
-  DBUG_ENTER("do_command");
 
   /*
     indicator of uninitialized lex => normal flow of errors handling
@@ -533,9 +525,6 @@
   packet_length= my_net_read(net);
   if (packet_length == packet_error)
   {
-    DBUG_PRINT("info",("Got error %d reading command from socket %s",
-		       net->error,
-		       vio_description(net->vio)));
 
     /* Check if we can continue without closing the connection */
 
@@ -577,9 +566,6 @@
   if (command >= COM_END)
     command= COM_END;                           // Wrong command
 
-  DBUG_PRINT("info",("Command on %s = %d (%s)",
-                     vio_description(net->vio), command,
-                     command_name[command].str));
 
   /* Restore read timeout value */
   my_net_set_read_timeout(net, thd->variables.net_read_timeout);
@@ -588,7 +574,7 @@
   return_value= dispatch_command(command, thd, packet+1, (uint) (packet_length-1));
 
 out:
-  DBUG_RETURN(return_value);
+  return(return_value);
 }
 
 /**
@@ -609,19 +595,18 @@
 static my_bool deny_updates_if_read_only_option(THD *thd,
                                                 TABLE_LIST *all_tables)
 {
-  DBUG_ENTER("deny_updates_if_read_only_option");
 
   if (!opt_readonly)
-    DBUG_RETURN(FALSE);
+    return(FALSE);
 
   LEX *lex= thd->lex;
 
   if (!(sql_command_flags[lex->sql_command] & CF_CHANGES_DATA))
-    DBUG_RETURN(FALSE);
+    return(FALSE);
 
   /* Multi update is an exception and is dealt with later. */
   if (lex->sql_command == SQLCOM_UPDATE_MULTI)
-    DBUG_RETURN(FALSE);
+    return(FALSE);
 
   const my_bool create_temp_tables= 
     (lex->sql_command == SQLCOM_CREATE_TABLE) &&
@@ -645,12 +630,12 @@
       /*
         An attempt was made to modify one or more non-temporary tables.
       */
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
 
 
   /* Assuming that only temporary tables are modified. */
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 /**
@@ -679,8 +664,6 @@
 {
   NET *net= &thd->net;
   bool error= 0;
-  DBUG_ENTER("dispatch_command");
-  DBUG_PRINT("info",("packet: '%*.s'; command: %d", packet_length, packet, command));
 
   thd->command=command;
   /*
@@ -861,7 +844,6 @@
     const char* end_of_stmt= NULL;
 
     general_log_write(thd, command, thd->query, thd->query_length);
-    DBUG_PRINT("query",("%-.4096s",thd->query));
 
     if (!(specialflag & SPECIAL_NO_PRIOR))
     {
@@ -917,7 +899,6 @@
       tmp_sched_param.sched_priority= WAIT_PRIOR;
       (void)pthread_setschedparam(pthread_self(), SCHED_OTHER, &tmp_sched_param);
     }
-    DBUG_PRINT("info",("query ready"));
     break;
   }
   case COM_FIELD_LIST:				// This isn't actually needed
@@ -1025,7 +1006,6 @@
       my_error(ER_NOT_SUPPORTED_YET, MYF(0), "this shutdown level");
       break;
     }
-    DBUG_PRINT("quit",("Got shutdown command for level %u", level));
     general_log_print(thd, command, NullS);
     my_eof(thd);
     close_thread_tables(thd);			// Free before kill
@@ -1158,13 +1138,12 @@
   VOID(pthread_mutex_unlock(&LOCK_thread_count));
   thd->packet.shrink(thd->variables.net_buffer_length);	// Reclaim some memory
   free_root(thd->mem_root,MYF(MY_KEEP_PREALLOC));
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
 void log_slow_statement(THD *thd)
 {
-  DBUG_ENTER("log_slow_statement");
 
   /*
     The following should never be true with our current code base,
@@ -1172,7 +1151,7 @@
     statement in a trigger or stored function
   */
   if (unlikely(thd->in_sub_stmt))
-    DBUG_VOID_RETURN;                           // Don't set time for sub stmt
+    return;                           // Don't set time for sub stmt
 
   /*
     Do not log administrative statements unless the appropriate option is
@@ -1196,7 +1175,7 @@
       slow_log_print(thd, thd->query, thd->query_length, end_utime_of_query);
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -1230,7 +1209,6 @@
                          enum enum_schema_tables schema_table_idx)
 {
   SELECT_LEX *schema_select_lex= NULL;
-  DBUG_ENTER("prepare_schema_table");
 
   switch (schema_table_idx) {
   case SCH_SCHEMATA:
@@ -1243,7 +1221,7 @@
       if (lex->select_lex.db == NULL &&
           lex->copy_db_to(&lex->select_lex.db, &dummy))
       {
-        DBUG_RETURN(1);
+        return(1);
       }
       schema_select_lex= new SELECT_LEX();
       db.str= schema_select_lex->db= lex->select_lex.db;
@@ -1253,7 +1231,7 @@
       if (check_db_name(&db))
       {
         my_error(ER_WRONG_DB_NAME, MYF(0), db.str);
-        DBUG_RETURN(1);
+        return(1);
       }
       break;
     }
@@ -1267,7 +1245,7 @@
     schema_select_lex->parent_lex= lex;
     schema_select_lex->init_query();
     if (!schema_select_lex->add_table_to_list(thd, table_ident, 0, 0, TL_READ))
-      DBUG_RETURN(1);
+      return(1);
     lex->query_tables_last= query_tables_last;
     break;
   }
@@ -1287,13 +1265,13 @@
   assert(select_lex);
   if (make_schema_select(thd, select_lex, schema_table_idx))
   {
-    DBUG_RETURN(1);
+    return(1);
   }
   TABLE_LIST *table_list= (TABLE_LIST*) select_lex->table_list.first;
   assert(table_list);
   table_list->schema_select_lex= schema_select_lex;
   table_list->schema_table_reformed= 1;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -1406,7 +1384,6 @@
   /* most outer SELECT_LEX_UNIT of query */
   SELECT_LEX_UNIT *unit= &lex->unit;
   /* Saved variable value */
-  DBUG_ENTER("mysql_execute_command");
 
   /*
     In many cases first table of main SELECT_LEX have special meaning =>
@@ -1481,7 +1458,7 @@
         */
         reset_one_shot_variables(thd);
       }
-      DBUG_RETURN(0);
+      return(0);
     }
   }
   else
@@ -1493,7 +1470,7 @@
     if (deny_updates_if_read_only_option(thd, all_tables))
     {
       my_error(ER_OPTION_PREVENTS_STATEMENT, MYF(0), "--read-only");
-      DBUG_RETURN(-1);
+      return(-1);
     }
   } /* endif unlikely slave */
   status_var_increment(thd->status_var.com_stat[lex->sql_command]);
@@ -2154,7 +2131,6 @@
       */
 
       Incident incident= INCIDENT_NONE;
-      DBUG_PRINT("debug", ("Just before generate_incident()"));
       DBUG_EXECUTE_IF("incident_database_resync_on_replace",
                       incident= INCIDENT_LOST_EVENTS;);
       if (incident)
@@ -2163,7 +2139,6 @@
         mysql_bin_log.write(&ev);
         mysql_bin_log.rotate_and_purge(RP_FORCE_ROTATE);
       }
-      DBUG_PRINT("debug", ("Just after generate_incident()"));
     }
 #endif
   case SQLCOM_INSERT:
@@ -2468,10 +2443,6 @@
       - only transactional locks are requested (lex->lock_transactional) and
       - no non-transactional locks exist (!thd->locked_tables).
     */
-    DBUG_PRINT("lock_info", ("lex->lock_transactional: %d  "
-                             "thd->locked_tables: 0x%lx",
-                             lex->lock_transactional,
-                             (long) thd->locked_tables));
     if (lex->lock_transactional && !thd->locked_tables)
     {
       int rc;
@@ -2514,8 +2485,6 @@
       thd->locked_tables=thd->lock;
       thd->lock=0;
       (void) set_handler_table_locks(thd, all_tables, FALSE);
-      DBUG_PRINT("lock_info", ("thd->locked_tables: 0x%lx",
-                               (long) thd->locked_tables));
       my_ok(thd);
     }
     else
@@ -2910,7 +2879,7 @@
     */
     start_waiting_global_read_lock(thd);
   }
-  DBUG_RETURN(res || thd->is_error());
+  return(res || thd->is_error());
 }
 
 
@@ -3055,7 +3024,6 @@
 
 void mysql_reset_thd_for_next_command(THD *thd)
 {
-  DBUG_ENTER("mysql_reset_thd_for_next_command");
   DBUG_ASSERT(! thd->in_sub_stmt);
   thd->free_list= 0;
   thd->select_number= 1;
@@ -3101,7 +3069,7 @@
   */
   thd->reset_current_stmt_binlog_row_based();
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3124,10 +3092,9 @@
 {
   SELECT_LEX *select_lex;
   THD *thd= lex->thd;
-  DBUG_ENTER("mysql_new_select");
 
   if (!(select_lex= new (thd->mem_root) SELECT_LEX()))
-    DBUG_RETURN(1);
+    return(1);
   select_lex->select_number= ++thd->select_number;
   select_lex->parent_lex= lex; /* Used in init_query. */
   select_lex->init_query();
@@ -3136,7 +3103,7 @@
   if (lex->nest_level > (int) MAX_SELECT_NESTING)
   {
     my_error(ER_TOO_HIGH_LEVEL_OF_NESTING_FOR_SELECT,MYF(0),MAX_SELECT_NESTING);
-    DBUG_RETURN(1);
+    return(1);
   }
   select_lex->nest_level= lex->nest_level;
   if (move_down)
@@ -3145,7 +3112,7 @@
     lex->subqueries= TRUE;
     /* first select_lex of subselect or derived table */
     if (!(unit= new (thd->mem_root) SELECT_LEX_UNIT()))
-      DBUG_RETURN(1);
+      return(1);
 
     unit->init_query();
     unit->init_select();
@@ -3166,12 +3133,12 @@
     if (lex->current_select->order_list.first && !lex->current_select->braces)
     {
       my_error(ER_WRONG_USAGE, MYF(0), "UNION", "ORDER BY");
-      DBUG_RETURN(1);
+      return(1);
     }
     select_lex->include_neighbour(lex->current_select);
     SELECT_LEX_UNIT *unit= select_lex->master_unit();                              
     if (!unit->fake_select_lex && unit->add_fake_select_lex(lex->thd))
-      DBUG_RETURN(1);
+      return(1);
     select_lex->context.outer_context= 
                 unit->first_select()->context.outer_context;
   }
@@ -3184,7 +3151,7 @@
     list
   */
   select_lex->context.resolve_in_select_list= TRUE;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /**
@@ -3204,7 +3171,6 @@
   LEX_STRING tmp, null_lex_string;
   Item *var;
   char buff[MAX_SYS_VAR_LENGTH*2+4+8], *end;
-  DBUG_ENTER("create_select_for_variable");
 
   thd= current_thd;
   lex= thd->lex;
@@ -3223,7 +3189,7 @@
     var->set_name(buff, end-buff, system_charset_info);
     add_item_to_list(thd, var);
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3258,7 +3224,6 @@
 void mysql_parse(THD *thd, const char *inBuf, uint length,
                  const char ** found_semicolon)
 {
-  DBUG_ENTER("mysql_parse");
 
   DBUG_EXECUTE_IF("parser_debug", turn_parser_debug_on(););
 
@@ -3313,11 +3278,8 @@
       }
     }
     else
-    {
       DBUG_ASSERT(thd->is_error());
-      DBUG_PRINT("info",("Command aborted. Fatal_error: %d",
-			 thd->is_fatal_error));
-    }
+
     lex->unit.cleanup();
     thd_proc_info(thd, "freeing items");
     thd->end_statement();
@@ -3325,7 +3287,7 @@
     DBUG_ASSERT(thd->change_list.is_empty());
   }
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3344,7 +3306,6 @@
 {
   LEX *lex= thd->lex;
   bool error= 0;
-  DBUG_ENTER("mysql_test_parse_for_slave");
 
   Lex_input_stream lip(thd, inBuf, length);
   lex_start(thd);
@@ -3355,7 +3316,7 @@
     error= 1;                  /* Ignore question */
   thd->end_statement();
   thd->cleanup_after_query();
-  DBUG_RETURN(error);
+  return(error);
 }
 #endif
 
@@ -3380,10 +3341,9 @@
 {
   register Create_field *new_field;
   LEX  *lex= thd->lex;
-  DBUG_ENTER("add_field_to_list");
 
   if (check_identifier_name(field_name, ER_TOO_LONG_IDENT))
-    DBUG_RETURN(1);				/* purecov: inspected */
+    return(1);				/* purecov: inspected */
 
   if (type_modifier & PRI_KEY_FLAG)
   {
@@ -3420,7 +3380,7 @@
          type == MYSQL_TYPE_TIMESTAMP))
     {
       my_error(ER_INVALID_DEFAULT, MYF(0), field_name->str);
-      DBUG_RETURN(1);
+      return(1);
     }
     else if (default_value->type() == Item::NULL_ITEM)
     {
@@ -3429,20 +3389,20 @@
 	  NOT_NULL_FLAG)
       {
 	my_error(ER_INVALID_DEFAULT, MYF(0), field_name->str);
-	DBUG_RETURN(1);
+	return(1);
       }
     }
     else if (type_modifier & AUTO_INCREMENT_FLAG)
     {
       my_error(ER_INVALID_DEFAULT, MYF(0), field_name->str);
-      DBUG_RETURN(1);
+      return(1);
     }
   }
 
   if (on_update_value && type != MYSQL_TYPE_TIMESTAMP)
   {
     my_error(ER_INVALID_ON_UPDATE, MYF(0), field_name->str);
-    DBUG_RETURN(1);
+    return(1);
   }
 
   if (!(new_field= new Create_field()) ||
@@ -3450,11 +3410,11 @@
                       default_value, on_update_value, comment, change,
                       interval_list, cs, 0,
                       storage_type, column_format))
-    DBUG_RETURN(1);
+    return(1);
 
   lex->alter_info.create_list.push_back(new_field);
   lex->last_field=new_field;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3489,9 +3449,8 @@
 bool add_to_list(THD *thd, SQL_LIST &list,Item *item,bool asc)
 {
   ORDER *order;
-  DBUG_ENTER("add_to_list");
   if (!(order = (ORDER *) thd->alloc(sizeof(ORDER))))
-    DBUG_RETURN(1);
+    return(1);
   order->item_ptr= item;
   order->item= &order->item_ptr;
   order->asc = asc;
@@ -3499,7 +3458,7 @@
   order->used=0;
   order->counter_used= 0;
   list.link_in_list((uchar*) order,(uchar**) &order->next);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3534,23 +3493,22 @@
   TABLE_LIST *previous_table_ref; /* The table preceding the current one. */
   char *alias_str;
   LEX *lex= thd->lex;
-  DBUG_ENTER("add_table_to_list");
 
   if (!table)
-    DBUG_RETURN(0);				// End of memory
+    return(0);				// End of memory
   alias_str= alias ? alias->str : table->table.str;
   if (!test(table_options & TL_OPTION_ALIAS) && 
       check_table_name(table->table.str, table->table.length))
   {
     my_error(ER_WRONG_TABLE_NAME, MYF(0), table->table.str);
-    DBUG_RETURN(0);
+    return(0);
   }
 
   if (table->is_derived_table() == FALSE && table->db.str &&
       check_db_name(&table->db))
   {
     my_error(ER_WRONG_DB_NAME, MYF(0), table->db.str);
-    DBUG_RETURN(0);
+    return(0);
   }
 
   if (!alias)					/* Alias is case sensitive */
@@ -3559,13 +3517,13 @@
     {
       my_message(ER_DERIVED_MUST_HAVE_ALIAS,
                  ER(ER_DERIVED_MUST_HAVE_ALIAS), MYF(0));
-      DBUG_RETURN(0);
+      return(0);
     }
     if (!(alias_str= (char*) thd->memdup(alias_str,table->table.length+1)))
-      DBUG_RETURN(0);
+      return(0);
   }
   if (!(ptr = (TABLE_LIST *) thd->calloc(sizeof(TABLE_LIST))))
-    DBUG_RETURN(0);				/* purecov: inspected */
+    return(0);				/* purecov: inspected */
   if (table->db.str)
   {
     ptr->is_fqtn= TRUE;
@@ -3573,7 +3531,7 @@
     ptr->db_length= table->db.length;
   }
   else if (lex->copy_db_to(&ptr->db, &ptr->db_length))
-    DBUG_RETURN(0);
+    return(0);
   else
     ptr->is_fqtn= FALSE;
 
@@ -3605,7 +3563,7 @@
     {
       my_error(ER_UNKNOWN_TABLE, MYF(0),
                ptr->table_name, INFORMATION_SCHEMA_NAME.str);
-      DBUG_RETURN(0);
+      return(0);
     }
     ptr->schema_table_name= ptr->table_name;
     ptr->schema_table= schema_table;
@@ -3626,7 +3584,7 @@
 	  !strcmp(ptr->db, tables->db))
       {
 	my_error(ER_NONUNIQ_TABLE, MYF(0), alias_str); /* purecov: tested */
-	DBUG_RETURN(0);				/* purecov: tested */
+	return(0);				/* purecov: tested */
       }
     }
   }
@@ -3661,7 +3619,7 @@
   ptr->next_name_resolution_table= NULL;
   /* Link table in global list (all used tables) */
   lex->add_to_query_tables(ptr);
-  DBUG_RETURN(ptr);
+  return(ptr);
 }
 
 
@@ -3688,11 +3646,10 @@
 {
   TABLE_LIST *ptr;
   NESTED_JOIN *nested_join;
-  DBUG_ENTER("init_nested_join");
 
   if (!(ptr= (TABLE_LIST*) thd->calloc(ALIGN_SIZE(sizeof(TABLE_LIST))+
                                        sizeof(NESTED_JOIN))))
-    DBUG_RETURN(1);
+    return(1);
   nested_join= ptr->nested_join=
     ((NESTED_JOIN*) ((uchar*) ptr + ALIGN_SIZE(sizeof(TABLE_LIST))));
 
@@ -3703,7 +3660,7 @@
   embedding= ptr;
   join_list= &nested_join->join_list;
   join_list->empty();
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3725,7 +3682,6 @@
 {
   TABLE_LIST *ptr;
   NESTED_JOIN *nested_join;
-  DBUG_ENTER("end_nested_join");
 
   DBUG_ASSERT(embedding);
   ptr= embedding;
@@ -3746,7 +3702,7 @@
     join_list->pop();
     ptr= 0;                                     // return value
   }
-  DBUG_RETURN(ptr);
+  return(ptr);
 }
 
 
@@ -3768,11 +3724,10 @@
   TABLE_LIST *ptr;
   NESTED_JOIN *nested_join;
   List<TABLE_LIST> *embedded_list;
-  DBUG_ENTER("nest_last_join");
 
   if (!(ptr= (TABLE_LIST*) thd->calloc(ALIGN_SIZE(sizeof(TABLE_LIST))+
                                        sizeof(NESTED_JOIN))))
-    DBUG_RETURN(0);
+    return(0);
   nested_join= ptr->nested_join=
     ((NESTED_JOIN*) ((uchar*) ptr + ALIGN_SIZE(sizeof(TABLE_LIST))));
 
@@ -3801,7 +3756,7 @@
   }
   join_list->push_front(ptr);
   nested_join->used_tables= nested_join->not_null_tables= (table_map) 0;
-  DBUG_RETURN(ptr);
+  return(ptr);
 }
 
 
@@ -3821,11 +3776,10 @@
 
 void st_select_lex::add_joined_table(TABLE_LIST *table)
 {
-  DBUG_ENTER("add_joined_table");
   join_list->push_front(table);
   table->join_list= join_list;
   table->embedding= embedding;
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3864,13 +3818,12 @@
 {
   TABLE_LIST *tab2= join_list->pop();
   TABLE_LIST *tab1= join_list->pop();
-  DBUG_ENTER("convert_right_join");
 
   join_list->push_front(tab2);
   join_list->push_front(tab1);
   tab1->outer_join|= JOIN_TYPE_RIGHT;
 
-  DBUG_RETURN(tab1);
+  return(tab1);
 }
 
 /**
@@ -3887,9 +3840,6 @@
 void st_select_lex::set_lock_for_tables(thr_lock_type lock_type)
 {
   bool for_update= lock_type >= TL_READ_NO_INSERT;
-  DBUG_ENTER("set_lock_for_tables");
-  DBUG_PRINT("enter", ("lock_type: %d  for_update: %d", lock_type,
-		       for_update));
 
   for (TABLE_LIST *tables= (TABLE_LIST*) table_list.first;
        tables;
@@ -3898,7 +3848,7 @@
     tables->lock_type= lock_type;
     tables->updating=  for_update;
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3931,11 +3881,10 @@
 bool st_select_lex_unit::add_fake_select_lex(THD *thd_arg)
 {
   SELECT_LEX *first_sl= first_select();
-  DBUG_ENTER("add_fake_select_lex");
   DBUG_ASSERT(!fake_select_lex);
 
   if (!(fake_select_lex= new (thd_arg->mem_root) SELECT_LEX()))
-      DBUG_RETURN(1);
+      return(1);
   fake_select_lex->include_standalone(this, 
                                       (SELECT_LEX_NODE**)&fake_select_lex);
   fake_select_lex->select_number= INT_MAX;
@@ -3962,7 +3911,7 @@
     thd_arg->lex->current_select= fake_select_lex;
   }
   thd_arg->lex->pop_context();
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -4224,8 +4173,6 @@
 {
   THD *tmp;
   uint error=ER_NO_SUCH_THREAD;
-  DBUG_ENTER("kill_one_thread");
-  DBUG_PRINT("enter", ("id=%lu only_kill=%d", id, only_kill_query));
   VOID(pthread_mutex_lock(&LOCK_thread_count)); // For unlink from list
   I_List_iterator<THD> it(threads);
   while ((tmp=it++))
@@ -4245,8 +4192,7 @@
     error=0;
     pthread_mutex_unlock(&tmp->LOCK_delete);
   }
-  DBUG_PRINT("exit", ("%d", error));
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -4407,12 +4353,11 @@
   const char *msg= 0;
   LEX *lex= thd->lex;
   SELECT_LEX *select_lex= &lex->select_lex;
-  DBUG_ENTER("multi_update_precheck");
 
   if (select_lex->item_list.elements != lex->value_list.elements)
   {
     my_message(ER_WRONG_VALUE_COUNT, ER(ER_WRONG_VALUE_COUNT), MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   if (select_lex->order_list.elements)
@@ -4422,9 +4367,9 @@
   if (msg)
   {
     my_error(ER_WRONG_USAGE, MYF(0), "UPDATE", msg);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 /**
@@ -4443,7 +4388,6 @@
 {
   SELECT_LEX *select_lex= &thd->lex->select_lex;
   TABLE_LIST **save_query_tables_own_last= thd->lex->query_tables_own_last;
-  DBUG_ENTER("multi_delete_precheck");
 
   thd->lex->query_tables_own_last= 0;
   thd->lex->query_tables_own_last= save_query_tables_own_last;
@@ -4452,9 +4396,9 @@
   {
     my_message(ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE,
                ER(ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE), MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -4479,7 +4423,6 @@
                                             TABLE_LIST *tables)
 {
   TABLE_LIST *match= NULL;
-  DBUG_ENTER("multi_delete_table_match");
 
   for (TABLE_LIST *elem= tables; elem; elem= elem->next_local)
   {
@@ -4502,7 +4445,7 @@
     if (match)
     {
       my_error(ER_NONUNIQ_TABLE, MYF(0), elem->alias);
-      DBUG_RETURN(NULL);
+      return(NULL);
     }
 
     match= elem;
@@ -4511,7 +4454,7 @@
   if (!match)
     my_error(ER_UNKNOWN_TABLE, MYF(0), tbl->table_name, "MULTI DELETE");
 
-  DBUG_RETURN(match);
+  return(match);
 }
 
 
@@ -4531,7 +4474,6 @@
 {
   TABLE_LIST *tables= (TABLE_LIST*)lex->select_lex.table_list.first;
   TABLE_LIST *target_tbl;
-  DBUG_ENTER("multi_delete_set_locks_and_link_aux_tables");
 
   lex->table_count= 0;
 
@@ -4542,7 +4484,7 @@
     /* All tables in aux_tables must be found in FROM PART */
     TABLE_LIST *walk= multi_delete_table_match(lex, target_tbl, tables);
     if (!walk)
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     if (!walk->derived)
     {
       target_tbl->table_name= walk->table_name;
@@ -4552,7 +4494,7 @@
     walk->lock_type= target_tbl->lock_type;
     target_tbl->correspondent_table= walk;	// Remember corresponding table
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -4570,13 +4512,12 @@
 
 bool update_precheck(THD *thd, TABLE_LIST *tables)
 {
-  DBUG_ENTER("update_precheck");
   if (thd->lex->select_lex.item_list.elements != thd->lex->value_list.elements)
   {
     my_message(ER_WRONG_VALUE_COUNT, ER(ER_WRONG_VALUE_COUNT), MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -4595,7 +4536,6 @@
 bool insert_precheck(THD *thd, TABLE_LIST *tables)
 {
   LEX *lex= thd->lex;
-  DBUG_ENTER("insert_precheck");
 
   /*
     Check that we have modify privileges for the first table and
@@ -4604,9 +4544,9 @@
   if (lex->update_list.elements != lex->value_list.elements)
   {
     my_message(ER_WRONG_VALUE_COUNT, ER(ER_WRONG_VALUE_COUNT), MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -4629,12 +4569,11 @@
   LEX *lex= thd->lex;
   SELECT_LEX *select_lex= &lex->select_lex;
   bool error= TRUE;                                 // Error message is given
-  DBUG_ENTER("create_table_precheck");
 
   if (create_table && (strcmp(create_table->db, "information_schema") == 0))
   {
     my_error(ER_DBACCESS_DENIED_ERROR, MYF(0), "", "", INFORMATION_SCHEMA_NAME.str);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   if (select_lex->item_list.elements)
@@ -4665,7 +4604,7 @@
   }
   error= FALSE;
 
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -4825,10 +4764,9 @@
 {
   char path[FN_REFLEN], conv_path[FN_REFLEN];
   uint dir_len, home_dir_len= strlen(mysql_unpacked_real_data_home);
-  DBUG_ENTER("test_if_data_home_dir");
 
   if (!dir)
-    DBUG_RETURN(0);
+    return(0);
 
   (void) fn_format(path, dir, "", "",
                    (MY_RETURN_REAL_PATH|MY_RESOLVE_SYMLINKS));
@@ -4842,12 +4780,12 @@
                         (const uchar*) conv_path, home_dir_len,
                         (const uchar*) mysql_unpacked_real_data_home,
                         home_dir_len))
-        DBUG_RETURN(1);
+        return(1);
     }
     else if (!memcmp(conv_path, mysql_unpacked_real_data_home, home_dir_len))
-      DBUG_RETURN(1);
+      return(1);
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 

=== modified file 'sql/sql_plugin.cc'
--- sql/sql_plugin.cc	2008-06-29 15:16:28 +0000
+++ sql/sql_plugin.cc	2008-07-03 02:53:22 +0000
@@ -275,7 +275,6 @@
 {
   uint i;
   struct st_plugin_dl *tmp;
-  DBUG_ENTER("plugin_dl_find");
   for (i= 0; i < plugin_dl_array.elements; i++)
   {
     tmp= *dynamic_element(&plugin_dl_array, i, struct st_plugin_dl **);
@@ -283,9 +282,9 @@
         ! my_strnncoll(files_charset_info,
                        (const uchar *)dl->str, dl->length,
                        (const uchar *)tmp->dl.str, tmp->dl.length))
-      DBUG_RETURN(tmp);
+      return(tmp);
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -293,23 +292,22 @@
 {
   uint i;
   struct st_plugin_dl *tmp;
-  DBUG_ENTER("plugin_dl_insert_or_reuse");
   for (i= 0; i < plugin_dl_array.elements; i++)
   {
     tmp= *dynamic_element(&plugin_dl_array, i, struct st_plugin_dl **);
     if (! tmp->ref_count)
     {
       memcpy(tmp, plugin_dl, sizeof(struct st_plugin_dl));
-      DBUG_RETURN(tmp);
+      return(tmp);
     }
   }
   if (insert_dynamic(&plugin_dl_array, (uchar*)&plugin_dl))
-    DBUG_RETURN(0);
+    return(0);
   tmp= *dynamic_element(&plugin_dl_array, plugin_dl_array.elements - 1,
                         struct st_plugin_dl **)=
       (struct st_plugin_dl *) memdup_root(&plugin_mem_root, (uchar*)plugin_dl,
                                            sizeof(struct st_plugin_dl));
-  DBUG_RETURN(tmp);
+  return(tmp);
 }
 #endif /* HAVE_DLOPEN */
 
@@ -333,7 +331,6 @@
   uint plugin_dir_len, dummy_errors, dlpathlen;
   struct st_plugin_dl *tmp, plugin_dl;
   void *sym;
-  DBUG_ENTER("plugin_dl_add");
   plugin_dir_len= strlen(opt_plugin_dir);
   /*
     Ensure that the dll doesn't have a path.
@@ -349,13 +346,13 @@
       my_error(ER_UDF_NO_PATHS, MYF(0));
     if (report & REPORT_TO_LOG)
       sql_print_error(ER(ER_UDF_NO_PATHS));
-    DBUG_RETURN(0);
+    return(0);
   }
   /* If this dll is already loaded just increase ref_count. */
   if ((tmp= plugin_dl_find(dl)))
   {
     tmp->ref_count++;
-    DBUG_RETURN(tmp);
+    return(tmp);
   }
   bzero(&plugin_dl, sizeof(plugin_dl));
   /* Compile dll path */
@@ -377,7 +374,7 @@
       my_error(ER_CANT_OPEN_LIBRARY, MYF(0), dlpath, errno, errmsg);
     if (report & REPORT_TO_LOG)
       sql_print_error(ER(ER_CANT_OPEN_LIBRARY), dlpath, errno, errmsg);
-    DBUG_RETURN(0);
+    return(0);
   }
   /* Determine interface version */
   if (!(sym= dlsym(plugin_dl.handle, plugin_interface_version_sym)))
@@ -387,7 +384,7 @@
       my_error(ER_CANT_FIND_DL_ENTRY, MYF(0), plugin_interface_version_sym);
     if (report & REPORT_TO_LOG)
       sql_print_error(ER(ER_CANT_FIND_DL_ENTRY), plugin_interface_version_sym);
-    DBUG_RETURN(0);
+    return(0);
   }
   plugin_dl.version= *(int *)sym;
   /* Versioning */
@@ -401,7 +398,7 @@
     if (report & REPORT_TO_LOG)
       sql_print_error(ER(ER_CANT_OPEN_LIBRARY), dlpath, 0,
                       "plugin interface version mismatch");
-    DBUG_RETURN(0);
+    return(0);
   }
   /* Find plugin declarations */
   if (!(sym= dlsym(plugin_dl.handle, plugin_declarations_sym)))
@@ -411,7 +408,7 @@
       my_error(ER_CANT_FIND_DL_ENTRY, MYF(0), plugin_declarations_sym);
     if (report & REPORT_TO_LOG)
       sql_print_error(ER(ER_CANT_FIND_DL_ENTRY), plugin_declarations_sym);
-    DBUG_RETURN(0);
+    return(0);
   }
 
   if (plugin_dl.version != MYSQL_PLUGIN_INTERFACE_VERSION)
@@ -431,7 +428,7 @@
         my_error(ER_CANT_FIND_DL_ENTRY, MYF(0), sizeof_st_plugin_sym);
       if (report & REPORT_TO_LOG)
         sql_print_error(ER(ER_CANT_FIND_DL_ENTRY), sizeof_st_plugin_sym);
-      DBUG_RETURN(0);
+      return(0);
 #else
       /*
         When the following assert starts failing, we'll have to switch
@@ -456,7 +453,7 @@
         my_error(ER_OUTOFMEMORY, MYF(0), plugin_dl.dl.length);
       if (report & REPORT_TO_LOG)
         sql_print_error(ER(ER_OUTOFMEMORY), plugin_dl.dl.length);
-      DBUG_RETURN(0);
+      return(0);
     }
     /*
       All st_plugin fields not initialized in the plugin explicitly, are
@@ -481,7 +478,7 @@
       my_error(ER_OUTOFMEMORY, MYF(0), plugin_dl.dl.length);
     if (report & REPORT_TO_LOG)
       sql_print_error(ER(ER_OUTOFMEMORY), plugin_dl.dl.length);
-    DBUG_RETURN(0);
+    return(0);
   }
   plugin_dl.dl.length= copy_and_convert(plugin_dl.dl.str, plugin_dl.dl.length,
     files_charset_info, dl->str, dl->length, system_charset_info,
@@ -495,16 +492,15 @@
       my_error(ER_OUTOFMEMORY, MYF(0), sizeof(struct st_plugin_dl));
     if (report & REPORT_TO_LOG)
       sql_print_error(ER(ER_OUTOFMEMORY), sizeof(struct st_plugin_dl));
-    DBUG_RETURN(0);
+    return(0);
   }
-  DBUG_RETURN(tmp);
+  return(tmp);
 #else
-  DBUG_ENTER("plugin_dl_add");
   if (report & REPORT_TO_USER)
     my_error(ER_FEATURE_DISABLED, MYF(0), "plugin", "HAVE_DLOPEN");
   if (report & REPORT_TO_LOG)
     sql_print_error(ER(ER_FEATURE_DISABLED), "plugin", "HAVE_DLOPEN");
-  DBUG_RETURN(0);
+  return(0);
 #endif
 }
 
@@ -513,7 +509,6 @@
 {
 #ifdef HAVE_DLOPEN
   uint i;
-  DBUG_ENTER("plugin_dl_del");
 
   for (i= 0; i < plugin_dl_array.elements; i++)
   {
@@ -533,7 +528,7 @@
       break;
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 #endif
 }
 
@@ -541,9 +536,8 @@
 static struct st_plugin_int *plugin_find_internal(const LEX_STRING *name, int type)
 {
   uint i;
-  DBUG_ENTER("plugin_find_internal");
   if (! initialized)
-    DBUG_RETURN(0);
+    return(0);
 
   if (type == MYSQL_ANY_PLUGIN)
   {
@@ -552,13 +546,13 @@
       struct st_plugin_int *plugin= (st_plugin_int *)
         hash_search(&plugin_hash[i], (const uchar *)name->str, name->length);
       if (plugin)
-        DBUG_RETURN(plugin);
+        return(plugin);
     }
   }
   else
-    DBUG_RETURN((st_plugin_int *)
+    return((st_plugin_int *)
         hash_search(&plugin_hash[type], (const uchar *)name->str, name->length));
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -566,14 +560,13 @@
 {
   SHOW_COMP_OPTION rc= SHOW_OPTION_NO;
   struct st_plugin_int *plugin;
-  DBUG_ENTER("plugin_is_ready");
   if ((plugin= plugin_find_internal(name, type)))
   {
     rc= SHOW_OPTION_DISABLED;
     if (plugin->state == PLUGIN_IS_READY)
       rc= SHOW_OPTION_YES;
   }
-  DBUG_RETURN(rc);
+  return(rc);
 }
 
 
@@ -596,7 +589,6 @@
 static plugin_ref intern_plugin_lock(LEX *lex, plugin_ref rc CALLER_INFO_PROTO)
 {
   st_plugin_int *pi= plugin_ref_to_int(rc);
-  DBUG_ENTER("intern_plugin_lock");
 
   if (pi->state & (PLUGIN_IS_READY | PLUGIN_IS_UNINITIALIZED))
   {
@@ -604,7 +596,7 @@
 #ifdef DBUG_OFF
     /* built-in plugins don't need ref counting */
     if (!pi->plugin_dl)
-      DBUG_RETURN(pi);
+      return(pi);
 
     plugin= pi;
 #else
@@ -614,19 +606,17 @@
       double unlocks to aid resolving reference counting.problems.
     */
     if (!(plugin= (plugin_ref) my_malloc_ci(sizeof(pi), MYF(MY_WME))))
-      DBUG_RETURN(NULL);
+      return(NULL);
 
     *plugin= pi;
 #endif
     pi->ref_count++;
-    DBUG_PRINT("info",("thd: 0x%lx, plugin: \"%s\", ref_count: %d",
-                       (long) current_thd, pi->name.str, pi->ref_count));
 
     if (lex)
       insert_dynamic(&lex->plugins, (uchar*)&plugin);
-    DBUG_RETURN(plugin);
+    return(plugin);
   }
-  DBUG_RETURN(NULL);
+  return(NULL);
 }
 
 
@@ -634,9 +624,8 @@
 {
   LEX *lex= thd ? thd->lex : 0;
   plugin_ref rc;
-  DBUG_ENTER("plugin_lock");
   rc= my_intern_plugin_lock_ci(lex, *ptr);
-  DBUG_RETURN(rc);
+  return(rc);
 }
 
 
@@ -646,10 +635,9 @@
   LEX *lex= thd ? thd->lex : 0;
   plugin_ref rc= NULL;
   st_plugin_int *plugin;
-  DBUG_ENTER("plugin_lock_by_name");
   if ((plugin= plugin_find_internal(name, type)))
     rc= my_intern_plugin_lock_ci(lex, plugin_int_to_ref(plugin));
-  DBUG_RETURN(rc);
+  return(rc);
 }
 
 
@@ -657,23 +645,22 @@
 {
   uint i;
   struct st_plugin_int *tmp;
-  DBUG_ENTER("plugin_insert_or_reuse");
   for (i= 0; i < plugin_array.elements; i++)
   {
     tmp= *dynamic_element(&plugin_array, i, struct st_plugin_int **);
     if (tmp->state == PLUGIN_IS_FREED)
     {
       memcpy(tmp, plugin, sizeof(struct st_plugin_int));
-      DBUG_RETURN(tmp);
+      return(tmp);
     }
   }
   if (insert_dynamic(&plugin_array, (uchar*)&plugin))
-    DBUG_RETURN(0);
+    return(0);
   tmp= *dynamic_element(&plugin_array, plugin_array.elements - 1,
                         struct st_plugin_int **)=
        (struct st_plugin_int *) memdup_root(&plugin_mem_root, (uchar*)plugin,
                                             sizeof(struct st_plugin_int));
-  DBUG_RETURN(tmp);
+  return(tmp);
 }
 
 
@@ -687,19 +674,18 @@
 {
   struct st_plugin_int tmp;
   struct st_mysql_plugin *plugin;
-  DBUG_ENTER("plugin_add");
   if (plugin_find_internal(name, MYSQL_ANY_PLUGIN))
   {
     if (report & REPORT_TO_USER)
       my_error(ER_UDF_EXISTS, MYF(0), name->str);
     if (report & REPORT_TO_LOG)
       sql_print_error(ER(ER_UDF_EXISTS), name->str);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   /* Clear the whole struct to catch future extensions. */
   bzero((char*) &tmp, sizeof(tmp));
   if (! (tmp.plugin_dl= plugin_dl_add(dl, report)))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   /* Find plugin by name */
   for (plugin= tmp.plugin_dl->plugins; plugin->info; plugin++)
   {
@@ -739,7 +725,7 @@
           if (!my_hash_insert(&plugin_hash[plugin->type], (uchar*)tmp_plugin_ptr))
           {
             init_alloc_root(&tmp_plugin_ptr->mem_root, 4096, 4096);
-            DBUG_RETURN(FALSE);
+            return(FALSE);
           }
           tmp_plugin_ptr->state= PLUGIN_IS_FREED;
         }
@@ -748,7 +734,7 @@
       }
       /* plugin was disabled */
       plugin_dl_del(dl);
-      DBUG_RETURN(FALSE);
+      return(FALSE);
     }
   }
   if (report & REPORT_TO_USER)
@@ -757,7 +743,7 @@
     sql_print_error(ER(ER_CANT_FIND_DL_ENTRY), name->str);
 err:
   plugin_dl_del(dl);
-  DBUG_RETURN(TRUE);
+  return(TRUE);
 }
 
 
@@ -792,14 +778,8 @@
     }
   }
   else if (plugin->plugin->deinit)
-  {
-    DBUG_PRINT("info", ("Deinitializing plugin: '%s'", plugin->name.str));
-    if (plugin->plugin->deinit(plugin))
-    {
-      DBUG_PRINT("warning", ("Plugin '%s' deinit function returned error.",
-                             plugin->name.str));
-    }
-  }
+    plugin->plugin->deinit(plugin);
+
   plugin->state= PLUGIN_IS_UNINITIALIZED;
 
   /*
@@ -814,7 +794,6 @@
 
 static void plugin_del(struct st_plugin_int *plugin)
 {
-  DBUG_ENTER("plugin_del(plugin)");
   /* Free allocated strings before deleting the plugin. */
   plugin_vars_free_values(plugin->system_vars);
   hash_delete(&plugin_hash[plugin->plugin->type], (uchar*)plugin);
@@ -826,7 +805,7 @@
   mysql_del_sys_var_chain(plugin->system_vars);
   rw_unlock(&LOCK_system_variables_hash);
   free_root(&plugin->mem_root, MYF(0));
-  DBUG_VOID_RETURN;
+  return;
 }
 
 #ifdef NOT_USED
@@ -834,10 +813,9 @@
 static void plugin_del(const LEX_STRING *name)
 {
   struct st_plugin_int *plugin;
-  DBUG_ENTER("plugin_del(name)");
   if ((plugin= plugin_find_internal(name, MYSQL_ANY_PLUGIN)))
     plugin_del(plugin);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 #endif
@@ -880,22 +858,19 @@
 {
   int i;
   st_plugin_int *pi;
-  DBUG_ENTER("intern_plugin_unlock");
 
   if (!plugin)
-    DBUG_VOID_RETURN;
+    return;
 
   pi= plugin_ref_to_int(plugin);
 
 #ifdef DBUG_OFF
   if (!pi->plugin_dl)
-    DBUG_VOID_RETURN;
+    return;
 #else
   my_free((uchar*) plugin, MYF(MY_WME));
 #endif
 
-  DBUG_PRINT("info",("unlocking plugin, name= %s, ref_count= %d",
-                     pi->name.str, pi->ref_count));
   if (lex)
   {
     /*
@@ -918,37 +893,34 @@
   if (pi->state == PLUGIN_IS_DELETED && !pi->ref_count)
     reap_needed= true;
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
 void plugin_unlock(THD *thd, plugin_ref plugin)
 {
   LEX *lex= thd ? thd->lex : 0;
-  DBUG_ENTER("plugin_unlock");
   if (!plugin)
-    DBUG_VOID_RETURN;
+    return;
   intern_plugin_unlock(lex, plugin);
   reap_plugins();
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
 void plugin_unlock_list(THD *thd, plugin_ref *list, uint count)
 {
   LEX *lex= thd ? thd->lex : 0;
-  DBUG_ENTER("plugin_unlock_list");
   DBUG_ASSERT(list);
   while (count--)
     intern_plugin_unlock(lex, *list++);
   reap_plugins();
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
 static int plugin_initialize(struct st_plugin_int *plugin)
 {
-  DBUG_ENTER("plugin_initialize");
 
   if (plugin_type_initialize[plugin->plugin->type])
   {
@@ -1008,9 +980,9 @@
     }
   }
 
-  DBUG_RETURN(0);
+  return(0);
 err:
-  DBUG_RETURN(1);
+  return(1);
 }
 
 
@@ -1051,10 +1023,9 @@
   struct st_mysql_plugin *plugin;
   struct st_plugin_int tmp, *plugin_ptr, **reap;
   MEM_ROOT tmp_root;
-  DBUG_ENTER("plugin_init");
 
   if (initialized)
-    DBUG_RETURN(0);
+    return(0);
 
   init_alloc_root(&plugin_mem_root, 4096, 4096);
   init_alloc_root(&tmp_root, 4096, 4096);
@@ -1171,12 +1142,12 @@
 end:
   free_root(&tmp_root, MYF(0));
 
-  DBUG_RETURN(0);
+  return(0);
 
 err_unlock:
 err:
   free_root(&tmp_root, MYF(0));
-  DBUG_RETURN(1);
+  return(1);
 }
 
 
@@ -1184,14 +1155,13 @@
                              struct st_plugin_int *tmp,
                              struct st_plugin_int **ptr)
 {
-  DBUG_ENTER("register_builtin");
 
   tmp->state= PLUGIN_IS_UNINITIALIZED;
   tmp->ref_count= 0;
   tmp->plugin_dl= 0;
 
   if (insert_dynamic(&plugin_array, (uchar*)&tmp))
-    DBUG_RETURN(1);
+    return(1);
 
   *ptr= *dynamic_element(&plugin_array, plugin_array.elements - 1,
                          struct st_plugin_int **)=
@@ -1199,9 +1169,9 @@
                                              sizeof(struct st_plugin_int));
 
   if (my_hash_insert(&plugin_hash[plugin->type],(uchar*) *ptr))
-    DBUG_RETURN(1);
+    return(1);
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -1223,7 +1193,6 @@
   struct st_plugin_int tmp, *ptr;
   bool result= true;
   int dummy_argc= 0;
-  DBUG_ENTER("plugin_register_builtin");
 
   bzero(&tmp, sizeof(tmp));
   tmp.plugin= plugin;
@@ -1241,7 +1210,7 @@
 end:
   rw_unlock(&LOCK_system_variables_hash);
 
-  DBUG_RETURN(result);;
+  return(result);;
 }
 #endif /* NOT_USED_YET */
 
@@ -1257,13 +1226,12 @@
   struct st_plugin_dl *plugin_dl;
   struct st_mysql_plugin *plugin;
   char *p= buffer;
-  DBUG_ENTER("plugin_load_list");
   while (list)
   {
     if (p == buffer + sizeof(buffer) - 1)
     {
       sql_print_error("plugin-load parameter too long");
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
 
     switch ((*(p++)= *(list++))) {
@@ -1320,11 +1288,11 @@
       continue;
     }
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 error:
   sql_print_error("Couldn't load plugin named '%s' with soname '%s'.",
                   name.str, dl.str);
-  DBUG_RETURN(TRUE);
+  return(TRUE);
 }
 
 
@@ -1333,7 +1301,6 @@
   uint i, count= plugin_array.elements, free_slots= 0;
   struct st_plugin_int **plugins, *plugin;
   struct st_plugin_dl **dl;
-  DBUG_ENTER("plugin_shutdown");
 
   if (initialized)
   {
@@ -1449,7 +1416,7 @@
 
   global_variables_dynamic_size= 0;
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -1459,10 +1426,9 @@
   uint idx, total;
   struct st_plugin_int *plugin, **plugins;
   int version=plugin_array_version;
-  DBUG_ENTER("plugin_foreach_with_mask");
 
   if (!initialized)
-    DBUG_RETURN(FALSE);
+    return(FALSE);
 
   state_mask= ~state_mask; // do it only once
 
@@ -1505,10 +1471,10 @@
   }
 
   my_afree(plugins);
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 err:
   my_afree(plugins);
-  DBUG_RETURN(TRUE);
+  return(TRUE);
 }
 
 
@@ -1815,7 +1781,6 @@
   sys_var *var;
   sys_var_pluginvar *pi= NULL;
   plugin_ref plugin;
-  DBUG_ENTER("find_sys_var");
 
   rw_rdlock(&LOCK_system_variables_hash);
   if ((var= intern_find_sys_var(str, length, false)) &&
@@ -1842,7 +1807,7 @@
   */
   if (pi && !var)
     my_error(ER_UNKNOWN_SYSTEM_VARIABLE, MYF(0), (char*) str);
-  DBUG_RETURN(var);
+  return(var);
 }
 
 
@@ -2085,7 +2050,6 @@
 void plugin_thdvar_init(THD *thd)
 {
   plugin_ref old_table_plugin= thd->variables.table_plugin;
-  DBUG_ENTER("plugin_thdvar_init");
   
   thd->variables.table_plugin= NULL;
   cleanup_variables(thd, &thd->variables);
@@ -2101,7 +2065,7 @@
   thd->variables.table_plugin=
         my_intern_plugin_lock(NULL, global_system_variables.table_plugin);
   intern_plugin_unlock(NULL, old_table_plugin);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -2164,7 +2128,6 @@
 {
   uint idx;
   plugin_ref *list;
-  DBUG_ENTER("plugin_thdvar_cleanup");
 
   unlock_variables(thd, &thd->variables);
   cleanup_variables(thd, &thd->variables);
@@ -2172,7 +2135,6 @@
   if ((idx= thd->lex->plugins.elements))
   {
     list= ((plugin_ref*) thd->lex->plugins.buffer) + idx - 1;
-    DBUG_PRINT("info",("unlocking %d plugins", idx));
     while ((uchar*) list >= thd->lex->plugins.buffer)
       intern_plugin_unlock(NULL, *list--);
   }
@@ -2181,7 +2143,7 @@
 
   reset_dynamic(&thd->lex->plugins);
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -2198,7 +2160,6 @@
 
 static void plugin_vars_free_values(sys_var *vars)
 {
-  DBUG_ENTER("plugin_vars_free_values");
 
   for (sys_var *var= vars; var; var= var->next)
   {
@@ -2209,13 +2170,11 @@
     {
       /* Free the string from global_system_variables. */
       char **valptr= (char**) piv->real_value_ptr(NULL, OPT_GLOBAL);
-      DBUG_PRINT("plugin", ("freeing value for: '%s'  addr: 0x%lx",
-                            var->name, (long) valptr));
       my_free(*valptr, MYF(MY_WME | MY_FAE | MY_ALLOW_ZERO_PTR));
       *valptr= NULL;
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -2567,9 +2526,6 @@
   int index= 0, offset= 0;
   st_mysql_sys_var *opt, **plugin_option;
   st_bookmark *v;
-  DBUG_ENTER("construct_options");
-  DBUG_PRINT("plugin", ("plugin: '%s'  enabled: %d  can_disable: %d",
-                        plugin_name, **enabled, can_disable));
 
   /* support --skip-plugin-foo syntax */
   memcpy(name, plugin_name, namelen + 1);
@@ -2648,7 +2604,7 @@
     default:
       sql_print_error("Unknown variable type code 0x%x in plugin '%s'.",
                       opt->flags, plugin_name);
-      DBUG_RETURN(-1);
+      return(-1);
     };
   }
 
@@ -2711,7 +2667,7 @@
     default:
       sql_print_error("Unknown variable type code 0x%x in plugin '%s'.",
                       opt->flags, plugin_name);
-      DBUG_RETURN(-1);
+      return(-1);
     }
 
     if ((opt->flags & (PLUGIN_VAR_NOCMDOPT | PLUGIN_VAR_THDLOCAL))
@@ -2722,7 +2678,7 @@
     {
       sql_print_error("Missing variable name in plugin '%s'.",
                       plugin_name);
-      DBUG_RETURN(-1);
+      return(-1);
     }
 
     if (!(opt->flags & PLUGIN_VAR_THDLOCAL))
@@ -2739,7 +2695,7 @@
       {
         sql_print_error("Thread local variable '%s' not allocated "
                         "in plugin '%s'.", opt->name, plugin_name);
-        DBUG_RETURN(-1);
+        return(-1);
       }
 
       *(int*)(opt + 1)= offset= v->offset;
@@ -2777,7 +2733,7 @@
     options+= 2;
   }
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -2789,12 +2745,11 @@
   my_bool dummy, can_disable;
   my_bool *dummy2= &dummy;
   uint count= EXTRA_OPTIONS;
-  DBUG_ENTER("construct_help_options");
 
   for (opt= p->plugin->system_vars; opt && *opt; opt++, count+= 2) {};
 
   if (!(opts= (my_option*) alloc_root(mem_root, sizeof(my_option) * count)))
-    DBUG_RETURN(NULL);
+    return(NULL);
 
   bzero(opts, sizeof(my_option) * count);
 
@@ -2805,9 +2760,9 @@
       my_strcasecmp(&my_charset_latin1, p->name.str, "MEMORY");
 
   if (construct_options(mem_root, p, opts, &dummy2, can_disable))
-    DBUG_RETURN(NULL);
+    return(NULL);
 
-  DBUG_RETURN(opts);
+  return(opts);
 }
 
 
@@ -2840,7 +2795,6 @@
   sys_var *v;
   struct st_bookmark *var;
   uint len, count= EXTRA_OPTIONS;
-  DBUG_ENTER("test_plugin_options");
   DBUG_ASSERT(tmp->plugin && tmp->name.str);
 
   for (opt= tmp->plugin->system_vars; opt && *opt; opt++)
@@ -2855,14 +2809,14 @@
     if (!(opts= (my_option*) alloc_root(tmp_root, sizeof(my_option) * count)))
     {
       sql_print_error("Out of memory for plugin '%s'.", tmp->name.str);
-      DBUG_RETURN(-1);
+      return(-1);
     }
     bzero(opts, sizeof(my_option) * count);
 
     if (construct_options(tmp_root, tmp, opts, &enabled, can_disable))
     {
       sql_print_error("Bad options for plugin '%s'.", tmp->name.str);
-      DBUG_RETURN(-1);
+      return(-1);
     }
 
     error= handle_options(argc, &argv, opts, get_one_plugin_option);
@@ -2926,7 +2880,7 @@
       }
       tmp->system_vars= chain.first;
     }
-    DBUG_RETURN(0);
+    return(0);
   }
 
   if (enabled_saved && global_system_variables.log_warnings)
@@ -2935,7 +2889,7 @@
 err:
   if (opts)
     my_cleanup_options(opts);
-  DBUG_RETURN(error);
+  return(error);
 }
 
 

=== modified file 'sql/sql_repl.cc'
--- sql/sql_repl.cc	2008-06-30 07:09:25 +0000
+++ sql/sql_repl.cc	2008-07-03 02:53:22 +0000
@@ -547,9 +547,6 @@
          The packet has offsets equal to the normal offsets in a binlog
          event +1 (the first character is \0).
        */
-       DBUG_PRINT("info",
-                  ("Looked for a Format_description_log_event, found event type %d",
-                   (*packet)[EVENT_TYPE_OFFSET+1]));
        if ((*packet)[EVENT_TYPE_OFFSET+1] == FORMAT_DESCRIPTION_EVENT)
        {
          binlog_can_be_corrupted= test((*packet)[FLAGS_OFFSET+1] &
@@ -638,8 +635,6 @@
 	goto err;
       }
 
-      DBUG_PRINT("info", ("log event code %d",
-			  (*packet)[LOG_EVENT_OFFSET+1] ));
       if ((*packet)[LOG_EVENT_OFFSET+1] == LOAD_EVENT)
       {
 	if (send_file(thd))
@@ -1782,9 +1777,6 @@
   DBUG_ENTER("fix_slave_net_timeout");
 #ifdef HAVE_REPLICATION
   pthread_mutex_lock(&LOCK_active_mi);
-  DBUG_PRINT("info",("slave_net_timeout=%lu mi->heartbeat_period=%.3f",
-                     slave_net_timeout,
-                     (active_mi? active_mi->heartbeat_period : 0.0)));
   if (active_mi && slave_net_timeout < active_mi->heartbeat_period)
     push_warning_printf(thd, MYSQL_ERROR::WARN_LEVEL_WARN,
                         ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE,

=== modified file 'sql/sql_select.cc'
--- sql/sql_select.cc	2008-06-25 05:29:13 +0000
+++ sql/sql_select.cc	2008-07-03 02:53:22 +0000
@@ -251,7 +251,6 @@
 {
   bool res;
   register SELECT_LEX *select_lex = &lex->select_lex;
-  DBUG_ENTER("handle_select");
   MYSQL_SELECT_START();
 
   if (select_lex->master_unit()->is_union() || 
@@ -281,14 +280,12 @@
                       setup_tables_done_option,
 		      result, unit, select_lex);
   }
-  DBUG_PRINT("info",("res: %d  report_error: %d", res,
-		     thd->is_error()));
   res|= thd->is_error();
   if (unlikely(res))
     result->abort();
 
   MYSQL_SELECT_END();
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
@@ -417,7 +414,6 @@
 {
   int res;
   nesting_map save_allow_sum_func=thd->lex->allow_sum_func ;
-  DBUG_ENTER("setup_without_group");
 
   thd->lex->allow_sum_func&= ~(1 << thd->lex->current_select->nest_level);
   res= setup_conds(thd, tables, leaves, conds);
@@ -429,7 +425,7 @@
   res= res || setup_group(thd, ref_pointer_array, tables, fields, all_fields,
                           group, hidden_group_fields);
   thd->lex->allow_sum_func= save_allow_sum_func;
-  DBUG_RETURN(res);
+  return(res);
 }
 
 /*****************************************************************************
@@ -458,11 +454,10 @@
 	      ORDER *proc_param_init, SELECT_LEX *select_lex_arg,
 	      SELECT_LEX_UNIT *unit_arg)
 {
-  DBUG_ENTER("JOIN::prepare");
 
   // to prevent double initialization on EXPLAIN
   if (optimized)
-    DBUG_RETURN(0);
+    return(0);
 
   conds= conds_init;
   order= order_init;
@@ -489,7 +484,7 @@
       setup_tables_and_check_access(thd, &select_lex->context, join_list,
                                     tables_list, &select_lex->leaf_tables,
                                     FALSE))
-      DBUG_RETURN(-1);
+      return(-1);
  
   TABLE_LIST *table_ptr;
   for (table_ptr= select_lex->leaf_tables;
@@ -505,7 +500,7 @@
 			  select_lex->leaf_tables, fields_list,
 			  all_fields, &conds, order, group_list,
 			  &hidden_group_fields))
-    DBUG_RETURN(-1);				/* purecov: inspected */
+    return(-1);				/* purecov: inspected */
 
   ref_pointer_array= *rref_pointer_array;
   
@@ -520,7 +515,7 @@
 			  having->check_cols(1)));
     select_lex->having_fix_field= 0;
     if (having_fix_rc || thd->is_error())
-      DBUG_RETURN(-1);				/* purecov: inspected */
+      return(-1);				/* purecov: inspected */
     thd->lex->allow_sum_func= save_allow_sum_func;
   }
 
@@ -539,7 +534,6 @@
       if (subselect->substype() == Item_subselect::IN_SUBS)
         in_subs= (Item_in_subselect*)subselect;
 
-      DBUG_PRINT("info", ("Checking if subq can be converted to semi-join"));
       /*
         Check if we're in subquery that is a candidate for flattening into a
         semi-join (which is done done in flatten_subqueries()). The
@@ -568,12 +562,11 @@
           do_semijoin &&
           in_subs->exec_method == Item_in_subselect::NOT_TRANSFORMED)   // 6
       {
-        DBUG_PRINT("info", ("Subquery is semi-join conversion candidate"));
         {
           if (!in_subs->left_expr->fixed &&
                in_subs->left_expr->fix_fields(thd, &in_subs->left_expr))
           {
-            DBUG_RETURN(-1);
+            return(-1);
           }
           /*
             Check that the right part of the subselect contains no more than one
@@ -584,7 +577,7 @@
               ((Item_in_subselect*)subselect)->left_expr->cols()))
           {
             my_error(ER_OPERAND_COLUMNS, MYF(0), ((Item_in_subselect*)subselect)->left_expr->cols());
-            DBUG_RETURN(-1);
+            return(-1);
           }
         }
 
@@ -594,7 +587,6 @@
       }
       else
       {
-        DBUG_PRINT("info", ("Subquery can't be converted to semi-join"));
         bool do_materialize= !test(thd->variables.optimizer_switch &
                                    OPTIMIZER_SWITCH_NO_MATERIALIZATION);
         /*
@@ -643,7 +635,7 @@
             Item_subselect::RES_OK)
         {
           select_lex->fix_prepare_information(thd, &conds, &having);
-          DBUG_RETURN((trans_res == Item_subselect::RES_ERROR));
+          return((trans_res == Item_subselect::RES_ERROR));
         }
       }
     }
@@ -679,7 +671,7 @@
 
   if (select_lex->inner_refs_list.elements &&
       fix_inner_refs(thd, all_fields, select_lex, ref_pointer_array))
-    DBUG_RETURN(-1);
+    return(-1);
 
   if (group_list)
   {
@@ -713,7 +705,7 @@
   {
     my_message(ER_MIX_OF_GROUP_FUNC_AND_FIELDS,
                ER(ER_MIX_OF_GROUP_FUNC_AND_FIELDS), MYF(0));
-    DBUG_RETURN(-1);
+    return(-1);
   }
   {
     /* Caclulate the number of groups */
@@ -746,10 +738,10 @@
   if (alloc_func_list())
     goto err;
 
-  DBUG_RETURN(0); // All OK
+  return(0); // All OK
 
 err:
-  DBUG_RETURN(-1);				/* purecov: inspected */
+  return(-1);				/* purecov: inspected */
 }
 
 
@@ -1019,7 +1011,6 @@
   int cur_range= 0;
   uint i;
 
-  DBUG_ENTER("setup_semijoin_dups_elimination");
   /*
     First pass: locate the duplicate-generating ranges and pick the strategies.
   */
@@ -1197,7 +1188,7 @@
         uint tabs_size= (last_tab - sjtabs) * sizeof(SJ_TMP_TABLE::TAB);
         if (!(sjtbl= (SJ_TMP_TABLE*)thd->alloc(sizeof(SJ_TMP_TABLE))) ||
             !(sjtbl->tabs= (SJ_TMP_TABLE::TAB*) thd->alloc(tabs_size)))
-          DBUG_RETURN(TRUE);
+          return(TRUE);
         memcpy(sjtbl->tabs, sjtabs, tabs_size);
         sjtbl->tabs_end= sjtbl->tabs + (last_tab - sjtabs);
         sjtbl->rowid_len= jt_rowid_offset;
@@ -1230,7 +1221,7 @@
         jump_to= tab;
     }
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -1264,10 +1255,9 @@
 int
 JOIN::optimize()
 {
-  DBUG_ENTER("JOIN::optimize");
   // to prevent double initialization on EXPLAIN
   if (optimized)
-    DBUG_RETURN(0);
+    return(0);
   optimized= 1;
 
   thd_proc_info(thd, "optimizing");
@@ -1324,8 +1314,7 @@
   if (thd->is_error())
   {
     error= 1;
-    DBUG_PRINT("error",("Error from optimize_cond"));
-    DBUG_RETURN(1);
+    return(1);
   }
 
   {
@@ -1333,8 +1322,7 @@
     if (thd->is_error())
     {
       error= 1;
-      DBUG_PRINT("error",("Error from optimize_cond"));
-      DBUG_RETURN(1);
+      return(1);
     }
     if (select_lex->where)
       select_lex->cond_value= cond_value;
@@ -1344,12 +1332,10 @@
     if (cond_value == Item::COND_FALSE || having_value == Item::COND_FALSE || 
         (!unit->select_limit_cnt && !(select_options & OPTION_FOUND_ROWS)))
     {						/* Impossible cond */
-      DBUG_PRINT("info", (having_value == Item::COND_FALSE ? 
-                            "Impossible HAVING" : "Impossible WHERE"));
       zero_result_cause=  having_value == Item::COND_FALSE ?
                            "Impossible HAVING" : "Impossible WHERE";
       error= 0;
-      DBUG_RETURN(0);
+      return(0);
     }
   }
 
@@ -1367,25 +1353,21 @@
     {
       if (res == HA_ERR_KEY_NOT_FOUND)
       {
-        DBUG_PRINT("info",("No matching min/max row"));
 	zero_result_cause= "No matching min/max row";
 	error=0;
-	DBUG_RETURN(0);
+	return(0);
       }
       if (res > 1)
       {
         error= res;
-        DBUG_PRINT("error",("Error from opt_sum_query"));
-        DBUG_RETURN(1);
+        return(1);
       }
       if (res < 0)
       {
-        DBUG_PRINT("info",("No matching min/max row"));
         zero_result_cause= "No matching min/max row";
         error=0;
-        DBUG_RETURN(0);
+        return(0);
       }
-      DBUG_PRINT("info",("Select tables optimized away"));
       zero_result_cause= "Select tables optimized away";
       tables_list= 0;				// All tables resolved
       /*
@@ -1412,9 +1394,8 @@
   }
   if (!tables_list)
   {
-    DBUG_PRINT("info",("No tables"));
     error= 0;
-    DBUG_RETURN(0);
+    return(0);
   }
   error= -1;					// Error is sent to client
   sort_by_table= get_sort_by_table(order, group_list, select_lex->leaf_tables);
@@ -1424,8 +1405,7 @@
   if (make_join_statistics(this, select_lex->leaf_tables, conds, &keyuse) ||
       thd->is_fatal_error)
   {
-    DBUG_PRINT("error",("Error: make_join_statistics() failed"));
-    DBUG_RETURN(1);
+    return(1);
   }
 
   /* Remove distinct if only const tables */
@@ -1433,8 +1413,7 @@
   thd_proc_info(thd, "preparing");
   if (result->initialize_tables(this))
   {
-    DBUG_PRINT("error",("Error: initialize_tables() failed"));
-    DBUG_RETURN(1);				// error == -1
+    return(1);				// error == -1
   }
   if (const_table_map != found_const_table_map &&
       !(select_options & SELECT_DESCRIBE) &&
@@ -1443,9 +1422,8 @@
        select_lex->master_unit() == &thd->lex->unit)) // upper level SELECT
   {
     zero_result_cause= "no matching row in const table";
-    DBUG_PRINT("error",("Error: %s", zero_result_cause));
     error= 0;
-    DBUG_RETURN(0);
+    return(0);
   }
   if (!(thd->options & OPTION_BIG_SELECTS) &&
       best_read > (double) thd->variables.max_join_size &&
@@ -1453,7 +1431,7 @@
   {						/* purecov: inspected */
     my_message(ER_TOO_BIG_SELECT, ER(ER_TOO_BIG_SELECT), MYF(0));
     error= -1;
-    DBUG_RETURN(1);
+    return(1);
   }
   if (const_tables && !thd->locked_tables &&
       !(select_options & SELECT_NO_UNLOCK))
@@ -1468,8 +1446,7 @@
   if (error)
   {						/* purecov: inspected */
     error= -1;					/* purecov: inspected */
-    DBUG_PRINT("error",("Error: make_select() failed"));
-    DBUG_RETURN(1);
+    return(1);
   }
   
   reset_nj_counters(join_list);
@@ -1516,7 +1493,7 @@
   {
     zero_result_cause=
       "Impossible WHERE noticed after reading const tables";
-    DBUG_RETURN(0);				// error == 0
+    return(0);				// error == 0
   }
 
   error= -1;					/* if goto err */
@@ -1528,8 +1505,7 @@
     if (thd->is_error())
     {
       error= 1;
-      DBUG_PRINT("error",("Error from remove_const"));
-      DBUG_RETURN(1);
+      return(1);
     }
 
     /*
@@ -1657,7 +1633,7 @@
 	group_list= 0;
     }
     else if (thd->is_fatal_error)			// End of memory
-      DBUG_RETURN(1);
+      return(1);
   }
   simple_group= 0;
   {
@@ -1668,8 +1644,7 @@
     if (thd->is_error())
     {
       error= 1;
-      DBUG_PRINT("error",("Error from remove_const"));
-      DBUG_RETURN(1);
+      return(1);
     }
     if (old_group_list && !group_list)
       select_distinct= 0;
@@ -1723,11 +1698,11 @@
 
   // No cache for MATCH == 'Don't use join buffering when we use MATCH'.
   if (make_join_readinfo(this, select_opts_for_readinfo, no_jbuf_after))
-    DBUG_RETURN(1);
+    return(1);
 
   /* Create all structures needed for materialized subquery execution. */
   if (setup_subquery_materialization())
-    DBUG_RETURN(1);
+    return(1);
 
   /*
     is this simple IN subquery?
@@ -1747,7 +1722,7 @@
         save_index_subquery_explain_info(join_tab, where);
         join_tab[0].type= JT_UNIQUE_SUBQUERY;
         error= 0;
-        DBUG_RETURN(unit->item->
+        return(unit->item->
                     change_engine(new
                                   subselect_uniquesubquery_engine(thd,
                                                                   join_tab,
@@ -1761,7 +1736,7 @@
         save_index_subquery_explain_info(join_tab, where);
         join_tab[0].type= JT_INDEX_SUBQUERY;
         error= 0;
-        DBUG_RETURN(unit->item->
+        return(unit->item->
                     change_engine(new
                                   subselect_indexsubquery_engine(thd,
                                                                  join_tab,
@@ -1778,7 +1753,7 @@
       error= 0;
       conds= remove_additional_cond(conds);
       save_index_subquery_explain_info(join_tab, conds);
-      DBUG_RETURN(unit->item->
+      return(unit->item->
 		  change_engine(new subselect_indexsubquery_engine(thd,
 								   join_tab,
 								   unit->item,
@@ -1816,7 +1791,7 @@
         ((order && simple_order) || (group_list && simple_group)))
     {
       if (add_ref_to_table_cond(thd,&join_tab[const_tables])) {
-        DBUG_RETURN(1);
+        return(1);
       }
     }
     
@@ -1855,7 +1830,7 @@
   if (select_options & SELECT_DESCRIBE)
   {
     error= 0;
-    DBUG_RETURN(0);
+    return(0);
   }
   having= 0;
 
@@ -1876,7 +1851,6 @@
   /* Create a tmp table if distinct or if the sort is too complicated */
   if (need_tmp)
   {
-    DBUG_PRINT("info",("Creating tmp table"));
     thd_proc_info(thd, "Creating tmp table");
 
     init_items_ref_array();
@@ -1905,7 +1879,7 @@
                            tmp_rows_limit,
 			   (char *) "")))
 		{
-      DBUG_RETURN(1);
+      return(1);
     }
 
     /*
@@ -1925,7 +1899,6 @@
     /* if group or order on first table, sort first */
     if (group_list && simple_group)
     {
-      DBUG_PRINT("info",("Sorting for group"));
       thd_proc_info(thd, "Sorting for group");
       if (create_sort_index(thd, this, group_list,
 			    HA_POS_ERROR, HA_POS_ERROR, FALSE) ||
@@ -1933,7 +1906,7 @@
           make_sum_func_list(all_fields, fields_list, 1) ||
           setup_sum_funcs(thd, sum_funcs))
       {
-        DBUG_RETURN(1);
+        return(1);
       }
       group_list=0;
     }
@@ -1942,17 +1915,16 @@
       if (make_sum_func_list(all_fields, fields_list, 0) ||
           setup_sum_funcs(thd, sum_funcs))
       {
-        DBUG_RETURN(1);
+        return(1);
       }
 
       if (!group_list && ! exec_tmp_table1->distinct && order && simple_order)
       {
-	DBUG_PRINT("info",("Sorting for order"));
         thd_proc_info(thd, "Sorting for order");
         if (create_sort_index(thd, this, order,
                               HA_POS_ERROR, HA_POS_ERROR, TRUE))
         {
-          DBUG_RETURN(1);
+          return(1);
         }
         order=0;
       }
@@ -1992,11 +1964,11 @@
     */
     if (select_lex->uncacheable && !is_top_level_join() &&
         init_save_join_tab())
-      DBUG_RETURN(-1);                         /* purecov: inspected */
+      return(-1);                         /* purecov: inspected */
   }
 
   error= 0;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -2051,7 +2023,7 @@
       func->clear();
   }
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /**
@@ -2105,7 +2077,6 @@
 {
   List<Item> *columns_list= &fields_list;
   int      tmp_error;
-  DBUG_ENTER("JOIN::exec");
 
   thd_proc_info(thd, "executing");
   error= 0;
@@ -2147,7 +2118,7 @@
     /* Single select (without union) always returns 0 or 1 row */
     thd->limit_found_rows= send_records;
     thd->examined_row_count= 0;
-    DBUG_VOID_RETURN;
+    return;
   }
   /*
     Don't reset the found rows count if there're no tables as
@@ -2165,12 +2136,12 @@
 			    select_options,
 			    zero_result_cause,
 			    having);
-    DBUG_VOID_RETURN;
+    return;
   }
 
   if ((this->select_lex->options & OPTION_SCHEMA_TABLE) &&
       get_schema_tables_result(this, PROCESSED_BY_JOIN_EXEC))
-    DBUG_VOID_RETURN;
+    return;
 
   if (select_options & SELECT_DESCRIBE)
   {
@@ -2203,7 +2174,7 @@
 		    order != 0 && !skip_sort_order,
 		    select_distinct,
                     !tables ? "No tables used" : NullS);
-    DBUG_VOID_RETURN;
+    return;
   }
 
   JOIN *curr_join= this;
@@ -2234,14 +2205,13 @@
 
     /* Copy data to the temporary table */
     thd_proc_info(thd, "Copying to tmp table");
-    DBUG_PRINT("info", ("%s", thd->proc_info));
     if (!curr_join->sort_and_group &&
         curr_join->const_tables != curr_join->tables)
       curr_join->join_tab[curr_join->const_tables].sorted= 0;
     if ((tmp_error= do_select(curr_join, (List<Item> *) 0, curr_tmp_table)))
     {
       error= tmp_error;
-      DBUG_VOID_RETURN;
+      return;
     }
     curr_tmp_table->file->info(HA_STATUS_VARIABLE);
     
@@ -2258,14 +2228,14 @@
 	if (change_to_use_tmp_fields(thd, items1,
 				     tmp_fields_list1, tmp_all_fields1,
 				     fields_list.elements, all_fields))
-	  DBUG_VOID_RETURN;
+	  return;
       }
       else
       {
 	if (change_refs_to_tmp_fields(thd, items1,
 				      tmp_fields_list1, tmp_all_fields1,
 				      fields_list.elements, all_fields))
-	  DBUG_VOID_RETURN;
+	  return;
       }
       curr_join->tmp_all_fields1= tmp_all_fields1;
       curr_join->tmp_fields_list1= tmp_fields_list1;
@@ -2307,12 +2277,11 @@
 
     if ((curr_join->group_list && (!test_if_subpart(curr_join->group_list, curr_join->order) || curr_join->select_distinct)) || (curr_join->select_distinct && curr_join->tmp_table_param.using_indirect_summary_function))
     {					/* Must copy to another table */
-      DBUG_PRINT("info",("Creating group table"));
       
       /* Free first data from old join */
       curr_join->join_free();
       if (make_simple_join(curr_join, curr_tmp_table))
-	DBUG_VOID_RETURN;
+	return;
       calc_group_buffer(curr_join, group_list);
       count_field_types(select_lex, &curr_join->tmp_table_param,
 			curr_join->tmp_all_fields1,
@@ -2346,7 +2315,7 @@
 						1, curr_join->select_options,
 						HA_POS_ERROR,
 						(char *) "")))
-	  DBUG_VOID_RETURN;
+	  return;
 	curr_join->exec_tmp_table2= exec_tmp_table2;
       }
       if (curr_join->group_list)
@@ -2354,19 +2323,18 @@
 	thd_proc_info(thd, "Creating sort index");
 	if (curr_join->join_tab == join_tab && save_join_tab())
 	{
-	  DBUG_VOID_RETURN;
+	  return;
 	}
 	if (create_sort_index(thd, curr_join, curr_join->group_list,
 			      HA_POS_ERROR, HA_POS_ERROR, FALSE) ||
 	    make_group_fields(this, curr_join))
 	{
-	  DBUG_VOID_RETURN;
+	  return;
 	}
         sortorder= curr_join->sortorder;
       }
       
       thd_proc_info(thd, "Copying to group table");
-      DBUG_PRINT("info", ("%s", thd->proc_info));
       tmp_error= -1;
       if (curr_join != this)
       {
@@ -2384,7 +2352,7 @@
       }
       if (curr_join->make_sum_func_list(*curr_all_fields, *curr_fields_list,
 					1, TRUE))
-        DBUG_VOID_RETURN;
+        return;
       curr_join->group_list= 0;
       if (!curr_join->sort_and_group &&
           curr_join->const_tables != curr_join->tables)
@@ -2393,7 +2361,7 @@
 	  (tmp_error= do_select(curr_join, (List<Item> *) 0, curr_tmp_table)))
       {
 	error= tmp_error;
-	DBUG_VOID_RETURN;
+	return;
       }
       end_read_record(&curr_join->join_tab->read_record);
       curr_join->const_tables= curr_join->tables; // Mark free for cleanup()
@@ -2406,7 +2374,7 @@
 	if (change_to_use_tmp_fields(thd, items2,
 				     tmp_fields_list2, tmp_all_fields2, 
 				     fields_list.elements, tmp_all_fields1))
-	  DBUG_VOID_RETURN;
+	  return;
 	curr_join->tmp_fields_list2= tmp_fields_list2;
 	curr_join->tmp_all_fields2= tmp_all_fields2;
       }
@@ -2428,13 +2396,13 @@
 	curr_join->tmp_having->update_used_tables();
       if (remove_duplicates(curr_join, curr_tmp_table,
 			    *curr_fields_list, curr_join->tmp_having))
-	DBUG_VOID_RETURN;
+	return;
       curr_join->tmp_having=0;
       curr_join->select_distinct=0;
     }
     curr_tmp_table->reginfo.lock_type= TL_UNLOCK;
     if (make_simple_join(curr_join, curr_tmp_table))
-      DBUG_VOID_RETURN;
+      return;
     calc_group_buffer(curr_join, curr_join->group_list);
     count_field_types(select_lex, &curr_join->tmp_table_param, 
                       *curr_all_fields, 0);
@@ -2445,7 +2413,7 @@
   {
     if (make_group_fields(this, curr_join))
     {
-      DBUG_VOID_RETURN;
+      return;
     }
     if (!items3)
     {
@@ -2477,11 +2445,10 @@
 				      1, TRUE) || 
         setup_sum_funcs(curr_join->thd, curr_join->sum_funcs) ||
         thd->is_fatal_error)
-      DBUG_VOID_RETURN;
+      return;
   }
   if (curr_join->group_list || curr_join->order)
   {
-    DBUG_PRINT("info",("Sorting for send_fields"));
     thd_proc_info(thd, "Sorting result");
     /* If we have already done the group, add HAVING to sorted table */
     if (curr_join->tmp_having && ! curr_join->group_list && 
@@ -2500,7 +2467,7 @@
       {
 	if (!curr_table->select)
 	  if (!(curr_table->select= new SQL_SELECT))
-	    DBUG_VOID_RETURN;
+	    return;
 	if (!curr_table->select->cond)
 	  curr_table->select->cond= sort_table_cond;
 	else					// This should never happen
@@ -2508,7 +2475,7 @@
 	  if (!(curr_table->select->cond=
 		new Item_cond_and(curr_table->select->cond,
 				  sort_table_cond)))
-	    DBUG_VOID_RETURN;
+	    return;
 	  /*
 	    Item_cond_and do not need fix_fields for execution, its parameters
 	    are fixed or do not need fix_fields, too
@@ -2556,7 +2523,7 @@
       }
       if (curr_join->join_tab == join_tab && save_join_tab())
       {
-	DBUG_VOID_RETURN;
+	return;
       }
       /*
 	Here we sort rows for ORDER BY/GROUP BY clause, if the optimiser
@@ -2574,7 +2541,7 @@
 			    (select_options & OPTION_FOUND_ROWS ?
 			     HA_POS_ERROR : unit->select_limit_cnt),
                             curr_join->group_list ? TRUE : FALSE))
-	DBUG_VOID_RETURN;
+	return;
       sortorder= curr_join->sortorder;
       if (curr_join->const_tables != curr_join->tables &&
           !curr_join->join_tab[curr_join->const_tables].table->sort.io_cache)
@@ -2592,14 +2559,13 @@
   if (thd->is_error())
   {
     error= thd->is_error();
-    DBUG_VOID_RETURN;
+    return;
   }
   curr_join->having= curr_join->tmp_having;
   curr_join->fields= curr_fields_list;
 
   {
     thd_proc_info(thd, "Sending data");
-    DBUG_PRINT("info", ("%s", thd->proc_info));
     result->send_fields(*curr_fields_list,
                         Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF);
     error= do_select(curr_join, curr_fields_list, NULL);
@@ -2608,8 +2574,6 @@
 
   /* Accumulate the counts from all join iterations of all join parts. */
   thd->examined_row_count+= curr_join->examined_rows;
-  DBUG_PRINT("counts", ("thd->examined_row_count: %lu",
-                        (ulong) thd->examined_row_count));
 
   /* 
     With EXPLAIN EXTENDED we have to restore original ref_array
@@ -2621,7 +2585,7 @@
       select_lex->linkage == DERIVED_TABLE_TYPE)      
     set_items_ref_array(items0);
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -2635,7 +2599,6 @@
 int
 JOIN::destroy()
 {
-  DBUG_ENTER("JOIN::destroy");
   select_lex->join= 0;
 
   if (tmp_join)
@@ -2648,7 +2611,7 @@
     }
     tmp_join->tmp_join= 0;
     tmp_table_param.copy_field=0;
-    DBUG_RETURN(tmp_join->destroy());
+    return(tmp_join->destroy());
   }
   cond_equal= 0;
 
@@ -2659,7 +2622,7 @@
     free_tmp_table(thd, exec_tmp_table2);
   delete select;
   delete_dynamic(&keyuse);
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -2718,7 +2681,6 @@
 {
   bool err;
   bool free_join= 1;
-  DBUG_ENTER("mysql_select");
 
   select_lex->context.resolve_in_select_list= TRUE;
   JOIN *join;
@@ -2737,7 +2699,7 @@
 	//here is EXPLAIN of subselect or derived table
 	if (join->change_result(result))
 	{
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
 	}
       }
       else
@@ -2756,7 +2718,7 @@
   else
   {
     if (!(join= new JOIN(thd, fields, select_options, result)))
-	DBUG_RETURN(TRUE);
+	return(TRUE);
     thd_proc_info(thd, "init");
     thd->used_tables=0;                         // Updated by setup_fields
     if ((err= join->prepare(rref_pointer_array, tables, wild_num,
@@ -2802,9 +2764,9 @@
   {
     thd_proc_info(thd, "end");
     err|= select_lex->cleanup();
-    DBUG_RETURN(err || thd->is_error());
+    return(err || thd->is_error());
   }
-  DBUG_RETURN(join->error);
+  return(join->error);
 }
 
 
@@ -2882,7 +2844,6 @@
   TABLE_LIST *emb_tbl_nest= NULL;
   List<TABLE_LIST> *emb_join_list= &parent_lex->top_join_list;
   THD *thd= parent_join->thd;
-  DBUG_ENTER("convert_subq_to_sj");
 
   /*
     1. Find out where to put the predicate into.
@@ -2941,7 +2902,7 @@
       */
       if (!(wrap_nest= alloc_join_nest(parent_join->thd)))
       {
-        DBUG_RETURN(TRUE);
+        return(TRUE);
       }
       wrap_nest->embedding= outer_tbl->embedding;
       wrap_nest->join_list= outer_tbl->join_list;
@@ -2986,7 +2947,7 @@
   NESTED_JOIN *nested_join;
   if (!(sj_nest= alloc_join_nest(parent_join->thd)))
   {
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   nested_join= sj_nest->nested_join;
 
@@ -3066,7 +3027,7 @@
   thd->lex->current_select=subq_lex;
   if (!subq_pred->left_expr->fixed &&
        subq_pred->left_expr->fix_fields(thd, &subq_pred->left_expr))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   thd->lex->current_select=save_lex;
 
   sj_nest->nested_join->sj_corr_tables= subq_pred->used_tables();
@@ -3146,7 +3107,7 @@
     parent_join->select_lex->where= parent_join->conds;
   }
 
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -3168,10 +3129,9 @@
 {
   Item_in_subselect **in_subq;
   Item_in_subselect **in_subq_end;
-  DBUG_ENTER("JOIN::flatten_subqueries");
 
   if (sj_subselects.elements() == 0)
-    DBUG_RETURN(FALSE);
+    return(FALSE);
 
   /* 1. Fix children subqueries */
   for (in_subq= sj_subselects.front(), in_subq_end= sj_subselects.back(); 
@@ -3180,7 +3140,7 @@
     JOIN *child_join= (*in_subq)->unit->first_select()->join;
     child_join->outer_tables = child_join->tables;
     if (child_join->flatten_subqueries())
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     (*in_subq)->sj_convert_priority= 
       (*in_subq)->is_correlated * MAX_TABLES + child_join->outer_tables;
   }
@@ -3201,7 +3161,7 @@
        in_subq++)
   {
     if (replace_where_subcondition(this, *in_subq, new Item_int(1), FALSE))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
  
   for (in_subq= sj_subselects.front(); 
@@ -3210,7 +3170,7 @@
        in_subq++)
   {
     if (convert_subq_to_sj(this, *in_subq))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
 
   /* 3. Finalize those we didn't convert */
@@ -3222,7 +3182,7 @@
     (*in_subq)->fixed= 0;
     res= (*in_subq)->select_transformer(child_join);
     if (res == Item_subselect::RES_ERROR)
-      DBUG_RETURN(TRUE);
+      return(TRUE);
 
     (*in_subq)->changed= 1;
     (*in_subq)->fixed= 1;
@@ -3230,13 +3190,10 @@
     Item *substitute= (*in_subq)->substitution;
     bool do_fix_fields= !(*in_subq)->substitution->fixed;
     if (replace_where_subcondition(this, *in_subq, substitute, do_fix_fields))
-      DBUG_RETURN(TRUE);
-
-    //if ((*in_subq)->fix_fields(thd, (*in_subq)->ref_ptr))
-    //  DBUG_RETURN(TRUE);
+      return(TRUE);
   }
   sj_subselects.clear();
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -3389,7 +3346,6 @@
 int pull_out_semijoin_tables(JOIN *join)
 {
   TABLE_LIST *sj_nest;
-  DBUG_ENTER("pull_out_semijoin_tables");
   List_iterator<TABLE_LIST> sj_list_it(join->select_lex->sj_nests);
    
   /* Try pulling out of the each of the semi-joins */
@@ -3408,8 +3364,6 @@
         if (tbl->table->map & join->const_table_map)
         {
           pulled_tables |= tbl->table->map;
-          DBUG_PRINT("info", ("Table %s pulled out (reason: constant)",
-                              tbl->table->alias));
         }
       }
     }
@@ -3434,8 +3388,6 @@
           {
             pulled_a_table= TRUE;
             pulled_tables |= tbl->table->map;
-            DBUG_PRINT("info", ("Table %s pulled out (reason: func dep)",
-                                tbl->table->alias));
           }
         }
       }
@@ -3445,7 +3397,6 @@
     if ((sj_nest)->nested_join->used_tables == pulled_tables)
     {
       (sj_nest)->sj_inner_tables= 0;
-      DBUG_PRINT("info", ("All semi-join nest tables were pulled out"));
       while ((tbl= child_li++))
       {
         if (tbl->table)
@@ -3470,7 +3421,7 @@
       }
     }
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /*****************************************************************************
@@ -3484,24 +3435,22 @@
 				      const key_map *keys,ha_rows limit)
 {
   int error;
-  DBUG_ENTER("get_quick_record_count");
   if (check_stack_overrun(thd, STACK_MIN_SIZE, NULL))
-    DBUG_RETURN(0);                           // Fatal error flag is set
+    return(0);                           // Fatal error flag is set
   if (select)
   {
     select->head=table;
     table->reginfo.impossible_range=0;
     if ((error= select->test_quick_select(thd, *(key_map *)keys,(table_map) 0,
                                           limit, 0, FALSE)) == 1)
-      DBUG_RETURN(select->quick->records);
+      return(select->quick->records);
     if (error == -1)
     {
       table->reginfo.impossible_range=1;
-      DBUG_RETURN(0);
+      return(0);
     }
-    DBUG_PRINT("warning",("Couldn't use record count on const keypart"));
   }
-  DBUG_RETURN(HA_POS_ERROR);			/* This shouldn't happend */
+  return(HA_POS_ERROR);			/* This shouldn't happend */
 }
 
 /*
@@ -3542,14 +3491,13 @@
   table_map outer_join=0;
   SARGABLE_PARAM *sargables= 0;
   JOIN_TAB *stat_vector[MAX_TABLES+1];
-  DBUG_ENTER("make_join_statistics");
 
   table_count=join->tables;
   stat=(JOIN_TAB*) join->thd->calloc(sizeof(JOIN_TAB)*table_count);
   stat_ref=(JOIN_TAB**) join->thd->alloc(sizeof(JOIN_TAB*)*MAX_TABLES);
   table_vector=(TABLE**) join->thd->alloc(sizeof(TABLE*)*(table_count*2));
   if (!stat || !stat_ref || !table_vector)
-    DBUG_RETURN(1);				// Eom /* purecov: inspected */
+    return(1);				// Eom /* purecov: inspected */
 
   join->best_ref=stat_vector;
 
@@ -3573,7 +3521,7 @@
     if(error)
     {
         table->file->print_error(error, MYF(0));
-        DBUG_RETURN(1);
+        return(1);
     }
     table->quick_keys.clear_all();
     table->reginfo.join_tab=s;
@@ -3659,7 +3607,7 @@
       {
         join->tables=0;			// Don't use join->table
         my_message(ER_WRONG_OUTER_JOIN, ER(ER_WRONG_OUTER_JOIN), MYF(0));
-        DBUG_RETURN(1);
+        return(1);
       }
       s->key_dependent= s->dependent;
     }
@@ -3669,7 +3617,7 @@
     if (update_ref_and_keys(join->thd, keyuse_array, stat, join->tables,
                             conds, join->cond_equal,
                             ~outer_join, join->select_lex, &sargables))
-      DBUG_RETURN(1);
+      return(1);
 
   /* Read tables with 0 or 1 rows (system tables) */
   join->const_table_map= 0;
@@ -3685,7 +3633,7 @@
     if ((tmp=join_read_const_table(s, p_pos)))
     {
       if (tmp > 0)
-	DBUG_RETURN(1);			// Fatal error
+	return(1);			// Fatal error
     }
     else
       found_const_table_map|= s->table->map;
@@ -3757,7 +3705,7 @@
 	  if ((tmp= join_read_const_table(s, join->positions+const_count-1)))
 	  {
 	    if (tmp > 0)
-	      DBUG_RETURN(1);			// Fatal error
+	      return(1);			// Fatal error
 	  }
 	  else
 	    found_const_table_map|= table->map;
@@ -3806,12 +3754,12 @@
 	        set_position(join,const_count++,s,start_keyuse);
 	        if (create_ref_for_key(join, s, start_keyuse,
 				       found_const_table_map))
-		  DBUG_RETURN(1);
+		  return(1);
 	        if ((tmp=join_read_const_table(s,
                                                join->positions+const_count-1)))
 	        {
 		  if (tmp > 0)
-		    DBUG_RETURN(1);			// Fatal error
+		    return(1);			// Fatal error
 	        }
 	        else
 		  found_const_table_map|= table->map;
@@ -3849,7 +3797,7 @@
   }
 
   if (pull_out_semijoin_tables(join))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   /* Calc how many (possible) matched records in each table */
 
@@ -3891,7 +3839,7 @@
 			  *s->on_expr_ref ? *s->on_expr_ref : conds,
 			  1, &error);
       if (!select)
-        DBUG_RETURN(1);
+        return(1);
       records= get_quick_record_count(join->thd, select, s->table,
 				      &s->const_keys, join->row_limit);
       s->quick=select->quick;
@@ -3937,7 +3885,7 @@
   {
     optimize_keyuse(join, keyuse_array);
     if (choose_plan(join, all_table_map & ~join->const_table_map))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
   else
   {
@@ -3946,7 +3894,7 @@
     join->best_read=1.0;
   }
   /* Generate an execution plan from the found optimal join order. */
-  DBUG_RETURN(join->thd->killed || get_best_combination(join));
+  return(join->thd->killed || get_best_combination(join));
 }
 
 
@@ -5053,7 +5001,6 @@
   double tmp;
   ha_rows rec;
   uint best_is_sj_inside_out=    0;
-  DBUG_ENTER("best_access_path");
 
   if (s->keyuse)
   {                                            /* Use key if possible */
@@ -5191,7 +5138,6 @@
               check if all of them are covered.
             */
             sj_inside_out_scan= TRUE;
-            DBUG_PRINT("info", ("Using sj InsideOut scan"));
             if (!n_fixed_parts)
             {
               /*
@@ -5633,7 +5579,7 @@
       join->unit->select_limit_cnt >= records)
     join->sort_by_table= (TABLE*) 1;  // Must use temporary table
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -5666,7 +5612,6 @@
   uint search_depth= join->thd->variables.optimizer_search_depth;
   uint prune_level=  join->thd->variables.optimizer_prune_level;
   bool straight_join= test(join->select_options & SELECT_STRAIGHT_JOIN);
-  DBUG_ENTER("choose_plan");
 
   join->cur_embedding_map= 0;
   reset_nj_counters(join->join_list);
@@ -5695,7 +5640,7 @@
       */
       join->best_read= DBL_MAX;
       if (find_best(join, join_tables, join->const_tables, 1.0, 0.0))
-        DBUG_RETURN(TRUE);
+        return(TRUE);
     } 
     else
     {
@@ -5703,7 +5648,7 @@
         /* Automatically determine a reasonable value for 'search_depth' */
         search_depth= determine_search_depth(join);
       if (greedy_search(join, join_tables, search_depth, prune_level))
-        DBUG_RETURN(TRUE);
+        return(TRUE);
     }
   }
 
@@ -5715,7 +5660,7 @@
   */
   if (join->thd->lex->is_single_level_stmt())
     join->thd->status_var.last_query_cost= join->best_read;
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -5981,7 +5926,6 @@
   POSITION  best_pos;
   JOIN_TAB  *best_table; // the next plan node to be added to the curr QEP
 
-  DBUG_ENTER("greedy_search");
 
   /* number of tables that remain to be optimized */
   size_remain= my_count_bits(remaining_tables);
@@ -5991,7 +5935,7 @@
     join->best_read= DBL_MAX;
     if (best_extension_by_limited_search(join, remaining_tables, idx, record_count,
                                          read_time, search_depth, prune_level))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
 
     if (size_remain <= search_depth)
     {
@@ -6002,7 +5946,7 @@
       DBUG_EXECUTE("opt", print_plan(join, join->tables,
                                      record_count, read_time, read_time,
                                      "optimal"););
-      DBUG_RETURN(FALSE);
+      return(FALSE);
     }
 
     /* select the first table in the optimal extension as most promising */
@@ -6165,11 +6109,10 @@
                                  uint      search_depth,
                                  uint      prune_level)
 {
-  DBUG_ENTER("best_extension_by_limited_search");
 
   THD *thd= join->thd;
   if (thd->killed)  // Abort
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   DBUG_EXECUTE("opt", print_plan(join, idx, read_time, record_count, idx,
                                  "SOFAR:"););
@@ -6268,7 +6211,7 @@
                                              current_read_time,
                                              search_depth - 1,
                                              prune_level))
-          DBUG_RETURN(TRUE);
+          return(TRUE);
         swap_variables(JOIN_TAB*, join->best_ref[idx], *pos);
       }
       else
@@ -6298,7 +6241,7 @@
       restore_prev_sj_state(remaining_tables, s);
     }
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -6315,15 +6258,11 @@
 find_best(JOIN *join,table_map rest_tables,uint idx,double record_count,
 	  double read_time)
 {
-  DBUG_ENTER("find_best");
   THD *thd= join->thd;
   if (thd->killed)
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   if (!rest_tables)
   {
-    DBUG_PRINT("best",("read_time: %g  record_count: %g",read_time,
-		       record_count));
-
     read_time+=record_count/(double) TIME_FOR_COMPARE;
     if (join->sort_by_table &&
 	join->sort_by_table !=
@@ -6335,10 +6274,10 @@
 	     sizeof(POSITION)*idx);
       join->best_read= read_time - 0.001;
     }
-    DBUG_RETURN(FALSE);
+    return(FALSE);
   }
   if (read_time+record_count/(double) TIME_FOR_COMPARE >= join->best_read)
-    DBUG_RETURN(FALSE);					/* Found better before */
+    return(FALSE);					/* Found better before */
 
   JOIN_TAB *s;
   double best_record_count=DBL_MAX,best_read_time=DBL_MAX;
@@ -6374,7 +6313,7 @@
 	swap_variables(JOIN_TAB*, join->best_ref[idx], *pos);
 	if (find_best(join,rest_tables & ~real_table_bit,idx+1,
                       current_record_count,current_read_time))
-          DBUG_RETURN(TRUE);
+          return(TRUE);
 	swap_variables(JOIN_TAB*, join->best_ref[idx], *pos);
       }
       restore_prev_nj_state(s);
@@ -6383,7 +6322,7 @@
 	break;				// Don't test all combinations
     }
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -6545,12 +6484,11 @@
   KEYUSE *keyuse;
   uint table_count;
   THD *thd=join->thd;
-  DBUG_ENTER("get_best_combination");
 
   table_count=join->tables;
   if (!(join->join_tab=join_tab=
 	(JOIN_TAB*) thd->alloc(sizeof(JOIN_TAB)*table_count)))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   join->full_join=0;
 
@@ -6564,7 +6502,6 @@
     form->reginfo.join_tab=j;
     if (!*j->on_expr_ref)
       form->reginfo.not_exists_optimize=0;	// Only with LEFT JOIN
-    DBUG_PRINT("info",("type: %d", j->type));
     if (j->type == JT_CONST)
       continue;					// Handled in make_join_stat..
 
@@ -6580,13 +6517,13 @@
 	join->full_join=1;
     }
     else if (create_ref_for_key(join, j, keyuse, used_tables))
-      DBUG_RETURN(TRUE);                        // Something went wrong
+      return(TRUE);                        // Something went wrong
   }
 
   for (i=0 ; i < table_count ; i++)
     join->map2table[join->join_tab[i].table->tablenr]=join->join_tab+i;
   update_depend_map(join);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -6598,7 +6535,6 @@
   uint keyparts,length,key;
   TABLE *table;
   KEY *keyinfo;
-  DBUG_ENTER("create_ref_for_key");
 
   /*  Use best key from find_best */
   table=j->table;
@@ -6640,7 +6576,7 @@
       !(j->ref.items=    (Item**) thd->alloc(sizeof(Item*)*keyparts)) ||
       !(j->ref.cond_guards= (bool**) thd->alloc(sizeof(uint*)*keyparts)))
   {
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   j->ref.key_buff2=j->ref.key_buff+ALIGN_SIZE(length);
   j->ref.key_err=1;
@@ -6673,7 +6609,7 @@
                            maybe_null ?  key_buff : 0,
                            keyinfo->key_part[i].length, keyuse->val);
 	if (thd->is_fatal_error)
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
 	tmp.copy();
       }
       else
@@ -6715,7 +6651,7 @@
   }
   else
     j->type=JT_EQ_REF;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -6790,7 +6726,6 @@
 {
   TABLE **tableptr;
   JOIN_TAB *join_tab;
-  DBUG_ENTER("make_simple_join");
 
   /*
     Reuse TABLE * and JOIN_TAB if already allocated by a previous call
@@ -6799,7 +6734,7 @@
   if (!join->table_reexec)
   {
     if (!(join->table_reexec= (TABLE**) join->thd->alloc(sizeof(TABLE*))))
-      DBUG_RETURN(TRUE);                        /* purecov: inspected */
+      return(TRUE);                        /* purecov: inspected */
     if (join->tmp_join)
       join->tmp_join->table_reexec= join->table_reexec;
   }
@@ -6807,7 +6742,7 @@
   {
     if (!(join->join_tab_reexec=
           (JOIN_TAB*) join->thd->alloc(sizeof(JOIN_TAB))))
-      DBUG_RETURN(TRUE);                        /* purecov: inspected */
+      return(TRUE);                        /* purecov: inspected */
     if (join->tmp_join)
       join->tmp_join->join_tab_reexec= join->join_tab_reexec;
   }
@@ -6850,7 +6785,7 @@
   bzero((char*) &join_tab->read_record,sizeof(join_tab->read_record));
   tmp_table->status=0;
   tmp_table->null_row=0;
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -6923,7 +6858,6 @@
 
 static void add_not_null_conds(JOIN *join)
 {
-  DBUG_ENTER("add_not_null_conds");
   for (uint i=join->const_tables ; i < join->tables ; i++)
   {
     JOIN_TAB *tab=join->join_tab+i;
@@ -6948,7 +6882,7 @@
           if (!referred_tab || referred_tab->join != join)
             continue;
           if (!(notnull= new Item_func_isnotnull(not_null_item)))
-            DBUG_VOID_RETURN;
+            return;
           /*
             We need to do full fix_fields() call here in order to have correct
             notnull->const_item(). This is needed e.g. by test_quick_select 
@@ -6956,7 +6890,7 @@
             called.
           */
           if (notnull->fix_fields(join->thd, &notnull))
-            DBUG_VOID_RETURN;
+            return;
           DBUG_EXECUTE("where",print_where(notnull,
                                            referred_tab->table->alias,
                                            QT_ORDINARY););
@@ -6965,7 +6899,7 @@
       }
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 /**
@@ -6988,7 +6922,7 @@
 add_found_match_trig_cond(JOIN_TAB *tab, COND *cond, JOIN_TAB *root_tab)
 {
   COND *tmp;
-  DBUG_ASSERT(cond != 0);
+  assert(cond != 0);
   if (tab == root_tab)
     return cond;
   if ((tmp= add_found_match_trig_cond(tab->first_upper, cond, root_tab)))
@@ -7047,7 +6981,6 @@
 static void
 make_outerjoin_info(JOIN *join)
 {
-  DBUG_ENTER("make_outerjoin_info");
   for (uint i=join->const_tables ; i < join->tables ; i++)
   {
     JOIN_TAB *tab=join->join_tab+i;
@@ -7094,7 +7027,7 @@
       nested_join->first_nested->last_inner= tab;
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -7102,7 +7035,6 @@
 make_join_select(JOIN *join,SQL_SELECT *select,COND *cond)
 {
   THD *thd= join->thd;
-  DBUG_ENTER("make_join_select");
   if (select)
   {
     add_not_null_conds(join);
@@ -7134,20 +7066,19 @@
               continue;
             tmp= new Item_func_trig_cond(tmp, &cond_tab->not_null_compl);
             if (!tmp)
-              DBUG_RETURN(1);
+              return(1);
             tmp->quick_fix_field();
             cond_tab->select_cond= !cond_tab->select_cond ? tmp :
 	                            new Item_cond_and(cond_tab->select_cond,
                                                       tmp);
             if (!cond_tab->select_cond)
-	      DBUG_RETURN(1);
+	      return(1);
             cond_tab->select_cond->quick_fix_field();
           }       
         }
         if (const_cond && !const_cond->val_int())
         {
-	  DBUG_PRINT("info",("Found impossible WHERE condition"));
-	  DBUG_RETURN(1);	 // Impossible const condition
+	  return(1);	 // Impossible const condition
         }
       }
     }
@@ -7214,7 +7145,6 @@
             in the ON part of an OUTER JOIN. In this case we want the code
             below to check if we should use 'quick' instead.
           */
-          DBUG_PRINT("info", ("Item_int"));
           tmp= new Item_int((longlong) 1,1);	// Always true
         }
 
@@ -7227,7 +7157,7 @@
                                        thd->memdup((uchar*) select,
                                                    sizeof(*select)));
 	if (!sel)
-	  DBUG_RETURN(1);			// End of memory
+	  return(1);			// End of memory
         /*
           If tab is an inner table of an outer join operation,
           add a match guard to the pushed down predicate.
@@ -7241,7 +7171,7 @@
             a cond, so neutralize the hack above.
           */
           if (!(tmp= add_found_match_trig_cond(first_inner_tab, tmp, 0)))
-            DBUG_RETURN(1);
+            return(1);
           tab->select_cond=sel->cond=tmp;
           /* Push condition to storage engine if this is enabled
              and the condition is not guarded */
@@ -7285,13 +7215,13 @@
 	{
 	  if (!tab->const_keys.is_clear_all() &&
               tab->table->reginfo.impossible_range)
-	    DBUG_RETURN(1);
+	    return(1);
 	}
 	else if (tab->type == JT_ALL && ! use_quick_range)
 	{
 	  if (!tab->const_keys.is_clear_all() &&
 	      tab->table->reginfo.impossible_range)
-	    DBUG_RETURN(1);				// Impossible range
+	    return(1);				// Impossible range
 	  /*
 	    We plan to scan all rows.
 	    Check again if we should use an index.
@@ -7337,7 +7267,7 @@
                                           HA_POS_ERROR :
                                           join->unit->select_limit_cnt),0,
                                           FALSE) < 0)
-		DBUG_RETURN(1);			// Impossible WHERE
+		return(1);			// Impossible WHERE
             }
             else
 	      sel->cond=orig_cond;
@@ -7404,12 +7334,12 @@
             continue;
           tmp= new Item_func_trig_cond(tmp, &cond_tab->not_null_compl);
           if (!tmp)
-            DBUG_RETURN(1);
+            return(1);
           tmp->quick_fix_field();
           cond_tab->select_cond= !cond_tab->select_cond ? tmp :
 	                            new Item_cond_and(cond_tab->select_cond,tmp);
           if (!cond_tab->select_cond)
-	    DBUG_RETURN(1);
+	    return(1);
           cond_tab->select_cond->quick_fix_field();
         }       
       }
@@ -7442,28 +7372,22 @@
             if (!(tmp_cond= add_found_match_trig_cond(cond_tab->first_inner,
                                                      tmp_cond,
                                                      first_inner_tab)))
-              DBUG_RETURN(1);
+              return(1);
             /* 
               Now add the guard turning the predicate off for 
               the null complemented row.
 	    */ 
-            DBUG_PRINT("info", ("Item_func_trig_cond"));
             tmp_cond= new Item_func_trig_cond(tmp_cond,
                                               &first_inner_tab->
                                               not_null_compl);
-            DBUG_PRINT("info", ("Item_func_trig_cond 0x%lx",
-                                (ulong) tmp_cond));
             if (tmp_cond)
               tmp_cond->quick_fix_field();
 	    /* Add the predicate to other pushed down predicates */
-            DBUG_PRINT("info", ("Item_cond_and"));
             cond_tab->select_cond= !cond_tab->select_cond ? tmp_cond :
 	                          new Item_cond_and(cond_tab->select_cond,
                                                     tmp_cond);
-            DBUG_PRINT("info", ("Item_cond_and 0x%lx",
-                                (ulong)cond_tab->select_cond));
             if (!cond_tab->select_cond)
-	      DBUG_RETURN(1);
+	      return(1);
             cond_tab->select_cond->quick_fix_field();
           }              
         }
@@ -7471,7 +7395,7 @@
       }
     }
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -7733,7 +7657,6 @@
 
 static void push_index_cond(JOIN_TAB *tab, uint keyno, bool other_tbls_ok)
 {
-  DBUG_ENTER("push_index_cond");
   Item *idx_cond;
   if (tab->table->file->index_flags(keyno, 0, 1) & HA_DO_INDEX_COND_PUSHDOWN &&
       tab->join->thd->variables.engine_condition_pushdown)
@@ -7794,7 +7717,7 @@
       }
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -7857,7 +7780,6 @@
   uint i;
   bool statistics= test(!(join->select_options & SELECT_DESCRIBE));
   bool sorted= 1;
-  DBUG_ENTER("make_join_readinfo");
 
   for (i=join->const_tables ; i < join->tables ; i++)
   {
@@ -8039,7 +7961,6 @@
       }
       break;
     default:
-      DBUG_PRINT("error",("Table type %d found",tab->type)); /* purecov: deadcode */
       break;					/* purecov: deadcode */
     case JT_UNKNOWN:
     case JT_MAYBE_REF:
@@ -8047,7 +7968,7 @@
     }
   }
   join->join_tab[join->tables-1].next_select=0; /* Set by do_select */
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -8166,7 +8087,6 @@
   */
   bool full= (!select_lex->uncacheable && !thd->lex->describe);
   bool can_unlock= full;
-  DBUG_ENTER("JOIN::join_free");
 
   cleanup(full);
 
@@ -8209,7 +8129,7 @@
     lock= 0;
   }
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -8227,7 +8147,6 @@
 
 void JOIN::cleanup(bool full)
 {
-  DBUG_ENTER("JOIN::cleanup");
 
   if (table)
   {
@@ -8288,7 +8207,7 @@
     }
     tmp_table_param.cleanup();
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -8460,7 +8379,6 @@
   table_map first_table= join->join_tab[join->const_tables].table->map;
   table_map not_const_tables= ~join->const_table_map;
   table_map ref;
-  DBUG_ENTER("remove_const");
 
   prev_ptr= &first_order;
   *simple_order= *join->join_tab[join->const_tables].on_expr_ref ? 0 : 1;
@@ -8477,7 +8395,6 @@
     {
       if (order->item[0]->with_subselect)
         order->item[0]->val_str(&order->item[0]->str_value);
-      DBUG_PRINT("info",("removing: %s", order->item[0]->full_name()));
       continue;					// skip const item
     }
     else
@@ -8489,7 +8406,6 @@
 	Item *comp_item=0;
 	if (cond && const_expression_in_where(cond,order->item[0], &comp_item))
 	{
-	  DBUG_PRINT("info",("removing: %s", order->item[0]->full_name()));
 	  continue;
 	}
 	if ((ref=order_tables & (not_const_tables ^ first_table)))
@@ -8497,7 +8413,6 @@
 	  if (!(order_tables & first_table) &&
               only_eq_ref_tables(join,first_order, ref))
 	  {
-	    DBUG_PRINT("info",("removing: %s", order->item[0]->full_name()));
 	    continue;
 	  }
 	  *simple_order=0;			// Must do a temp table to sort
@@ -8512,8 +8427,7 @@
     *prev_ptr=0;
   if (prev_ptr == &first_order)			// Nothing to sort/group
     *simple_order=1;
-  DBUG_PRINT("exit",("simple_order: %d",(int) *simple_order));
-  DBUG_RETURN(first_order);
+  return(first_order);
 }
 
 
@@ -8522,12 +8436,11 @@
 		 List<Item> &fields, bool send_row, ulonglong select_options,
 		 const char *info, Item *having)
 {
-  DBUG_ENTER("return_zero_rows");
 
   if (select_options & SELECT_DESCRIBE)
   {
     select_describe(join, FALSE, FALSE, FALSE, info);
-    DBUG_RETURN(0);
+    return(0);
   }
 
   join->join_free();
@@ -8554,7 +8467,7 @@
   }
   /* Update results for FOUND_ROWS */
   join->thd->limit_found_rows= join->thd->examined_row_count= 0;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /*
@@ -9975,7 +9888,6 @@
   NESTED_JOIN *nested_join;
   TABLE_LIST *prev_table= 0;
   List_iterator<TABLE_LIST> li(*join_list);
-  DBUG_ENTER("simplify_joins");
 
   /* 
     Try to simplify join operations from join_list.
@@ -10135,7 +10047,7 @@
       li.replace(nested_join->join_list);
     }
   }
-  DBUG_RETURN(conds); 
+  return(conds); 
 }
 
 
@@ -10164,7 +10076,6 @@
 {
   List_iterator<TABLE_LIST> li(*join_list);
   TABLE_LIST *table;
-  DBUG_ENTER("build_bitmap_for_nested_joins");
   while ((table= li++))
   {
     NESTED_JOIN *nested_join;
@@ -10191,7 +10102,7 @@
       }
     }
   }
-  DBUG_RETURN(first_unused);
+  return(first_unused);
 }
 
 
@@ -10209,7 +10120,6 @@
 {
   List_iterator<TABLE_LIST> li(*join_list);
   TABLE_LIST *table;
-  DBUG_ENTER("reset_nj_counters");
   while ((table= li++))
   {
     NESTED_JOIN *nested_join;
@@ -10219,7 +10129,7 @@
       reset_nj_counters(&nested_join->join_list);
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -10434,7 +10344,6 @@
               Item::cond_result *cond_value)
 {
   THD *thd= join->thd;
-  DBUG_ENTER("optimize_cond");
 
   if (!conds)
     *cond_value= Item::COND_TRUE;
@@ -10463,7 +10372,7 @@
     conds= remove_eq_conds(thd, conds, cond_value) ;
     DBUG_EXECUTE("info",print_where(conds,"after remove", QT_ORDINARY););
   }
-  DBUG_RETURN(conds);
+  return(conds);
 }
 
 
@@ -11182,11 +11091,6 @@
   MI_COLUMNDEF *recinfo;
   uint total_uneven_bit_length= 0;
   bool force_copy_fields= param->force_copy_fields;
-  DBUG_ENTER("create_tmp_table");
-  DBUG_PRINT("enter",
-             ("distinct: %d  save_sum_fields: %d  rows_limit: %lu  group: %d",
-              (int) distinct, (int) save_sum_fields,
-              (ulong) rows_limit,test(group)));
 
   status_var_increment(thd->status_var.created_tmp_tables);
 
@@ -11268,7 +11172,7 @@
   {
     if (temp_pool_slot != MY_BIT_NONE)
       bitmap_lock_clear_bit(&temp_pool, temp_pool_slot);
-    DBUG_RETURN(NULL);				/* purecov: inspected */
+    return(NULL);				/* purecov: inspected */
   }
   /* Copy_field belongs to TMP_TABLE_PARAM, allocate it in THD mem_root */
   if (!(param->copy_field= copy= new (thd->mem_root) Copy_field[field_count]))
@@ -11276,7 +11180,7 @@
     if (temp_pool_slot != MY_BIT_NONE)
       bitmap_lock_clear_bit(&temp_pool, temp_pool_slot);
     free_root(&own_root, MYF(0));               /* purecov: inspected */
-    DBUG_RETURN(NULL);				/* purecov: inspected */
+    return(NULL);				/* purecov: inspected */
   }
   param->items_to_copy= copy_func;
   strmov(tmpname,path);
@@ -11668,7 +11572,6 @@
 
   if (group)
   {
-    DBUG_PRINT("info",("Creating group key in temporary table"));
     table->group=group;				/* Table is grouped by key */
     param->group_buff=group_buff;
     share->keys=1;
@@ -11736,7 +11639,6 @@
       'param->hidden_field_count' extra columns, whose null bits are stored
       in the first 'hidden_null_pack_length' bytes of the row.
     */
-    DBUG_PRINT("info",("hidden_field_count: %d", param->hidden_field_count));
 
     if (blob_count)
     {
@@ -11836,14 +11738,14 @@
 
   thd->mem_root= mem_root_save;
 
-  DBUG_RETURN(table);
+  return(table);
 
 err:
   thd->mem_root= mem_root_save;
   free_tmp_table(thd,table);                    /* purecov: inspected */
   if (temp_pool_slot != MY_BIT_NONE)
     bitmap_lock_clear_bit(&temp_pool, temp_pool_slot);
-  DBUG_RETURN(NULL);				/* purecov: inspected */
+  return(NULL);				/* purecov: inspected */
 }
 
 
@@ -11904,7 +11806,6 @@
   uint blob_count, null_pack_length, null_count;
   uchar *null_flags;
   uchar *pos;
-  DBUG_ENTER("create_duplicate_weedout_tmp_table");
   
   /*
     STEP 1: Get temporary table name
@@ -11947,7 +11848,7 @@
   {
     if (temp_pool_slot != MY_BIT_NONE)
       bitmap_lock_clear_bit(&temp_pool, temp_pool_slot);
-    DBUG_RETURN(NULL);
+    return(NULL);
   }
   strmov(tmpname,path);
   
@@ -11993,7 +11894,7 @@
     field= new Field_varstring(uniq_tuple_length_arg, FALSE, "rowids", share,
                                &my_charset_bin);
     if (!field)
-      DBUG_RETURN(0);
+      return(0);
     field->table= table;
     field->key_start.init(0);
     field->part_of_key.init(0);
@@ -12113,7 +12014,6 @@
   //// keyinfo= param->keyinfo;
   if (TRUE)
   {
-    DBUG_PRINT("info",("Creating group key in temporary table"));
     share->keys=1;
     share->uniques= test(using_unique_constraint);
     table->key_info=keyinfo;
@@ -12159,14 +12059,14 @@
     goto err;
 
   thd->mem_root= mem_root_save;
-  DBUG_RETURN(table);
+  return(table);
 
 err:
   thd->mem_root= mem_root_save;
   free_tmp_table(thd,table);                    /* purecov: inspected */
   if (temp_pool_slot != MY_BIT_NONE)
     bitmap_lock_clear_bit(&temp_pool, temp_pool_slot);
-  DBUG_RETURN(NULL);				/* purecov: inspected */
+  return(NULL);				/* purecov: inspected */
 }
 
 /****************************************************************************/
@@ -12351,7 +12251,6 @@
   MI_KEYDEF keydef;
   MI_UNIQUEDEF uniquedef;
   TABLE_SHARE *share= table->s;
-  DBUG_ENTER("create_myisam_tmp_table");
 
   if (share->keys)
   {						// Get keys for ni_create
@@ -12448,9 +12347,9 @@
   }
   status_var_increment(table->in_use->status_var.created_tmp_disk_tables);
   share->db_record_offset= 1;
-  DBUG_RETURN(0);
+  return(0);
  err:
-  DBUG_RETURN(1);
+  return(1);
 }
 
 
@@ -12459,8 +12358,6 @@
 {
   MEM_ROOT own_root= entry->mem_root;
   const char *save_proc_info;
-  DBUG_ENTER("free_tmp_table");
-  DBUG_PRINT("enter",("table: %s",entry->alias));
 
   save_proc_info=thd->proc_info;
   thd_proc_info(thd, "removing tmp table");
@@ -12487,7 +12384,7 @@
   free_root(&own_root, MYF(0)); /* the table is allocated in its own root */
   thd_proc_info(thd, save_proc_info);
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 /**
@@ -12504,13 +12401,12 @@
   TABLE_SHARE share;
   const char *save_proc_info;
   int write_err;
-  DBUG_ENTER("create_myisam_from_heap");
 
   if (table->s->db_type() != heap_hton || 
       error != HA_ERR_RECORD_FILE_FULL)
   {
     table->file->print_error(error,MYF(0));
-    DBUG_RETURN(1);
+    return(1);
   }
   new_table= *table;
   share= *table->s;
@@ -12518,7 +12414,7 @@
   new_table.s->db_plugin= ha_lock_engine(thd, myisam_hton);
   if (!(new_table.file= get_new_handler(&share, &new_table.mem_root,
                                         new_table.s->db_type())))
-    DBUG_RETURN(1);				// End of memory
+    return(1);				// End of memory
 
   save_proc_info=thd->proc_info;
   thd_proc_info(thd, "converting HEAP to MyISAM");
@@ -12591,10 +12487,9 @@
       "Copying to tmp table on disk" : save_proc_info);
     thd_proc_info(thd, new_proc_info);
   }
-  DBUG_RETURN(0);
+  return(0);
 
  err:
-  DBUG_PRINT("error",("Got error: %d",write_err));
   table->file->print_error(write_err, MYF(0));
   (void) table->file->ha_rnd_end();
   (void) new_table.file->close();
@@ -12604,7 +12499,7 @@
   delete new_table.file;
   thd_proc_info(thd, save_proc_info);
   table->mem_root= new_table.mem_root;
-  DBUG_RETURN(1);
+  return(1);
 }
 
 
@@ -12634,23 +12529,19 @@
     {
       if (table->s->keys)
       {
-	DBUG_PRINT("info",("Using end_update"));
 	end_select=end_update;
       }
       else
       {
-	DBUG_PRINT("info",("Using end_unique_update"));
 	end_select=end_unique_update;
       }
     }
     else if (join->sort_and_group && !tmp_tbl->precomputed_group_by)
     {
-      DBUG_PRINT("info",("Using end_write_group"));
       end_select=end_write_group;
     }
     else
     {
-      DBUG_PRINT("info",("Using end_write"));
       end_select=end_write;
       if (tmp_tbl->precomputed_group_by)
       {
@@ -12697,7 +12588,6 @@
   int rc= 0;
   enum_nested_loop_state error= NESTED_LOOP_OK;
   JOIN_TAB *join_tab= NULL;
-  DBUG_ENTER("do_select");
   
   join->tmp_table= table;			/* Save for easy recursion */
   join->fields= fields;
@@ -12774,7 +12664,6 @@
       if (join->result->send_eof())
 	rc= 1;                                  // Don't send error
     }
-    DBUG_PRINT("info",("%ld records output", (long) join->send_records));
   }
   else
     rc= -1;
@@ -12783,12 +12672,10 @@
     int tmp, new_errno= 0;
     if ((tmp=table->file->extra(HA_EXTRA_NO_CACHE)))
     {
-      DBUG_PRINT("error",("extra(HA_EXTRA_NO_CACHE) failed"));
       new_errno= tmp;
     }
     if ((tmp=table->file->ha_index_or_rnd_end()))
     {
-      DBUG_PRINT("error",("ha_index_or_rnd_end() failed"));
       new_errno= tmp;
     }
     if (new_errno)
@@ -12797,10 +12684,9 @@
 #ifndef DBUG_OFF
   if (rc)
   {
-    DBUG_PRINT("error",("Error: do_select() failed"));
   }
 #endif
-  DBUG_RETURN(join->thd->is_error() ? -1 : rc);
+  return(join->thd->is_error() ? -1 : rc);
 }
 
 
@@ -13135,7 +13021,6 @@
     join->thd->send_kill_message();
     return NESTED_LOOP_KILLED;               /* purecov: inspected */
   }
-  DBUG_PRINT("info", ("select cond 0x%lx", (ulong)select_cond));
   if (!select_cond || select_cond->val_int())
   {
     /*
@@ -13218,8 +13103,6 @@
     */
     join->examined_rows++;
     join->thd->row_count++;
-    DBUG_PRINT("counts", ("join->examined_rows++: %lu",
-                          (ulong) join->examined_rows));
 
     if (found)
     {
@@ -13449,7 +13332,6 @@
 join_read_const_table(JOIN_TAB *tab, POSITION *pos)
 {
   int error;
-  DBUG_ENTER("join_read_const_table");
   TABLE *table=tab->table;
   table->const_table=1;
   table->null_row=0;
@@ -13464,7 +13346,7 @@
       pos->records_read=0.0;
       pos->ref_depend_map= 0;
       if (!table->maybe_null || error > 0)
-	DBUG_RETURN(error);
+	return(error);
     }
   }
   else
@@ -13490,7 +13372,7 @@
       pos->records_read=0.0;
       pos->ref_depend_map= 0;
       if (!table->maybe_null || error > 0)
-	DBUG_RETURN(error);
+	return(error);
     }
   }
   if (*tab->on_expr_ref && !table->null_row)
@@ -13521,7 +13403,7 @@
            embedding->nested_join->join_list.head() == embedded);
   }
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -14022,17 +13904,16 @@
 end_send(JOIN *join, JOIN_TAB *join_tab __attribute__((unused)),
 	 bool end_of_records)
 {
-  DBUG_ENTER("end_send");
   if (!end_of_records)
   {
     int error;
     if (join->having && join->having->val_int() == 0)
-      DBUG_RETURN(NESTED_LOOP_OK);               // Didn't match having
+      return(NESTED_LOOP_OK);               // Didn't match having
     error=0;
     if (join->do_send_rows)
       error=join->result->send_data(*join->fields);
     if (error)
-      DBUG_RETURN(NESTED_LOOP_ERROR); /* purecov: inspected */
+      return(NESTED_LOOP_ERROR); /* purecov: inspected */
     if (++join->send_records >= join->unit->select_limit_cnt &&
 	join->do_send_rows)
     {
@@ -14066,10 +13947,10 @@
 	  join->do_send_rows= 0;
 	  if (join->unit->fake_select_lex)
 	    join->unit->fake_select_lex->select_limit= 0;
-	  DBUG_RETURN(NESTED_LOOP_OK);
+	  return(NESTED_LOOP_OK);
 	}
       }
-      DBUG_RETURN(NESTED_LOOP_QUERY_LIMIT);      // Abort nicely
+      return(NESTED_LOOP_QUERY_LIMIT);      // Abort nicely
     }
     else if (join->send_records >= join->fetch_limit)
     {
@@ -14077,11 +13958,11 @@
         There is a server side cursor and all rows for
         this fetch request are sent.
       */
-      DBUG_RETURN(NESTED_LOOP_CURSOR_LIMIT);
+      return(NESTED_LOOP_CURSOR_LIMIT);
     }
   }
 
-  DBUG_RETURN(NESTED_LOOP_OK);
+  return(NESTED_LOOP_OK);
 }
 
 
@@ -14092,7 +13973,6 @@
 {
   int idx= -1;
   enum_nested_loop_state ok_code= NESTED_LOOP_OK;
-  DBUG_ENTER("end_send_group");
 
   if (!join->first_record || end_of_records ||
       (idx=test_if_item_cache_changed(join->group_fields)) >= 0)
@@ -14129,14 +14009,14 @@
 	  }
 	}
 	if (error > 0)
-          DBUG_RETURN(NESTED_LOOP_ERROR);        /* purecov: inspected */
+          return(NESTED_LOOP_ERROR);        /* purecov: inspected */
 	if (end_of_records)
-	  DBUG_RETURN(NESTED_LOOP_OK);
+	  return(NESTED_LOOP_OK);
 	if (join->send_records >= join->unit->select_limit_cnt &&
 	    join->do_send_rows)
 	{
 	  if (!(join->select_options & OPTION_FOUND_ROWS))
-	    DBUG_RETURN(NESTED_LOOP_QUERY_LIMIT); // Abort nicely
+	    return(NESTED_LOOP_QUERY_LIMIT); // Abort nicely
 	  join->do_send_rows=0;
 	  join->unit->select_limit_cnt = HA_POS_ERROR;
         }
@@ -14157,7 +14037,7 @@
     else
     {
       if (end_of_records)
-	DBUG_RETURN(NESTED_LOOP_OK);
+	return(NESTED_LOOP_OK);
       join->first_record=1;
       VOID(test_if_item_cache_changed(join->group_fields));
     }
@@ -14169,13 +14049,13 @@
       */
       copy_fields(&join->tmp_table_param);
       if (init_sum_functions(join->sum_funcs, join->sum_funcs_end[idx+1]))
-	DBUG_RETURN(NESTED_LOOP_ERROR);
-      DBUG_RETURN(ok_code);
+	return(NESTED_LOOP_ERROR);
+      return(ok_code);
     }
   }
   if (update_sum_func(join->sum_funcs))
-    DBUG_RETURN(NESTED_LOOP_ERROR);
-  DBUG_RETURN(NESTED_LOOP_OK);
+    return(NESTED_LOOP_ERROR);
+  return(NESTED_LOOP_OK);
 }
 
 
@@ -14185,12 +14065,11 @@
 	  bool end_of_records)
 {
   TABLE *table=join->tmp_table;
-  DBUG_ENTER("end_write");
 
   if (join->thd->killed)			// Aborted by user
   {
     join->thd->send_kill_message();
-    DBUG_RETURN(NESTED_LOOP_KILLED);             /* purecov: inspected */
+    return(NESTED_LOOP_KILLED);             /* purecov: inspected */
   }
   if (!end_of_records)
   {
@@ -14224,22 +14103,22 @@
                                     join->tmp_table_param.start_recinfo,
                                     &join->tmp_table_param.recinfo,
 				    error, 1))
-	  DBUG_RETURN(NESTED_LOOP_ERROR);        // Not a table_is_full error
+	  return(NESTED_LOOP_ERROR);        // Not a table_is_full error
 	table->s->uniques=0;			// To ensure rows are the same
       }
       if (++join->send_records >= join->tmp_table_param.end_write_records &&
 	  join->do_send_rows)
       {
 	if (!(join->select_options & OPTION_FOUND_ROWS))
-	  DBUG_RETURN(NESTED_LOOP_QUERY_LIMIT);
+	  return(NESTED_LOOP_QUERY_LIMIT);
 	join->do_send_rows=0;
 	join->unit->select_limit_cnt = HA_POS_ERROR;
-	DBUG_RETURN(NESTED_LOOP_OK);
+	return(NESTED_LOOP_OK);
       }
     }
   }
 end:
-  DBUG_RETURN(NESTED_LOOP_OK);
+  return(NESTED_LOOP_OK);
 }
 
 /* ARGSUSED */
@@ -14252,14 +14131,13 @@
   TABLE *table=join->tmp_table;
   ORDER   *group;
   int	  error;
-  DBUG_ENTER("end_update");
 
   if (end_of_records)
-    DBUG_RETURN(NESTED_LOOP_OK);
+    return(NESTED_LOOP_OK);
   if (join->thd->killed)			// Aborted by user
   {
     join->thd->send_kill_message();
-    DBUG_RETURN(NESTED_LOOP_KILLED);             /* purecov: inspected */
+    return(NESTED_LOOP_KILLED);             /* purecov: inspected */
   }
 
   join->found_records++;
@@ -14284,9 +14162,9 @@
                                           table->record[0])))
     {
       table->file->print_error(error,MYF(0));	/* purecov: inspected */
-      DBUG_RETURN(NESTED_LOOP_ERROR);            /* purecov: inspected */
+      return(NESTED_LOOP_ERROR);            /* purecov: inspected */
     }
-    DBUG_RETURN(NESTED_LOOP_OK);
+    return(NESTED_LOOP_OK);
   }
 
   /*
@@ -14310,13 +14188,13 @@
                                 join->tmp_table_param.start_recinfo,
                                 &join->tmp_table_param.recinfo,
 				error, 0))
-      DBUG_RETURN(NESTED_LOOP_ERROR);            // Not a table_is_full error
+      return(NESTED_LOOP_ERROR);            // Not a table_is_full error
     /* Change method to update rows */
     table->file->ha_index_init(0, 0);
     join->join_tab[join->tables-1].next_select=end_unique_update;
   }
   join->send_records++;
-  DBUG_RETURN(NESTED_LOOP_OK);
+  return(NESTED_LOOP_OK);
 }
 
 
@@ -14328,14 +14206,13 @@
 {
   TABLE *table=join->tmp_table;
   int	  error;
-  DBUG_ENTER("end_unique_update");
 
   if (end_of_records)
-    DBUG_RETURN(NESTED_LOOP_OK);
+    return(NESTED_LOOP_OK);
   if (join->thd->killed)			// Aborted by user
   {
     join->thd->send_kill_message();
-    DBUG_RETURN(NESTED_LOOP_KILLED);             /* purecov: inspected */
+    return(NESTED_LOOP_KILLED);             /* purecov: inspected */
   }
 
   init_tmptable_sum_functions(join->sum_funcs);
@@ -14349,12 +14226,12 @@
     if ((int) table->file->get_dup_key(error) < 0)
     {
       table->file->print_error(error,MYF(0));	/* purecov: inspected */
-      DBUG_RETURN(NESTED_LOOP_ERROR);            /* purecov: inspected */
+      return(NESTED_LOOP_ERROR);            /* purecov: inspected */
     }
     if (table->file->rnd_pos(table->record[1],table->file->dup_ref))
     {
       table->file->print_error(error,MYF(0));	/* purecov: inspected */
-      DBUG_RETURN(NESTED_LOOP_ERROR);            /* purecov: inspected */
+      return(NESTED_LOOP_ERROR);            /* purecov: inspected */
     }
     restore_record(table,record[1]);
     update_tmptable_sum_func(join->sum_funcs,table);
@@ -14362,10 +14239,10 @@
                                           table->record[0])))
     {
       table->file->print_error(error,MYF(0));	/* purecov: inspected */
-      DBUG_RETURN(NESTED_LOOP_ERROR);            /* purecov: inspected */
+      return(NESTED_LOOP_ERROR);            /* purecov: inspected */
     }
   }
-  DBUG_RETURN(NESTED_LOOP_OK);
+  return(NESTED_LOOP_OK);
 }
 
 
@@ -14376,12 +14253,11 @@
 {
   TABLE *table=join->tmp_table;
   int	  idx= -1;
-  DBUG_ENTER("end_write_group");
 
   if (join->thd->killed)
   {						// Aborted by user
     join->thd->send_kill_message();
-    DBUG_RETURN(NESTED_LOOP_KILLED);             /* purecov: inspected */
+    return(NESTED_LOOP_KILLED);             /* purecov: inspected */
   }
   if (!join->first_record || end_of_records ||
       (idx=test_if_item_cache_changed(join->group_fields)) >= 0)
@@ -14405,21 +14281,21 @@
                                                join->tmp_table_param.start_recinfo,
                                                 &join->tmp_table_param.recinfo,
                                                error, 0))
-	    DBUG_RETURN(NESTED_LOOP_ERROR);
+	    return(NESTED_LOOP_ERROR);
         }
         if (join->rollup.state != ROLLUP::STATE_NONE)
 	{
 	  if (join->rollup_write_data((uint) (idx+1), table))
-	    DBUG_RETURN(NESTED_LOOP_ERROR);
+	    return(NESTED_LOOP_ERROR);
 	}
 	if (end_of_records)
-	  DBUG_RETURN(NESTED_LOOP_OK);
+	  return(NESTED_LOOP_OK);
       }
     }
     else
     {
       if (end_of_records)
-	DBUG_RETURN(NESTED_LOOP_OK);
+	return(NESTED_LOOP_OK);
       join->first_record=1;
       VOID(test_if_item_cache_changed(join->group_fields));
     }
@@ -14428,13 +14304,13 @@
       copy_fields(&join->tmp_table_param);
       copy_funcs(join->tmp_table_param.items_to_copy);
       if (init_sum_functions(join->sum_funcs, join->sum_funcs_end[idx+1]))
-	DBUG_RETURN(NESTED_LOOP_ERROR);
-      DBUG_RETURN(NESTED_LOOP_OK);
+	return(NESTED_LOOP_ERROR);
+      return(NESTED_LOOP_OK);
     }
   }
   if (update_sum_func(join->sum_funcs))
-    DBUG_RETURN(NESTED_LOOP_ERROR);
-  DBUG_RETURN(NESTED_LOOP_OK);
+    return(NESTED_LOOP_ERROR);
+  return(NESTED_LOOP_OK);
 }
 
 
@@ -14741,7 +14617,6 @@
   key_part_map const_key_parts=table->const_key_parts[idx];
   int reverse=0;
   my_bool on_primary_key= FALSE;
-  DBUG_ENTER("test_if_order_by_key");
 
   for (; order ; order=order->next, const_key_parts>>=1)
   {
@@ -14778,20 +14653,20 @@
          one row).  The sorting doesn't matter.
         */
         if (key_part == key_part_end && reverse == 0)
-          DBUG_RETURN(1);
+          return(1);
       }
       else
-        DBUG_RETURN(0);
+        return(0);
     }
 
     if (key_part->field != field)
-      DBUG_RETURN(0);
+      return(0);
 
     /* set flag to 1 if we can use read-next on key, else to -1 */
     flag= ((order->asc == !(key_part->key_part_flag & HA_REVERSE_SORT)) ?
            1 : -1);
     if (reverse && flag != reverse)
-      DBUG_RETURN(0);
+      return(0);
     reverse=flag;				// Remember if reverse
     key_part++;
   }
@@ -14800,7 +14675,7 @@
   if (reverse == -1 && !(table->file->index_flags(idx, *used_key_parts-1, 1) &
                          HA_READ_PREV))
     reverse= 0;                                 // Index can't be used
-  DBUG_RETURN(reverse);
+  return(reverse);
 }
 
 
@@ -15058,7 +14933,6 @@
   SQL_SELECT *select=tab->select;
   key_map usable_keys;
   QUICK_SELECT_I *save_quick= 0;
-  DBUG_ENTER("test_if_skip_sort_order");
 
   /*
     Keys disabled by ALTER TABLE ... DISABLE KEYS should have already
@@ -15072,11 +14946,11 @@
     if (item->type() != Item::FIELD_ITEM)
     {
       usable_keys.clear_all();
-      DBUG_RETURN(0);
+      return(0);
     }
     usable_keys.intersect(((Item_field*) item)->field->part_of_sortkey);
     if (usable_keys.is_clear_all())
-      DBUG_RETURN(0);					// No usable keys
+      return(0);					// No usable keys
   }
 
   ref_key= -1;
@@ -15086,7 +14960,7 @@
     ref_key=	   tab->ref.key;
     ref_key_parts= tab->ref.key_parts;
     if (tab->type == JT_REF_OR_NULL)
-      DBUG_RETURN(0);
+      return(0);
   }
   else if (select && select->quick)		// Range found by opt_range
   {
@@ -15101,7 +14975,7 @@
     if (quick_type == QUICK_SELECT_I::QS_TYPE_INDEX_MERGE || 
         quick_type == QUICK_SELECT_I::QS_TYPE_ROR_UNION || 
         quick_type == QUICK_SELECT_I::QS_TYPE_ROR_INTERSECT)
-      DBUG_RETURN(0);
+      return(0);
     ref_key=	   select->quick->index;
     ref_key_parts= select->quick->used_key_parts;
   }
@@ -15145,7 +15019,7 @@
 
           if (create_ref_for_key(tab->join, tab, keyuse, 
                                  tab->join->const_table_map))
-            DBUG_RETURN(0);
+            return(0);
 	}
 	else
 	{
@@ -15168,7 +15042,7 @@
                                         tab->join->unit->select_limit_cnt,0,
                                         TRUE) <=
               0)
-            DBUG_RETURN(0);
+            return(0);
 	}
         ref_key= new_ref_key;
       }
@@ -15212,7 +15086,7 @@
         index order and not using join cache
         */
       if (tab->type == JT_ALL && tab->join->tables > tab->join->const_tables + 1)
-        DBUG_RETURN(0);
+        return(0);
       keys= *table->file->keys_to_use_for_scanning();
       keys.merge(table->covering_keys);
 
@@ -15403,7 +15277,7 @@
       order_direction= best_key_direction;
     }
     else
-      DBUG_RETURN(0); 
+      return(0); 
   } 
 
 check_reverse_order:                  
@@ -15427,7 +15301,7 @@
         {
           tab->limit= 0;
           select->quick= save_quick;
-          DBUG_RETURN(0);                   // Use filesort
+          return(0);                   // Use filesort
         }
             
         /* ORDER BY range_key DESC */
@@ -15438,7 +15312,7 @@
 	  delete tmp;
           select->quick= save_quick;
           tab->limit= 0;
-	  DBUG_RETURN(0);		// Reverse sort not supported
+	  return(0);		// Reverse sort not supported
 	}
 	select->quick=tmp;
       }
@@ -15458,7 +15332,7 @@
   }
   else if (select && select->quick)
     select->quick->sorted= 1;
-  DBUG_RETURN(1);
+  return(1);
 }
 
 
@@ -15501,10 +15375,9 @@
   TABLE *table;
   SQL_SELECT *select;
   JOIN_TAB *tab;
-  DBUG_ENTER("create_sort_index");
 
   if (join->tables == join->const_tables)
-    DBUG_RETURN(0);				// One row, no need to sort
+    return(0);				// One row, no need to sort
   tab=    join->join_tab + join->const_tables;
   table=  tab->table;
   select= tab->select;
@@ -15521,7 +15394,7 @@
       test_if_skip_sort_order(tab,order,select_limit,0, 
                               is_order_by ?  &table->keys_in_use_for_order_by :
                               &table->keys_in_use_for_group_by))
-    DBUG_RETURN(0);
+    return(0);
   for (ORDER *ord= join->order; ord; ord= ord->next)
     length++;
   if (!(join->sortorder= 
@@ -15590,9 +15463,9 @@
     table->key_read=0;
     table->file->extra(HA_EXTRA_NO_KEYREAD);
   }
-  DBUG_RETURN(table->sort.found_records == HA_POS_ERROR);
+  return(table->sort.found_records == HA_POS_ERROR);
 err:
-  DBUG_RETURN(-1);
+  return(-1);
 }
 
 /*****************************************************************************
@@ -15641,7 +15514,6 @@
   ulong reclength,offset;
   uint field_count;
   THD *thd= join->thd;
-  DBUG_ENTER("remove_duplicates");
 
   entry->reginfo.lock_type=TL_WRITE;
 
@@ -15658,7 +15530,7 @@
   if (!field_count && !(join->select_options & OPTION_FOUND_ROWS) && !having) 
   {                    // only const items with no OPTION_FOUND_ROWS
     join->unit->select_limit_cnt= 1;		// Only send first row
-    DBUG_RETURN(0);
+    return(0);
   }
   Field **first_field=entry->field+entry->s->fields - field_count;
   offset= (field_count ? 
@@ -15680,7 +15552,7 @@
 				  having);
 
   free_blobs(first_field);
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -15692,7 +15564,6 @@
   uchar *record;
   int error;
   ulong reclength= table->s->reclength-offset;
-  DBUG_ENTER("remove_dup_with_compare");
 
   org_record=(char*) (record=table->record[0])+offset;
   new_record=(char*) table->record[1]+offset;
@@ -15760,12 +15631,12 @@
   }
 
   file->extra(HA_EXTRA_NO_CACHE);
-  DBUG_RETURN(0);
+  return(0);
 err:
   file->extra(HA_EXTRA_NO_CACHE);
   if (error)
     file->print_error(error,MYF(0));
-  DBUG_RETURN(1);
+  return(1);
 }
 
 
@@ -15788,7 +15659,6 @@
   ulong extra_length= ALIGN_SIZE(key_length)-key_length;
   uint *field_lengths,*field_length;
   HASH hash;
-  DBUG_ENTER("remove_dup_with_hash_index");
 
   if (!my_multi_malloc(MYF(MY_WME),
 		       &key_buffer,
@@ -15797,7 +15667,7 @@
 		       &field_lengths,
 		       (uint) (field_count*sizeof(*field_lengths)),
 		       NullS))
-    DBUG_RETURN(1);
+    return(1);
 
   {
     Field **ptr;
@@ -15808,8 +15678,6 @@
       (*field_length++)= length;
       total_length+= length;
     }
-    DBUG_PRINT("info",("field_count: %u  key_length: %lu  total_length: %lu",
-                       field_count, key_length, total_length));
     DBUG_ASSERT(total_length <= key_length);
     key_length= total_length;
     extra_length= ALIGN_SIZE(key_length)-key_length;
@@ -15819,7 +15687,7 @@
 		key_length, (hash_get_key) 0, 0, 0))
   {
     my_free((char*) key_buffer,MYF(0));
-    DBUG_RETURN(1);
+    return(1);
   }
 
   file->ha_rnd_init(1);
@@ -15871,7 +15739,7 @@
   hash_free(&hash);
   file->extra(HA_EXTRA_NO_CACHE);
   (void) file->ha_rnd_end();
-  DBUG_RETURN(0);
+  return(0);
 
 err:
   my_free((char*) key_buffer,MYF(0));
@@ -15880,7 +15748,7 @@
   (void) file->ha_rnd_end();
   if (error)
     file->print_error(error,MYF(0));
-  DBUG_RETURN(1);
+  return(1);
 }
 
 
@@ -15889,7 +15757,6 @@
 {
   uint count;
   SORT_FIELD *sort,*pos;
-  DBUG_ENTER("make_unireg_sortorder");
 
   count=0;
   for (ORDER *tmp = order; tmp; tmp=tmp->next)
@@ -15919,7 +15786,7 @@
     pos->reverse=! order->asc;
   }
   *length=count;
-  DBUG_RETURN(sort);
+  return(sort);
 }
 
 
@@ -15939,7 +15806,6 @@
   CACHE_FIELD *copy,**blob_ptr;
   JOIN_CACHE  *cache;
   JOIN_TAB *join_tab;
-  DBUG_ENTER("join_init_cache");
 
   cache= &tables[table_count].cache;
   cache->fields=blobs=0;
@@ -15966,7 +15832,7 @@
   {
     my_free((uchar*) cache->buff,MYF(0));		/* purecov: inspected */
     cache->buff=0;				/* purecov: inspected */
-    DBUG_RETURN(1);				/* purecov: inspected */
+    return(1);				/* purecov: inspected */
   }
   copy=cache->field;
   blob_ptr=cache->blob_ptr=(CACHE_FIELD**)
@@ -16043,10 +15909,10 @@
   *blob_ptr=0;					/* End sequentel */
   size=max(thd->variables.join_buff_size, cache->length);
   if (!(cache->buff=(uchar*) my_malloc(size,MYF(0))))
-    DBUG_RETURN(1);				/* Don't use cache */ /* purecov: inspected */
+    return(1);				/* Don't use cache */ /* purecov: inspected */
   cache->end=cache->buff+size;
   reset_cache_write(cache);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -16736,7 +16602,6 @@
 get_sort_by_table(ORDER *a,ORDER *b,TABLE_LIST *tables)
 {
   table_map map= (table_map) 0;
-  DBUG_ENTER("get_sort_by_table");
 
   if (!a)
     a=b;					// Only one need to be given
@@ -16746,17 +16611,16 @@
   for (; a && b; a=a->next,b=b->next)
   {
     if (!(*a->item)->eq(*b->item,1))
-      DBUG_RETURN(0);
+      return(0);
     map|=a->item[0]->used_tables();
   }
   if (!map || (map & (RAND_TABLE_BIT | OUTER_REF_TABLE_BIT)))
-    DBUG_RETURN(0);
+    return(0);
 
   for (; !(map & tables->table->map); tables= tables->next_leaf) {};
   if (map != tables->table->map)
-    DBUG_RETURN(0);				// More than one table
-  DBUG_PRINT("exit",("sort by table: %d",tables->table->tablenr));
-  DBUG_RETURN(tables->table);
+    return(0);				// More than one table
+  return(tables->table);
 }
 
 
@@ -16915,7 +16779,6 @@
 
 int test_if_item_cache_changed(List<Cached_item> &list)
 {
-  DBUG_ENTER("test_if_item_cache_changed");
   List_iterator<Cached_item> li(list);
   int idx= -1,i;
   Cached_item *buff;
@@ -16925,8 +16788,7 @@
     if (buff->cmp())
       idx=i;
   }
-  DBUG_PRINT("info", ("idx: %d", idx));
-  DBUG_RETURN(idx);
+  return(idx);
 }
 
 
@@ -16973,7 +16835,6 @@
   List_iterator_fast<Item> itr(res_all_fields);
   List<Item> extra_funcs;
   uint i, border= all_fields.elements - elements;
-  DBUG_ENTER("setup_copy_fields");
 
   if (param->field_count && 
       !(copy=param->copy_field= new Copy_field[param->field_count]))
@@ -17079,14 +16940,14 @@
   */
   param->copy_funcs.concat(&extra_funcs);
 
-  DBUG_RETURN(0);
+  return(0);
 
  err:
   if (copy)
     delete [] param->copy_field;			// This is never 0
   param->copy_field=0;
 err2:
-  DBUG_RETURN(TRUE);
+  return(TRUE);
 }
 
 
@@ -17126,7 +16987,6 @@
 bool JOIN::alloc_func_list()
 {
   uint func_count, group_parts;
-  DBUG_ENTER("alloc_func_list");
 
   func_count= tmp_table_param.sum_func_count;
   /*
@@ -17160,7 +17020,7 @@
   sum_funcs= (Item_sum**) thd->calloc(sizeof(Item_sum**) * (func_count+1) +
 				      sizeof(Item_sum***) * (group_parts+1));
   sum_funcs_end= (Item_sum***) (sum_funcs+func_count+1);
-  DBUG_RETURN(sum_funcs == 0);
+  return(sum_funcs == 0);
 }
 
 
@@ -17184,10 +17044,9 @@
   List_iterator_fast<Item> it(field_list);
   Item_sum **func;
   Item *item;
-  DBUG_ENTER("make_sum_func_list");
 
   if (*sum_funcs && !recompute)
-    DBUG_RETURN(FALSE); /* We have already initialized sum_funcs. */
+    return(FALSE); /* We have already initialized sum_funcs. */
 
   func= sum_funcs;
   while ((item=it++))
@@ -17201,7 +17060,7 @@
   {
     rollup.state= ROLLUP::STATE_READY;
     if (rollup_make_fields(field_list, send_fields, &func))
-      DBUG_RETURN(TRUE);			// Should never happen
+      return(TRUE);			// Should never happen
   }
   else if (rollup.state == ROLLUP::STATE_NONE)
   {
@@ -17209,9 +17068,9 @@
       sum_funcs_end[i]= func;
   }
   else if (rollup.state == ROLLUP::STATE_READY)
-    DBUG_RETURN(FALSE);                         // Don't put end marker
+    return(FALSE);                         // Don't put end marker
   *func=0;					// End marker
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -17240,7 +17099,6 @@
 {
   List_iterator_fast<Item> it(all_fields);
   Item *item_field,*item;
-  DBUG_ENTER("change_to_use_tmp_fields");
 
   res_selected_fields.empty();
   res_all_fields.empty();
@@ -17267,7 +17125,7 @@
 	else
 	  item_field= (Item*) new Item_field(field);
 	if (!item_field)
-	  DBUG_RETURN(TRUE);                    // Fatal error
+	  return(TRUE);                    // Fatal error
 
         if (item->real_item()->type() != Item::FIELD_ITEM)
           field->orig_table= 0;
@@ -17302,7 +17160,7 @@
   for (i= 0; i < border; i++)
     itr++;
   itr.sublist(res_selected_fields, elements);
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -17372,13 +17230,12 @@
 static bool setup_sum_funcs(THD *thd, Item_sum **func_ptr)
 {
   Item_sum *func;
-  DBUG_ENTER("setup_sum_funcs");
   while ((func= *(func_ptr++)))
   {
     if (func->setup(thd))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -17460,15 +17317,14 @@
 
 static bool add_ref_to_table_cond(THD *thd, JOIN_TAB *join_tab)
 {
-  DBUG_ENTER("add_ref_to_table_cond");
   if (!join_tab->ref.key_parts)
-    DBUG_RETURN(FALSE);
+    return(FALSE);
 
   Item_cond_and *cond=new Item_cond_and();
   TABLE *table=join_tab->table;
   int error;
   if (!cond)
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   for (uint i=0 ; i < join_tab->ref.key_parts ; i++)
   {
@@ -17478,7 +17334,7 @@
     cond->add(new Item_func_equal(new Item_field(field), value));
   }
   if (thd->is_fatal_error)
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   if (!cond->fixed)
     cond->fix_fields(thd, (Item**)&cond);
@@ -17491,7 +17347,7 @@
                                           &error)))
     join_tab->select_cond=cond;
 
-  DBUG_RETURN(error ? TRUE : FALSE);
+  return(error ? TRUE : FALSE);
 }
 
 
@@ -17963,10 +17819,6 @@
   Item *item_null= new Item_null();
   CHARSET_INFO *cs= system_charset_info;
   int quick_type;
-  DBUG_ENTER("select_describe");
-  DBUG_PRINT("info", ("Select 0x%lx, type %s, message %s",
-		      (ulong)join->select_lex, join->select_lex->type,
-		      message ? message : "NULL"));
   /* Don't log this into the slow query log */
   thd->server_status&= ~(SERVER_QUERY_NO_INDEX_USED | SERVER_QUERY_NO_GOOD_INDEX_USED);
   join->unit->offset_limit_cnt= 0;
@@ -18430,15 +18282,14 @@
        unit= unit->next_unit())
   {
     if (mysql_explain_union(thd, unit, result))
-      DBUG_VOID_RETURN;
+      return;
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
 bool mysql_explain_union(THD *thd, SELECT_LEX_UNIT *unit, select_result *result)
 {
-  DBUG_ENTER("mysql_explain_union");
   bool res= 0;
   SELECT_LEX *first= unit->first_select();
 
@@ -18490,7 +18341,7 @@
 			first->options | thd->options | SELECT_DESCRIBE,
 			result, unit, first);
   }
-  DBUG_RETURN(res || thd->is_error());
+  return(res || thd->is_error());
 }
 
 
@@ -18813,14 +18664,13 @@
 
 bool JOIN::change_result(select_result *res)
 {
-  DBUG_ENTER("JOIN::change_result");
   result= res;
   if (result->prepare(fields_list, select_lex->master_unit()) ||
                      result->prepare2())
   {
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 /**

=== modified file 'sql/sql_show.cc'
--- sql/sql_show.cc	2008-06-30 07:09:25 +0000
+++ sql/sql_show.cc	2008-07-03 02:53:22 +0000
@@ -35,25 +35,26 @@
 int wild_case_compare(CHARSET_INFO *cs, const char *str,const char *wildstr)
 {
   register int flag;
-  DBUG_ENTER("wild_case_compare");
-  DBUG_PRINT("enter",("str: '%s'  wildstr: '%s'",str,wildstr));
   while (*wildstr)
   {
     while (*wildstr && *wildstr != wild_many && *wildstr != wild_one)
     {
       if (*wildstr == wild_prefix && wildstr[1])
-	wildstr++;
-      if (my_toupper(cs, *wildstr++) !=
-          my_toupper(cs, *str++)) DBUG_RETURN(1);
+        wildstr++;
+      if (my_toupper(cs, *wildstr++) != my_toupper(cs, *str++))
+        return(1);
     }
-    if (! *wildstr ) DBUG_RETURN (*str != 0);
+    if (! *wildstr )
+      return (*str != 0);
     if (*wildstr++ == wild_one)
     {
-      if (! *str++) DBUG_RETURN (1);	/* One char; skip */
+      if (! *str++)
+        return (1);	/* One char; skip */
     }
     else
     {						/* Found '*' */
-      if (!*wildstr) DBUG_RETURN(0);		/* '*' as last char: OK */
+      if (!*wildstr)
+        return(0);		/* '*' as last char: OK */
       flag=(*wildstr != wild_many && *wildstr != wild_one);
       do
       {
@@ -65,14 +66,16 @@
 	  cmp=my_toupper(cs, cmp);
 	  while (*str && my_toupper(cs, *str) != cmp)
 	    str++;
-	  if (!*str) DBUG_RETURN (1);
+    if (!*str)
+      return (1);
 	}
-	if (wild_case_compare(cs, str,wildstr) == 0) DBUG_RETURN (0);
+  if (wild_case_compare(cs, str,wildstr) == 0)
+      return (0);
       } while (*str++);
-      DBUG_RETURN(1);
+      return(1);
     }
   }
-  DBUG_RETURN (*str != '\0');
+  return (*str != '\0');
 }
 
 /***************************************************************************
@@ -180,14 +183,13 @@
 
 int fill_plugins(THD *thd, TABLE_LIST *tables, COND *cond)
 {
-  DBUG_ENTER("fill_plugins");
   TABLE *table= tables->table;
 
   if (plugin_foreach_with_mask(thd, show_plugins, MYSQL_ANY_PLUGIN,
                                ~PLUGIN_IS_FREED, table))
-    DBUG_RETURN(1);
+    return(1);
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -222,7 +224,6 @@
   LEX_STRING *file_name= 0;
   uint file_name_len;
   TABLE_LIST table_list;
-  DBUG_ENTER("find_files");
 
   if (wild && !wild[0])
     wild=0;
@@ -235,7 +236,7 @@
       my_error(ER_BAD_DB_ERROR, MYF(ME_BELL+ME_WAITTANG), db);
     else
       my_error(ER_CANT_READ_DIR, MYF(ME_BELL+ME_WAITTANG), path, my_errno);
-    DBUG_RETURN(FIND_FILES_DIR);
+    return(FIND_FILES_DIR);
   }
 
   for (i=0 ; i < (uint) dirp->number_off_files  ; i++)
@@ -274,7 +275,7 @@
             thd->make_lex_string(file_name, uname, file_name_len, TRUE)))
       {
         my_dirend(dirp);
-        DBUG_RETURN(FIND_FILES_OOM);
+        return(FIND_FILES_OOM);
       }
     }
     else
@@ -301,13 +302,12 @@
         files->push_back(file_name))
     {
       my_dirend(dirp);
-      DBUG_RETURN(FIND_FILES_OOM);
+      return(FIND_FILES_OOM);
     }
   }
-  DBUG_PRINT("info",("found: %d files", files->elements));
   my_dirend(dirp);
 
-  DBUG_RETURN(FIND_FILES_OK);
+  return(FIND_FILES_OK);
 }
 
 
@@ -317,15 +317,12 @@
   Protocol *protocol= thd->protocol;
   char buff[2048];
   String buffer(buff, sizeof(buff), system_charset_info);
-  DBUG_ENTER("mysqld_show_create");
-  DBUG_PRINT("enter",("db: %s  table: %s",table_list->db,
-                      table_list->table_name));
 
   /* Only one table for now, but VIEW can involve several tables */
   if (open_normal_and_derived_tables(thd, table_list, 0))
   {
     if (thd->is_error() && thd->main_da.sql_errno() != ER_VIEW_INVALID)
-      DBUG_RETURN(TRUE);
+      return(TRUE);
 
     /*
       Clear all messages with 'error' level status and
@@ -339,7 +336,7 @@
   buffer.length(0);
 
   if (store_create_info(thd, table_list, &buffer, NULL))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   List<Item> field_list;
   {
@@ -351,7 +348,7 @@
 
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   protocol->prepare_for_resend();
   {
     if (table_list->schema_table)
@@ -364,10 +361,10 @@
   protocol->store(buffer.ptr(), buffer.length(), buffer.charset());
 
   if (protocol->write())
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   my_eof(thd);
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 bool mysqld_show_create_db(THD *thd, char *dbname,
@@ -376,7 +373,6 @@
   char buff[2048];
   String buffer(buff, sizeof(buff), system_charset_info);
   Protocol *protocol=thd->protocol;
-  DBUG_ENTER("mysql_show_create_db");
 
   if (store_db_create_info(thd, dbname, &buffer, create_info))
   {
@@ -385,7 +381,7 @@
       can fail is incorrect database name (which is the case now).
     */
     my_error(ER_BAD_DB_ERROR, MYF(0), dbname);
-    DBUG_RETURN(TRUE);    
+    return(TRUE);    
   }
 
   List<Item> field_list;
@@ -394,16 +390,16 @@
 
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   protocol->prepare_for_resend();
   protocol->store(dbname, strlen(dbname), system_charset_info);
   protocol->store(buffer.ptr(), buffer.length(), buffer.charset());
 
   if (protocol->write())
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   my_eof(thd);
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -417,11 +413,9 @@
 mysqld_list_fields(THD *thd, TABLE_LIST *table_list, const char *wild)
 {
   TABLE *table;
-  DBUG_ENTER("mysqld_list_fields");
-  DBUG_PRINT("enter",("table: %s",table_list->table_name));
 
   if (open_normal_and_derived_tables(thd, table_list, 0))
-    DBUG_VOID_RETURN;
+    return;
   table= table_list->table;
 
   List<Item> field_list;
@@ -438,9 +432,9 @@
   restore_record(table, s->default_values);              // Get empty record
   table->use_all_columns();
   if (thd->protocol->send_fields(&field_list, Protocol::SEND_DEFAULTS))
-    DBUG_VOID_RETURN;
+    return;
   my_eof(thd);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -680,8 +674,6 @@
   HA_CREATE_INFO create_info;
   bool show_table_options= FALSE;
   my_bitmap_map *old_map;
-  DBUG_ENTER("store_create_info");
-  DBUG_PRINT("enter",("table: %s", table->s->table_name.str));
 
   restore_record(table, s->default_values); // Get empty record
 
@@ -1034,7 +1026,7 @@
     append_directory(thd, packet, "INDEX", create_info.index_file_name);
   }
   tmp_restore_column_map(table->read_set, old_map);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /**
@@ -1064,7 +1056,6 @@
 {
   HA_CREATE_INFO create;
   uint create_options = create_info ? create_info->options : 0;
-  DBUG_ENTER("store_db_create_info");
 
   if (!my_strcasecmp(system_charset_info, dbname,
                      INFORMATION_SCHEMA_NAME.str))
@@ -1075,7 +1066,7 @@
   else
   {
     if (check_db_dir_existence(dbname))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
 
     load_db_opt_by_name(thd, dbname, &create);
   }
@@ -1103,7 +1094,7 @@
     buffer->append(STRING_WITH_LEN(" */"));
   }
 
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 static void store_key_options(THD *thd, String *packet, TABLE *table,
@@ -1170,7 +1161,6 @@
   ulong max_query_length= (verbose ? thd->variables.max_allowed_packet :
 			   PROCESS_LIST_WIDTH);
   Protocol *protocol= thd->protocol;
-  DBUG_ENTER("mysqld_list_processes");
 
   field_list.push_back(new Item_int("Id", 0, MY_INT32_NUM_DECIMAL_DIGITS));
   field_list.push_back(new Item_empty_string("User",16));
@@ -1185,7 +1175,7 @@
   field->maybe_null=1;
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
-    DBUG_VOID_RETURN;
+    return;
 
   VOID(pthread_mutex_lock(&LOCK_thread_count)); // For unlink from list
   if (!thd->killed)
@@ -1266,7 +1256,7 @@
       break; /* purecov: inspected */
   }
   my_eof(thd);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 int fill_schema_processlist(THD* thd, TABLE_LIST* tables, COND* cond)
@@ -1275,7 +1265,6 @@
   CHARSET_INFO *cs= system_charset_info;
   char *user;
   time_t now= my_time(0);
-  DBUG_ENTER("fill_process_list");
 
   user= NullS;
 
@@ -1354,13 +1343,13 @@
       if (schema_table_store_record(thd, table))
       {
         VOID(pthread_mutex_unlock(&LOCK_thread_count));
-        DBUG_RETURN(1);
+        return(1);
       }
     }
   }
 
   VOID(pthread_mutex_unlock(&LOCK_thread_count));
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /*****************************************************************************
@@ -1557,7 +1546,6 @@
   int len;
   LEX_STRING null_lex_str;
   SHOW_VAR tmp, *var;
-  DBUG_ENTER("show_status_array");
 
   null_lex_str.str= 0;				// For sys_var->value_ptr()
   null_lex_str.length= 0;
@@ -1687,12 +1675,12 @@
         pthread_mutex_unlock(&LOCK_global_system_variables);
 
         if (schema_table_store_record(thd, table))
-          DBUG_RETURN(TRUE);
+          return(TRUE);
       }
     }
   }
 
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -1700,7 +1688,6 @@
 
 void calc_sum_of_all_status(STATUS_VAR *to)
 {
-  DBUG_ENTER("calc_sum_of_all_status");
 
   /* Ensure that thread id not killed during loop */
   VOID(pthread_mutex_lock(&LOCK_thread_count)); // For unlink from list
@@ -1716,7 +1703,7 @@
     add_to_status(to, &tmp->status_var);
   
   VOID(pthread_mutex_unlock(&LOCK_thread_count));
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -2157,10 +2144,9 @@
   List<LEX_STRING> *file_list= data->files;
   const char *wild= data->wild;
   ST_SCHEMA_TABLE *schema_table= plugin_data(plugin, ST_SCHEMA_TABLE *);
-  DBUG_ENTER("add_schema_table");
 
   if (schema_table->hidden)
-      DBUG_RETURN(0);
+      return(0);
   if (wild)
   {
     if (lower_case_table_names)
@@ -2168,18 +2154,18 @@
       if (wild_case_compare(files_charset_info,
                             schema_table->table_name,
                             wild))
-        DBUG_RETURN(0);
+        return(0);
     }
     else if (wild_compare(schema_table->table_name, wild, 0))
-      DBUG_RETURN(0);
+      return(0);
   }
 
   if ((file_name= thd->make_lex_string(file_name, schema_table->table_name,
                                        strlen(schema_table->table_name),
                                        TRUE)) &&
       !file_list->push_back(file_name))
-    DBUG_RETURN(0);
-  DBUG_RETURN(1);
+    return(0);
+  return(1);
 }
 
 
@@ -2188,7 +2174,6 @@
   LEX_STRING *file_name= 0;
   ST_SCHEMA_TABLE *tmp_schema_table= schema_tables;
   st_add_schema_table add_data;
-  DBUG_ENTER("schema_tables_add");
 
   for (; tmp_schema_table->table_name; tmp_schema_table++)
   {
@@ -2211,16 +2196,16 @@
                               strlen(tmp_schema_table->table_name), TRUE)) &&
         !files->push_back(file_name))
       continue;
-    DBUG_RETURN(1);
+    return(1);
   }
 
   add_data.files= files;
   add_data.wild= wild;
   if (plugin_foreach(thd, add_schema_table,
                      MYSQL_INFORMATION_SCHEMA_PLUGIN, &add_data))
-      DBUG_RETURN(1);
+      return(1);
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -2329,7 +2314,6 @@
     table_list.first;
   TABLE *table= tables->table;
   int error= 1;
-  DBUG_ENTER("fill_schema_show");
 
   lex->all_selects_list= tables->schema_select_lex;
   /*
@@ -2371,7 +2355,7 @@
                                            table_name));
    thd->temporary_tables= 0;
    close_tables_for_reopen(thd, &show_table_list);
-   DBUG_RETURN(error);
+   return(error);
 }
 
 
@@ -2574,7 +2558,6 @@
   Query_tables_list query_tables_list_backup;
   uint table_open_method;
   bool old_value= thd->no_warnings_for_error;
-  DBUG_ENTER("get_all_tables");
 
   lex->reset_n_backup_query_tables_list(&query_tables_list_backup);
 
@@ -2588,7 +2571,6 @@
   schema_table_idx= get_schema_table_idx(schema_table);
   tables->table_open_method= table_open_method=
     get_table_open_method(tables, schema_table, schema_table_idx);
-  DBUG_PRINT("open_method", ("%d", tables->table_open_method));
   /* 
     this branch processes SHOW FIELDS, SHOW INDEXES commands.
     see sql_parse.cc, prepare_schema_table() function where
@@ -2606,9 +2588,6 @@
     error= 0;
     goto err;
   }
-  DBUG_PRINT("INDEX VALUES",("db_name='%s', table_name='%s'",
-                             STR_OR_NIL(lookup_field_vals.db_value.str),
-                             STR_OR_NIL(lookup_field_vals.table_value.str)));
 
   if (!lookup_field_vals.wild_db_value && !lookup_field_vals.wild_table_value)
   {
@@ -2785,7 +2764,7 @@
   lex->all_selects_list= old_all_select_lex;
   lex->sql_command= save_sql_command;
   thd->no_warnings_for_error= old_value;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -2813,16 +2792,12 @@
   bool with_i_schema;
   HA_CREATE_INFO create;
   TABLE *table= tables->table;
-  DBUG_ENTER("fill_schema_shemata");
 
   if (get_lookup_field_values(thd, cond, tables, &lookup_field_vals))
-    DBUG_RETURN(0);
-  DBUG_PRINT("INDEX VALUES",("db_name='%s', table_name='%s'",
-                             lookup_field_vals.db_value.str,
-                             lookup_field_vals.table_value.str));
+    return(0);
   if (make_db_list(thd, &db_names, &lookup_field_vals,
                    &with_i_schema))
-    DBUG_RETURN(1);
+    return(1);
 
   /*
     If we have lookup db value we should check that the database exists
@@ -2834,12 +2809,12 @@
     uint path_len;
     struct stat stat_info;
     if (!lookup_field_vals.db_value.str[0])
-      DBUG_RETURN(0);
+      return(0);
     path_len= build_table_filename(path, sizeof(path),
                                    lookup_field_vals.db_value.str, "", "", 0);
     path[path_len-1]= 0;
     if (stat(path,&stat_info))
-      DBUG_RETURN(0);
+      return(0);
   }
 
   List_iterator_fast<LEX_STRING> it(db_names);
@@ -2849,7 +2824,7 @@
     {
       if (store_schema_shemata(thd, table, db_name,
                                system_charset_info))
-        DBUG_RETURN(1);
+        return(1);
       with_i_schema= 0;
       continue;
     }
@@ -2857,10 +2832,10 @@
       load_db_opt_by_name(thd, db_name->str, &create);
       if (store_schema_shemata(thd, table, db_name,
                                create.default_table_charset))
-        DBUG_RETURN(1);
+        return(1);
     }
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -2872,7 +2847,6 @@
   const char *tmp_buff;
   MYSQL_TIME time;
   CHARSET_INFO *cs= system_charset_info;
-  DBUG_ENTER("get_schema_tables_record");
 
   restore_record(table, s->default_values);
   table->field[1]->store(db_name->str, db_name->length, cs);
@@ -3047,7 +3021,7 @@
       }
     }
   }
-  DBUG_RETURN(schema_table_store_record(thd, table));
+  return(schema_table_store_record(thd, table));
 }
 
 
@@ -3173,7 +3147,6 @@
   TABLE_SHARE *show_table_share;
   Field **ptr, *field, *timestamp_field;
   int count;
-  DBUG_ENTER("get_schema_column_record");
 
   if (res)
   {
@@ -3189,7 +3162,7 @@
       thd->clear_error();
       res= 0;
     }
-    DBUG_RETURN(res);
+    return(res);
   }
 
   show_table= tables->table;
@@ -3216,7 +3189,7 @@
       uchar *bitmaps;
       uint bitmap_size= show_table_share->column_bitmap_size;
       if (!(bitmaps= (uchar*) alloc_root(thd->mem_root, bitmap_size)))
-        DBUG_RETURN(0);
+        return(0);
       bitmap_init(&show_table->def_read_set,
                   (my_bitmap_map*) bitmaps, show_table_share->fields, FALSE);
       bitmap_set_all(&show_table->def_read_set);
@@ -3291,9 +3264,9 @@
                               strlen((const char*) pos), cs);
     }
     if (schema_table_store_record(thd, table))
-      DBUG_RETURN(1);
+      return(1);
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3406,7 +3379,6 @@
 				  LEX_STRING *table_name)
 {
   CHARSET_INFO *cs= system_charset_info;
-  DBUG_ENTER("get_schema_stat_record");
   if (res)
   {
     if (thd->lex->sql_command != SQLCOM_SHOW_KEYS)
@@ -3421,7 +3393,7 @@
       thd->clear_error();
       res= 0;
     }
-    DBUG_RETURN(res);
+    return(res);
   }
   else
   {
@@ -3490,11 +3462,11 @@
           table->field[15]->store(key_info->comment.str, 
                                   key_info->comment.length, cs);
         if (schema_table_store_record(thd, table))
-          DBUG_RETURN(1);
+          return(1);
       }
     }
   }
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
@@ -3518,14 +3490,13 @@
 					 LEX_STRING *db_name,
 					 LEX_STRING *table_name)
 {
-  DBUG_ENTER("get_schema_constraints_record");
   if (res)
   {
     if (thd->is_error())
       push_warning(thd, MYSQL_ERROR::WARN_LEVEL_WARN,
                    thd->main_da.sql_errno(), thd->main_da.message());
     thd->clear_error();
-    DBUG_RETURN(0);
+    return(0);
   }
   else
   {
@@ -3546,14 +3517,14 @@
         if (store_constraints(thd, table, db_name, table_name, key_info->name,
                               strlen(key_info->name),
                               STRING_WITH_LEN("PRIMARY KEY")))
-          DBUG_RETURN(1);
+          return(1);
       }
       else if (key_info->flags & HA_NOSAME)
       {
         if (store_constraints(thd, table, db_name, table_name, key_info->name,
                               strlen(key_info->name),
                               STRING_WITH_LEN("UNIQUE")))
-          DBUG_RETURN(1);
+          return(1);
       }
     }
 
@@ -3566,10 +3537,10 @@
                             f_key_info->forein_id->str,
                             strlen(f_key_info->forein_id->str),
                             "FOREIGN KEY", 11))
-        DBUG_RETURN(1);
+        return(1);
     }
   }
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
@@ -3594,14 +3565,13 @@
 					      LEX_STRING *db_name,
 					      LEX_STRING *table_name)
 {
-  DBUG_ENTER("get_schema_key_column_usage_record");
   if (res)
   {
     if (thd->is_error())
       push_warning(thd, MYSQL_ERROR::WARN_LEVEL_WARN,
                    thd->main_da.sql_errno(), thd->main_da.message());
     thd->clear_error();
-    DBUG_RETURN(0);
+    return(0);
   }
   else
   {
@@ -3631,7 +3601,7 @@
                                  strlen(key_part->field->field_name),
                                  (longlong) f_idx);
           if (schema_table_store_record(thd, table))
-            DBUG_RETURN(1);
+            return(1);
         }
       }
     }
@@ -3670,24 +3640,23 @@
                                 system_charset_info);
         table->field[11]->set_notnull();
         if (schema_table_store_record(thd, table))
-          DBUG_RETURN(1);
+          return(1);
       }
     }
   }
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
 int fill_open_tables(THD *thd, TABLE_LIST *tables, COND *cond)
 {
-  DBUG_ENTER("fill_open_tables");
   const char *wild= thd->lex->wild ? thd->lex->wild->ptr() : NullS;
   TABLE *table= tables->table;
   CHARSET_INFO *cs= system_charset_info;
   OPEN_TABLE_LIST *open_list;
   if (!(open_list=list_open_tables(thd,thd->lex->select_lex.db, wild))
             && thd->is_fatal_error)
-    DBUG_RETURN(1);
+    return(1);
 
   for (; open_list ; open_list=open_list->next)
   {
@@ -3697,15 +3666,14 @@
     table->field[2]->store((longlong) open_list->in_use, TRUE);
     table->field[3]->store((longlong) open_list->locked, TRUE);
     if (schema_table_store_record(thd, table))
-      DBUG_RETURN(1);
+      return(1);
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
 int fill_variables(THD *thd, TABLE_LIST *tables, COND *cond)
 {
-  DBUG_ENTER("fill_variables");
   int res= 0;
   LEX *lex= thd->lex;
   const char *wild= lex->wild ? lex->wild->ptr() : NullS;
@@ -3723,13 +3691,12 @@
   res= show_status_array(thd, wild, enumerate_sys_vars(thd, sorted_vars),
                          option_type, NULL, "", tables->table, upper_case_names);
   rw_unlock(&LOCK_system_variables_hash);
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
 int fill_status(THD *thd, TABLE_LIST *tables, COND *cond)
 {
-  DBUG_ENTER("fill_status");
   LEX *lex= thd->lex;
   const char *wild= lex->wild ? lex->wild->ptr() : NullS;
   int res= 0;
@@ -3766,7 +3733,7 @@
                          option_type, tmp1, "", tables->table,
                          upper_case_names);
   pthread_mutex_unlock(&LOCK_status);
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
@@ -3794,7 +3761,6 @@
                                    LEX_STRING *db_name, LEX_STRING *table_name)
 {
   CHARSET_INFO *cs= system_charset_info;
-  DBUG_ENTER("get_referential_constraints_record");
 
   if (res)
   {
@@ -3802,7 +3768,7 @@
       push_warning(thd, MYSQL_ERROR::WARN_LEVEL_WARN,
                    thd->main_da.sql_errno(), thd->main_da.message());
     thd->clear_error();
-    DBUG_RETURN(0);
+    return(0);
   }
 
   {
@@ -3840,10 +3806,10 @@
       table->field[8]->store(f_key_info->delete_method->str, 
                              f_key_info->delete_method->length, cs);
       if (schema_table_store_record(thd, table))
-        DBUG_RETURN(1);
+        return(1);
     }
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3873,16 +3839,15 @@
   schema_table_ref *p_schema_table= (schema_table_ref *)p_table;
   const char* table_name= p_schema_table->table_name;
   ST_SCHEMA_TABLE *schema_table= plugin_data(plugin, ST_SCHEMA_TABLE *);
-  DBUG_ENTER("find_schema_table_in_plugin");
 
   if (!my_strcasecmp(system_charset_info,
                      schema_table->table_name,
                      table_name)) {
     p_schema_table->schema_table= schema_table;
-    DBUG_RETURN(1);
+    return(1);
   }
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3903,22 +3868,21 @@
 {
   schema_table_ref schema_table_a;
   ST_SCHEMA_TABLE *schema_table= schema_tables;
-  DBUG_ENTER("find_schema_table");
 
   for (; schema_table->table_name; schema_table++)
   {
     if (!my_strcasecmp(system_charset_info,
                        schema_table->table_name,
                        table_name))
-      DBUG_RETURN(schema_table);
+      return(schema_table);
   }
 
   schema_table_a.table_name= table_name;
   if (plugin_foreach(thd, find_schema_table_in_plugin, 
                      MYSQL_INFORMATION_SCHEMA_PLUGIN, &schema_table_a))
-    DBUG_RETURN(schema_table_a.schema_table);
+    return(schema_table_a.schema_table);
 
-  DBUG_RETURN(NULL);
+  return(NULL);
 }
 
 
@@ -3958,7 +3922,6 @@
   ST_SCHEMA_TABLE *schema_table= table_list->schema_table;
   ST_FIELD_INFO *fields_info= schema_table->fields_info;
   CHARSET_INFO *cs= system_charset_info;
-  DBUG_ENTER("create_schema_table");
 
   for (; fields_info->field_name; fields_info++)
   {
@@ -3973,7 +3936,7 @@
                                       fields_info->field_type,
                                       fields_info->value)))
       {
-        DBUG_RETURN(0);
+        return(0);
       }
       item->unsigned_flag= (fields_info->field_flags & MY_I_S_UNSIGNED);
       break;
@@ -3984,20 +3947,20 @@
       if (!(item=new Item_return_date_time(fields_info->field_name,
                                            fields_info->field_type)))
       {
-        DBUG_RETURN(0);
+        return(0);
       }
       break;
     case MYSQL_TYPE_FLOAT:
     case MYSQL_TYPE_DOUBLE:
       if ((item= new Item_float(fields_info->field_name, 0.0, NOT_FIXED_DEC, 
                            fields_info->field_length)) == NULL)
-        DBUG_RETURN(NULL);
+        return(NULL);
       break;
     case MYSQL_TYPE_DECIMAL:
     case MYSQL_TYPE_NEWDECIMAL:
       if (!(item= new Item_decimal((longlong) fields_info->value, false)))
       {
-        DBUG_RETURN(0);
+        return(0);
       }
       item->unsigned_flag= (fields_info->field_flags & MY_I_S_UNSIGNED);
       item->decimals= fields_info->field_length%10;
@@ -4016,7 +3979,7 @@
       if (!(item= new Item_blob(fields_info->field_name,
                                 fields_info->field_length)))
       {
-        DBUG_RETURN(0);
+        return(0);
       }
       break;
     default:
@@ -4025,7 +3988,7 @@
 
       if (!(item= new Item_empty_string("", fields_info->field_length, cs)))
       {
-        DBUG_RETURN(0);
+        return(0);
       }
       item->set_name(fields_info->field_name,
                      strlen(fields_info->field_name), cs);
@@ -4047,7 +4010,7 @@
                                 (select_lex->options | thd->options |
                                  TMP_TABLE_ALL_COLUMNS),
                                 HA_POS_ERROR, table_list->alias)))
-    DBUG_RETURN(0);
+    return(0);
   my_bitmap_map* bitmaps=
     (my_bitmap_map*) thd->alloc(bitmap_buffer_size(field_count));
   bitmap_init(&table->def_read_set, (my_bitmap_map*) bitmaps, field_count,
@@ -4055,7 +4018,7 @@
   table->read_set= &table->def_read_set;
   bitmap_clear_all(table->read_set);
   table_list->schema_table_param= tmp_table_param;
-  DBUG_RETURN(table);
+  return(table);
 }
 
 
@@ -4234,9 +4197,8 @@
 int mysql_schema_table(THD *thd, LEX *lex, TABLE_LIST *table_list)
 {
   TABLE *table;
-  DBUG_ENTER("mysql_schema_table");
   if (!(table= table_list->schema_table->create_table(thd, table_list)))
-    DBUG_RETURN(1);
+    return(1);
   table->s->tmp_table= SYSTEM_TMP_TABLE;
   /*
     This test is necessary to make
@@ -4269,9 +4231,9 @@
       {
         if (!transl->item->fixed &&
             transl->item->fix_fields(thd, &transl->item))
-          DBUG_RETURN(1);
+          return(1);
       }
-      DBUG_RETURN(0);
+      return(0);
     }
     List_iterator_fast<Item> it(sel->item_list);
     if (!(transl=
@@ -4279,7 +4241,7 @@
                               alloc(sel->item_list.elements *
                                     sizeof(Field_translator)))))
     {
-      DBUG_RETURN(1);
+      return(1);
     }
     for (org_transl= transl; (item= it++); transl++)
     {
@@ -4287,14 +4249,14 @@
       transl->name= item->name;
       if (!item->fixed && item->fix_fields(thd, &transl->item))
       {
-        DBUG_RETURN(1);
+        return(1);
       }
     }
     table_list->field_translation= org_transl;
     table_list->field_translation_end= transl;
   }
 
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -4317,8 +4279,6 @@
 {
   ST_SCHEMA_TABLE *schema_table= get_schema_table(schema_table_idx);
   LEX_STRING db, table;
-  DBUG_ENTER("make_schema_select");
-  DBUG_PRINT("enter", ("mysql_schema_select: %s", schema_table->table_name));
   /*
      We have to make non const db_name & table_name
      because of lower_case_table_names
@@ -4331,9 +4291,9 @@
       !sel->add_table_to_list(thd, new Table_ident(thd, db, table, 0),
                               0, 0, TL_READ))
   {
-    DBUG_RETURN(1);
+    return(1);
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -4357,7 +4317,6 @@
   THD *thd= join->thd;
   LEX *lex= thd->lex;
   bool result= 0;
-  DBUG_ENTER("get_schema_tables_result");
 
   thd->no_warnings_for_error= 1;
   for (JOIN_TAB *tab= join->join_tab; tab < tmp_join_tab; tab++)
@@ -4421,7 +4380,7 @@
     }
   }
   thd->no_warnings_for_error= 0;
-  DBUG_RETURN(result);
+  return(result);
 }
 
 ST_FIELD_INFO schema_fields_info[]=
@@ -4867,11 +4826,10 @@
 int initialize_schema_table(st_plugin_int *plugin)
 {
   ST_SCHEMA_TABLE *schema_table;
-  DBUG_ENTER("initialize_schema_table");
 
   if (!(schema_table= (ST_SCHEMA_TABLE *)my_malloc(sizeof(ST_SCHEMA_TABLE),
                                 MYF(MY_WME | MY_ZEROFILL))))
-      DBUG_RETURN(1);
+      return(1);
   /* Historical Requirement */
   plugin->data= schema_table; // shortcut for the future
   if (plugin->plugin->init)
@@ -4895,26 +4853,18 @@
     schema_table->table_name= plugin->name.str;
   }
 
-  DBUG_RETURN(0);
+  return(0);
 err:
   my_free(schema_table, MYF(0));
-  DBUG_RETURN(1);
+  return(1);
 }
 
 int finalize_schema_table(st_plugin_int *plugin)
 {
   ST_SCHEMA_TABLE *schema_table= (ST_SCHEMA_TABLE *)plugin->data;
-  DBUG_ENTER("finalize_schema_table");
 
   if (schema_table && plugin->plugin->deinit)
-  {
-    DBUG_PRINT("info", ("Deinitializing plugin: '%s'", plugin->name.str));
-    if (plugin->plugin->deinit(NULL))
-    {
-      DBUG_PRINT("warning", ("Plugin '%s' deinit function returned error.",
-                             plugin->name.str));
-    }
     my_free(schema_table, MYF(0));
-  }
-  DBUG_RETURN(0);
+
+  return(0);
 }

=== modified file 'sql/sql_table.cc'
--- sql/sql_table.cc	2008-07-01 19:42:41 +0000
+++ sql/sql_table.cc	2008-07-03 02:53:22 +0000
@@ -79,8 +79,6 @@
 {
   uint errors;
   uint res;
-  DBUG_ENTER("filename_to_tablename");
-  DBUG_PRINT("enter", ("from '%s'", from));
 
   if (!memcmp(from, tmp_file_prefix, tmp_file_prefix_length))
   {
@@ -103,8 +101,7 @@
     }
   }
 
-  DBUG_PRINT("exit", ("to '%s'", to));
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
@@ -124,12 +121,10 @@
 uint tablename_to_filename(const char *from, char *to, uint to_length)
 {
   uint errors, length;
-  DBUG_ENTER("tablename_to_filename");
-  DBUG_PRINT("enter", ("from '%s'", from));
 
   if (from[0] == '#' && !strncmp(from, MYSQL50_TABLE_NAME_PREFIX,
                                  MYSQL50_TABLE_NAME_PREFIX_LENGTH))
-    DBUG_RETURN((uint) (strmake(to, from+MYSQL50_TABLE_NAME_PREFIX_LENGTH,
+    return((uint) (strmake(to, from+MYSQL50_TABLE_NAME_PREFIX_LENGTH,
                                 to_length-1) -
                         (from + MYSQL50_TABLE_NAME_PREFIX_LENGTH)));
   length= strconvert(system_charset_info, from,
@@ -140,8 +135,7 @@
     memcpy(to + length, "@@@", 4);
     length+= 3;
   }
-  DBUG_PRINT("exit", ("to '%s'", to));
-  DBUG_RETURN(length);
+  return(length);
 }
 
 
@@ -183,9 +177,6 @@
 {
   char dbbuff[FN_REFLEN];
   char tbbuff[FN_REFLEN];
-  DBUG_ENTER("build_table_filename");
-  DBUG_PRINT("enter", ("db: '%s'  table_name: '%s'  ext: '%s'  flags: %x",
-                       db, table_name, ext, flags));
 
   if (flags & FN_IS_TMP) // FN_FROM_IS_TMP | FN_TO_IS_TMP
     strnmov(tbbuff, table_name, sizeof(tbbuff));
@@ -208,8 +199,7 @@
 #endif
   pos= strxnmov(pos, end - pos, tbbuff, ext, NullS);
 
-  DBUG_PRINT("exit", ("buff: '%s'", buff));
-  DBUG_RETURN(pos - buff);
+  return(pos - buff);
 }
 
 
@@ -233,7 +223,6 @@
 
 uint build_tmptable_filename(THD* thd, char *buff, size_t bufflen)
 {
-  DBUG_ENTER("build_tmptable_filename");
 
   char *p= strnmov(buff, mysql_tmpdir, bufflen);
   my_snprintf(p, bufflen - (p - buff), "/%s%lx_%lx_%x%s",
@@ -247,8 +236,7 @@
   }
 
   uint length= unpack_filename(buff, buff);
-  DBUG_PRINT("exit", ("buff: '%s'", buff));
-  DBUG_RETURN(length);
+  return(length);
 }
 
 /*
@@ -331,11 +319,11 @@
   File file_id= global_ddl_log.file_id;
   uchar *file_entry_buf= (uchar*)global_ddl_log.file_entry_buf;
   uint io_size= global_ddl_log.io_size;
-  DBUG_ENTER("read_ddl_log_file_entry");
 
-  if (pread(file_id, file_entry_buf, io_size, io_size * entry_no) != io_size)
+  if (my_pread(file_id, file_entry_buf, io_size, io_size * entry_no,
+               MYF(MY_WME)) != io_size)
     error= TRUE;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -354,12 +342,11 @@
   bool error= FALSE;
   File file_id= global_ddl_log.file_id;
   char *file_entry_buf= (char*)global_ddl_log.file_entry_buf;
-  DBUG_ENTER("write_ddl_log_file_entry");
 
-  if (pwrite(file_id, (uchar*)file_entry_buf,
-             IO_SIZE, IO_SIZE * entry_no) != IO_SIZE)
+  if (my_pwrite(file_id, (uchar*)file_entry_buf,
+                IO_SIZE, IO_SIZE * entry_no, MYF(MY_WME)) != IO_SIZE)
     error= TRUE;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -376,7 +363,6 @@
 {
   uint16 const_var;
   bool error= FALSE;
-  DBUG_ENTER("write_ddl_log_header");
 
   int4store(&global_ddl_log.file_entry_buf[DDL_LOG_NUM_ENTRY_POS],
             global_ddl_log.num_entries);
@@ -389,10 +375,10 @@
   if (write_ddl_log_file_entry(0UL))
   {
     sql_print_error("Error writing ddl log header");
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   VOID(sync_ddl_log());
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -430,7 +416,6 @@
   char file_name[FN_REFLEN];
   uint entry_no;
   bool successful_open= FALSE;
-  DBUG_ENTER("read_ddl_log_header");
 
   create_ddl_log_file_name(file_name);
   if ((global_ddl_log.file_id= my_open(file_name,
@@ -461,7 +446,7 @@
   global_ddl_log.num_entries= 0;
   VOID(pthread_mutex_init(&LOCK_gdl, MY_MUTEX_INIT_FAST));
   global_ddl_log.do_release= true;
-  DBUG_RETURN(entry_no);
+  return(entry_no);
 }
 
 
@@ -483,11 +468,10 @@
   char *file_entry_buf= (char*)&global_ddl_log.file_entry_buf;
   uint inx;
   uchar single_char;
-  DBUG_ENTER("read_ddl_log_entry");
 
   if (read_ddl_log_file_entry(read_entry))
   {
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   ddl_log_entry->entry_pos= read_entry;
   single_char= file_entry_buf[DDL_LOG_ENTRY_TYPE_POS];
@@ -501,7 +485,7 @@
   ddl_log_entry->from_name= &file_entry_buf[inx];
   inx+= global_ddl_log.name_len;
   ddl_log_entry->handler_name= &file_entry_buf[inx];
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -522,7 +506,6 @@
 static bool init_ddl_log()
 {
   char file_name[FN_REFLEN];
-  DBUG_ENTER("init_ddl_log");
 
   if (global_ddl_log.inited)
     goto end;
@@ -536,18 +519,18 @@
   {
     /* Couldn't create ddl log file, this is serious error */
     sql_print_error("Failed to open ddl log file");
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   global_ddl_log.inited= TRUE;
   if (write_ddl_log_header())
   {
     VOID(my_close(global_ddl_log.file_id, MYF(MY_WME)));
     global_ddl_log.inited= FALSE;
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
 end:
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -571,11 +554,10 @@
   char to_path[FN_REFLEN];
   char from_path[FN_REFLEN];
   handlerton *hton;
-  DBUG_ENTER("execute_ddl_log_action");
 
   if (ddl_log_entry->entry_type == DDL_IGNORE_LOG_ENTRY_CODE)
   {
-    DBUG_RETURN(FALSE);
+    return(FALSE);
   }
   handler_name.str= (char*)ddl_log_entry->handler_name;
   handler_name.length= strlen(ddl_log_entry->handler_name);
@@ -665,7 +647,7 @@
   delete file;
 error:
   free_root(&mem_root, MYF(0)); 
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -684,7 +666,6 @@
 {
   DDL_LOG_MEMORY_ENTRY *used_entry;
   DDL_LOG_MEMORY_ENTRY *first_used= global_ddl_log.first_used;
-  DBUG_ENTER("get_free_ddl_log_entry");
 
   if (global_ddl_log.first_free == NULL)
   {
@@ -692,7 +673,7 @@
                               sizeof(DDL_LOG_MEMORY_ENTRY), MYF(MY_WME))))
     {
       sql_print_error("Failed to allocate memory for ddl log free list");
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
     global_ddl_log.num_entries++;
     used_entry->entry_pos= global_ddl_log.num_entries;
@@ -714,7 +695,7 @@
     first_used->prev_log_entry= used_entry;
 
   *active_entry= used_entry;
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -742,11 +723,10 @@
                          DDL_LOG_MEMORY_ENTRY **active_entry)
 {
   bool error, write_header;
-  DBUG_ENTER("write_ddl_log_entry");
 
   if (init_ddl_log())
   {
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   global_ddl_log.file_entry_buf[DDL_LOG_ENTRY_TYPE_POS]=
                                     (char)DDL_LOG_ENTRY_CODE;
@@ -772,7 +752,7 @@
           ddl_log_entry->handler_name, FN_LEN - 1);
   if (get_free_ddl_log_entry(active_entry, &write_header))
   {
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   error= FALSE;
   if (write_ddl_log_file_entry((*active_entry)->entry_pos))
@@ -789,7 +769,7 @@
   }
   if (error)
     release_ddl_log_memory_entry(*active_entry);
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -826,11 +806,10 @@
 {
   bool write_header= FALSE;
   char *file_entry_buf= (char*)global_ddl_log.file_entry_buf;
-  DBUG_ENTER("write_execute_ddl_log_entry");
 
   if (init_ddl_log())
   {
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   if (!complete)
   {
@@ -855,14 +834,14 @@
   {
     if (get_free_ddl_log_entry(active_entry, &write_header))
     {
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
   }
   if (write_ddl_log_file_entry((*active_entry)->entry_pos))
   {
     sql_print_error("Error writing execute entry in ddl log");
     release_ddl_log_memory_entry(*active_entry);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   VOID(sync_ddl_log());
   if (write_header)
@@ -870,10 +849,10 @@
     if (write_ddl_log_header())
     {
       release_ddl_log_memory_entry(*active_entry);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -904,7 +883,6 @@
 bool deactivate_ddl_log_entry(uint entry_no)
 {
   char *file_entry_buf= (char*)global_ddl_log.file_entry_buf;
-  DBUG_ENTER("deactivate_ddl_log_entry");
 
   if (!read_ddl_log_file_entry(entry_no))
   {
@@ -928,16 +906,16 @@
       {
         sql_print_error("Error in deactivating log entry. Position = %u",
                         entry_no);
-        DBUG_RETURN(TRUE);
+        return(TRUE);
       }
     }
   }
   else
   {
     sql_print_error("Failed in reading entry before deactivating it");
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -953,12 +931,11 @@
 bool sync_ddl_log()
 {
   bool error= FALSE;
-  DBUG_ENTER("sync_ddl_log");
 
   if ((!global_ddl_log.recovery_phase) &&
       init_ddl_log())
   {
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   if (my_sync(global_ddl_log.file_id, MYF(0)))
   {
@@ -966,7 +943,7 @@
     sql_print_error("Failed to sync ddl log");
     error= TRUE;
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -984,7 +961,6 @@
   DDL_LOG_MEMORY_ENTRY *first_free= global_ddl_log.first_free;
   DDL_LOG_MEMORY_ENTRY *next_log_entry= log_entry->next_log_entry;
   DDL_LOG_MEMORY_ENTRY *prev_log_entry= log_entry->prev_log_entry;
-  DBUG_ENTER("release_ddl_log_memory_entry");
 
   global_ddl_log.first_free= log_entry;
   log_entry->next_log_entry= first_free;
@@ -995,7 +971,7 @@
     global_ddl_log.first_used= next_log_entry;
   if (next_log_entry)
     next_log_entry->prev_log_entry= prev_log_entry;
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -1014,7 +990,6 @@
 {
   DDL_LOG_ENTRY ddl_log_entry;
   uint read_entry= first_entry;
-  DBUG_ENTER("execute_ddl_log_entry");
 
   pthread_mutex_lock(&LOCK_gdl);
   do
@@ -1039,7 +1014,7 @@
     read_entry= ddl_log_entry.next_entry;
   } while (read_entry);
   pthread_mutex_unlock(&LOCK_gdl);
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -1053,13 +1028,12 @@
 
 static void close_ddl_log()
 {
-  DBUG_ENTER("close_ddl_log");
   if (global_ddl_log.file_id >= 0)
   {
     VOID(my_close(global_ddl_log.file_id, MYF(MY_WME)));
     global_ddl_log.file_id= (File) -1;
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -1077,7 +1051,6 @@
   THD *thd;
   DDL_LOG_ENTRY ddl_log_entry;
   char file_name[FN_REFLEN];
-  DBUG_ENTER("execute_ddl_log_recovery");
 
   /*
     Initialise global_ddl_log struct
@@ -1092,7 +1065,7 @@
     To be able to run this from boot, we allocate a temporary THD
   */
   if (!(thd=new THD))
-    DBUG_VOID_RETURN;
+    return;
   thd->thread_stack= (char*) &thd;
   thd->store_globals();
 
@@ -1121,7 +1094,7 @@
   delete thd;
   /* Remember that we don't have a THD */
   my_pthread_setspecific_ptr(THR_THD,  0);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -1137,10 +1110,9 @@
 {
   DDL_LOG_MEMORY_ENTRY *free_list= global_ddl_log.first_free;
   DDL_LOG_MEMORY_ENTRY *used_list= global_ddl_log.first_used;
-  DBUG_ENTER("release_ddl_log");
 
   if (!global_ddl_log.do_release)
-    DBUG_VOID_RETURN;
+    return;
 
   pthread_mutex_lock(&LOCK_gdl);
   while (used_list)
@@ -1160,7 +1132,7 @@
   pthread_mutex_unlock(&LOCK_gdl);
   VOID(pthread_mutex_destroy(&LOCK_gdl));
   global_ddl_log.do_release= false;
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -1231,12 +1203,11 @@
                     my_bool drop_temporary)
 {
   bool error, need_start_waiting= FALSE;
-  DBUG_ENTER("mysql_rm_table");
 
   if (tables && tables->schema_table)
   {
     my_error(ER_DBACCESS_DENIED_ERROR, MYF(0), "", "", INFORMATION_SCHEMA_NAME.str);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   /* mark for close and remove all cached entries */
@@ -1245,7 +1216,7 @@
   {
     if (!thd->locked_tables &&
         !(need_start_waiting= !wait_if_global_read_lock(thd, 0, 1)))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
 
   /*
@@ -1259,9 +1230,9 @@
     start_waiting_global_read_lock(thd);
 
   if (error)
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   my_ok(thd);
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 /*
@@ -1306,7 +1277,6 @@
   int non_temp_tables_count= 0;
   bool some_tables_deleted=0, tmp_table_deleted=0, foreign_key_error=0;
   String built_query;
-  DBUG_ENTER("mysql_rm_table_part2");
 
   if (thd->current_stmt_binlog_row_based && !dont_log_query)
   {
@@ -1338,7 +1308,7 @@
   if (!drop_temporary && lock_table_names_exclusively(thd, tables))
   {
     pthread_mutex_unlock(&LOCK_open);
-    DBUG_RETURN(1);
+    return(1);
   }
 
   /* Don't give warnings for not found errors, as we already generate notes */
@@ -1350,9 +1320,6 @@
     handlerton *table_type;
     enum legacy_db_type frm_db_type;
 
-    DBUG_PRINT("table", ("table_l: '%s'.'%s'  table: 0x%lx  s: 0x%lx",
-                         table->db, table->table_name, (long) table->table,
-                         table->table ? (long) table->table->s : (long) -1));
 
     error= drop_temporary_table(thd, table);
 
@@ -1474,8 +1441,6 @@
         wrong_tables.append(',');
       wrong_tables.append(String(table->table_name,system_charset_info));
     }
-    DBUG_PRINT("table", ("table: 0x%lx  s: 0x%lx", (long) table->table,
-                         table->table ? (long) table->table->s : (long) -1));
   }
   /*
     It's safe to unlock LOCK_open: we have an exclusive lock
@@ -1545,7 +1510,7 @@
   unlock_table_names(thd, tables, (TABLE_LIST*) 0);
   pthread_mutex_unlock(&LOCK_open);
   thd->no_warnings_for_error= 0;
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -1569,14 +1534,13 @@
 {
   char path[FN_REFLEN];
   bool error= 0;
-  DBUG_ENTER("quick_rm_table");
 
   uint path_length= build_table_filename(path, sizeof(path),
                                          db, table_name, reg_ext, flags);
   if (my_delete(path,MYF(0)))
     error= 1; /* purecov: inspected */
   path[path_length - reg_ext_length]= '\0'; // Remove reg_ext
-  DBUG_RETURN(ha_delete_table(current_thd, base, path, db, table_name, 0) ||
+  return(ha_delete_table(current_thd, base, path, db, table_name, 0) ||
               error);
 }
 
@@ -1729,7 +1693,6 @@
                          longlong table_flags)
 {
   unsigned int dup_val_count;
-  DBUG_ENTER("prepare_field");
 
   /*
     This code came from mysql_prepare_create_table.
@@ -1764,7 +1727,7 @@
       {
         my_printf_error(ER_TOO_BIG_FIELDLENGTH, ER(ER_TOO_BIG_FIELDLENGTH),
                         MYF(0), sql_field->field_name, MAX_FIELD_CHARLENGTH);
-        DBUG_RETURN(1);
+        return(1);
       }
     }
 #endif
@@ -1783,7 +1746,7 @@
     if (check_duplicates_in_interval("ENUM",sql_field->field_name,
                                  sql_field->interval,
                                      sql_field->charset, &dup_val_count))
-      DBUG_RETURN(1);
+      return(1);
     break;
   case MYSQL_TYPE_SET:
     sql_field->pack_flag=pack_length_to_packflag(sql_field->pack_length) |
@@ -1794,12 +1757,12 @@
     if (check_duplicates_in_interval("SET",sql_field->field_name,
                                  sql_field->interval,
                                      sql_field->charset, &dup_val_count))
-      DBUG_RETURN(1);
+      return(1);
     /* Check that count of unique members is not more then 64 */
     if (sql_field->interval->count -  dup_val_count > sizeof(longlong)*8)
     {
        my_error(ER_TOO_BIG_SET, MYF(0), sql_field->field_name);
-       DBUG_RETURN(1);
+       return(1);
     }
     break;
   case MYSQL_TYPE_DATE:			// Rest of string types
@@ -1854,7 +1817,7 @@
     sql_field->pack_flag|= FIELDFLAG_MAYBE_NULL;
   if (sql_field->flags & NO_DEFAULT_VALUE_FLAG)
     sql_field->pack_flag|= FIELDFLAG_NO_DEFAULT;
-  DBUG_RETURN(0);
+  return(0);
 }
 
 /*
@@ -1903,7 +1866,6 @@
   List_iterator<Create_field> it(alter_info->create_list);
   List_iterator<Create_field> it2(alter_info->create_list);
   uint total_uneven_bit_length= 0;
-  DBUG_ENTER("mysql_prepare_create_table");
 
   select_field_pos= alter_info->create_list.elements - select_field_count;
   null_fields=blob_columns=0;
@@ -1940,7 +1902,7 @@
       strmake(strmake(tmp, save_cs->csname, sizeof(tmp)-4),
               STRING_WITH_LEN("_bin"));
       my_error(ER_UNKNOWN_COLLATION, MYF(0), tmp);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
 
     /*
@@ -1970,7 +1932,7 @@
       {
         /* Could not convert */
         my_error(ER_INVALID_DEFAULT, MYF(0), sql_field->field_name);
-        DBUG_RETURN(TRUE);
+        return(TRUE);
       }
     }
 
@@ -2027,7 +1989,7 @@
                                 comma_buf, comma_length, NULL, 0))
             {
               my_error(ER_ILLEGAL_VALUE_FOR_TYPE, MYF(0), "set", tmp->ptr());
-              DBUG_RETURN(TRUE);
+              return(TRUE);
             }
           }
         }
@@ -2048,7 +2010,7 @@
             if ((sql_field->flags & NOT_NULL_FLAG) != 0)
             {
               my_error(ER_INVALID_DEFAULT, MYF(0), sql_field->field_name);
-              DBUG_RETURN(TRUE);
+              return(TRUE);
             }
 
             /* else, NULL is an allowed value */
@@ -2064,7 +2026,7 @@
           if (not_found)
           {
             my_error(ER_INVALID_DEFAULT, MYF(0), sql_field->field_name);
-            DBUG_RETURN(TRUE);
+            return(TRUE);
           }
         }
         calculate_interval_lengths(cs, interval, &dummy, &field_length);
@@ -2082,7 +2044,7 @@
             if ((sql_field->flags & NOT_NULL_FLAG) != 0)
             {
               my_error(ER_INVALID_DEFAULT, MYF(0), sql_field->field_name);
-              DBUG_RETURN(TRUE);
+              return(TRUE);
             }
 
             /* else, the defaults yield the correct length for NULLs. */
@@ -2093,7 +2055,7 @@
             if (find_type2(interval, def->ptr(), def->length(), cs) == 0) /* not found */
             {
               my_error(ER_INVALID_DEFAULT, MYF(0), sql_field->field_name);
-              DBUG_RETURN(TRUE);
+              return(TRUE);
             }
           }
         }
@@ -2114,7 +2076,7 @@
 
     sql_field->create_length_to_internal_length();
     if (prepare_blob_field(thd, sql_field))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
 
     if (!(sql_field->flags & NOT_NULL_FLAG))
       null_fields++;
@@ -2122,7 +2084,7 @@
     if (check_column_name(sql_field->field_name))
     {
       my_error(ER_WRONG_COLUMN_NAME, MYF(0), sql_field->field_name);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
 
     /* Check if we have used the same field name before */
@@ -2139,7 +2101,7 @@
 	if (field_no < select_field_pos || dup_no >= select_field_pos)
 	{
 	  my_error(ER_DUP_FIELDNAME, MYF(0), sql_field->field_name);
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
 	}
 	else
 	{
@@ -2189,7 +2151,7 @@
     if (prepare_create_field(sql_field, &blob_columns, 
 			     &timestamps, &timestamps_with_niladic,
 			     file->ha_table_flags()))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     if (sql_field->sql_type == MYSQL_TYPE_VARCHAR)
       create_info->varchar= TRUE;
     sql_field->offset= record_offset;
@@ -2201,26 +2163,26 @@
   {
     my_message(ER_TOO_MUCH_AUTO_TIMESTAMP_COLS,
                ER(ER_TOO_MUCH_AUTO_TIMESTAMP_COLS), MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   if (auto_increment > 1)
   {
     my_message(ER_WRONG_AUTO_KEY, ER(ER_WRONG_AUTO_KEY), MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   if (auto_increment &&
       (file->ha_table_flags() & HA_NO_AUTO_INCREMENT))
   {
     my_message(ER_TABLE_CANT_HANDLE_AUTO_INCREMENT,
                ER(ER_TABLE_CANT_HANDLE_AUTO_INCREMENT), MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   if (blob_columns && (file->ha_table_flags() & HA_NO_BLOBS))
   {
     my_message(ER_TABLE_CANT_HANDLE_BLOB, ER(ER_TABLE_CANT_HANDLE_BLOB),
                MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   /* Create keys */
@@ -2239,8 +2201,6 @@
 
   while ((key=key_iterator++))
   {
-    DBUG_PRINT("info", ("key name: '%s'  type: %d", key->name.str ? key->name.str :
-                        "(none)" , key->type));
     if (key->type == Key::FOREIGN_KEY)
     {
       fk_key_count++;
@@ -2252,7 +2212,7 @@
                  (fk_key->name.str ? fk_key->name.str :
                                      "foreign key without name"),
                  ER(ER_KEY_REF_DO_NOT_MATCH_TABLE_REF));
-	DBUG_RETURN(TRUE);
+	return(TRUE);
       }
       continue;
     }
@@ -2261,10 +2221,10 @@
     if (key->columns.elements > tmp)
     {
       my_error(ER_TOO_MANY_KEY_PARTS,MYF(0),tmp);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
     if (check_identifier_name(&key->name, ER_TOO_LONG_IDENT))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     key_iterator2.rewind ();
     if (key->type != Key::FOREIGN_KEY)
     {
@@ -2303,20 +2263,20 @@
 	!my_strcasecmp(system_charset_info,key->name.str, primary_key_name))
     {
       my_error(ER_WRONG_NAME_FOR_INDEX, MYF(0), key->name.str);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
   }
   tmp=file->max_keys();
   if (*key_count > tmp)
   {
     my_error(ER_TOO_MANY_KEYS,MYF(0),tmp);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   (*key_info_buffer)= key_info= (KEY*) sql_calloc(sizeof(KEY) * (*key_count));
   key_part_info=(KEY_PART_INFO*) sql_calloc(sizeof(KEY_PART_INFO)*key_parts);
   if (!*key_info_buffer || ! key_part_info)
-    DBUG_RETURN(TRUE);				// Out of memory
+    return(TRUE);				// Out of memory
 
   key_iterator.rewind();
   key_number=0;
@@ -2377,7 +2337,7 @@
       my_error(ER_WRONG_STRING_LENGTH, MYF(0),
                key->key_create_info.comment.str,"INDEX COMMENT",
                (uint) INDEX_COMMENT_MAXLEN);
-      DBUG_RETURN(-1);
+      return(-1);
     }
 
     key_info->comment.length= key->key_create_info.comment.length;
@@ -2403,7 +2363,7 @@
       if (!sql_field)
       {
 	my_error(ER_KEY_COLUMN_DOES_NOT_EXITS, MYF(0), column->field_name.str);
-	DBUG_RETURN(TRUE);
+	return(TRUE);
       }
       while ((dup_column= cols2++) != column)
       {
@@ -2413,7 +2373,7 @@
 	  my_printf_error(ER_DUP_FIELDNAME,
 			  ER(ER_DUP_FIELDNAME),MYF(0),
 			  column->field_name.str);
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
 	}
       }
       cols2.rewind();
@@ -2425,12 +2385,12 @@
 	  if (!(file->ha_table_flags() & HA_CAN_INDEX_BLOBS))
 	  {
 	    my_error(ER_BLOB_USED_AS_KEY, MYF(0), column->field_name.str);
-	    DBUG_RETURN(TRUE);
+	    return(TRUE);
 	  }
 	  if (!column->length)
 	  {
 	    my_error(ER_BLOB_KEY_WITHOUT_LENGTH, MYF(0), column->field_name.str);
-	    DBUG_RETURN(TRUE);
+	    return(TRUE);
 	  }
 	}
 	if (!(sql_field->flags & NOT_NULL_FLAG))
@@ -2448,7 +2408,7 @@
             if (!(file->ha_table_flags() & HA_NULL_IN_KEY))
             {
               my_error(ER_NULL_COLUMN_IN_INDEX, MYF(0), column->field_name.str);
-              DBUG_RETURN(TRUE);
+              return(TRUE);
             }
           }
 	}
@@ -2486,7 +2446,7 @@
 	    else
 	    {
 	      my_error(ER_TOO_LONG_KEY,MYF(0),length);
-	      DBUG_RETURN(TRUE);
+	      return(TRUE);
 	    }
 	  }
 	}
@@ -2498,7 +2458,7 @@
 		    column->length != length)))
 	{
 	  my_message(ER_WRONG_SUB_KEY, ER(ER_WRONG_SUB_KEY), MYF(0));
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
 	}
 	else if (!(file->ha_table_flags() & HA_NO_PREFIX_CHAR_KEYS))
 	  length=column->length;
@@ -2506,7 +2466,7 @@
       else if (length == 0)
       {
 	my_error(ER_WRONG_KEY_COLUMN, MYF(0), column->field_name.str);
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
       }
       if (length > file->max_key_part_length())
       {
@@ -2525,7 +2485,7 @@
 	else
 	{
 	  my_error(ER_TOO_LONG_KEY,MYF(0),length);
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
 	}
       }
       key_part_info->length=(uint16) length;
@@ -2558,7 +2518,7 @@
 	  {
 	    my_message(ER_MULTIPLE_PRI_KEY, ER(ER_MULTIPLE_PRI_KEY),
                        MYF(0));
-	    DBUG_RETURN(TRUE);
+	    return(TRUE);
 	  }
 	  key_name=primary_key_name;
 	  primary_key=1;
@@ -2569,7 +2529,7 @@
 	if (check_if_keyname_exists(key_name, *key_info_buffer, key_info))
 	{
 	  my_error(ER_DUP_KEYNAME, MYF(0), key_name);
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
 	}
 	key_info->name=(char*) key_name;
       }
@@ -2577,7 +2537,7 @@
     if (!key_info->name || check_column_name(key_info->name))
     {
       my_error(ER_WRONG_NAME_FOR_INDEX, MYF(0), key_info->name);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
     if (!(key_info->flags & HA_NULL_PART_KEY))
       unique_key=1;
@@ -2585,7 +2545,7 @@
     if (key_length > max_key_length)
     {
       my_error(ER_TOO_LONG_KEY,MYF(0),max_key_length);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
     key_info++;
   }
@@ -2593,12 +2553,12 @@
       (file->ha_table_flags() & HA_REQUIRE_PRIMARY_KEY))
   {
     my_message(ER_REQUIRES_PRIMARY_KEY, ER(ER_REQUIRES_PRIMARY_KEY), MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   if (auto_increment > 0)
   {
     my_message(ER_WRONG_AUTO_KEY, ER(ER_WRONG_AUTO_KEY), MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   /* Sort keys in optimized order */
   my_qsort((uchar*) *key_info_buffer, *key_count, sizeof(KEY),
@@ -2632,11 +2592,11 @@
       */
 
       my_error(ER_INVALID_DEFAULT, MYF(0), sql_field->field_name);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
   }
 
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -2687,14 +2647,13 @@
 
 static bool prepare_blob_field(THD *thd, Create_field *sql_field)
 {
-  DBUG_ENTER("prepare_blob_field");
 
   if (sql_field->length > MAX_FIELD_VARCHARLENGTH &&
       !(sql_field->flags & BLOB_FLAG))
   {
     my_error(ER_TOO_BIG_FIELDLENGTH, MYF(0), sql_field->field_name,
              MAX_FIELD_VARCHARLENGTH / sql_field->charset->mbmaxlen);
-    DBUG_RETURN(1);
+    return(1);
   }
     
   if ((sql_field->flags & BLOB_FLAG) && sql_field->length)
@@ -2707,7 +2666,7 @@
     }
     sql_field->length= 0;
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -2809,20 +2768,15 @@
   KEY		*key_info_buffer;
   handler	*file;
   bool		error= TRUE;
-  DBUG_ENTER("mysql_create_table_no_lock");
-  DBUG_PRINT("enter", ("db: '%s'  table: '%s'  tmp: %d",
-                       db, table_name, internal_tmp_table));
-
- 
   /* Check for duplicate fields and check type of table to create */
   if (!alter_info->create_list.elements)
   {
     my_message(ER_TABLE_MUST_HAVE_COLUMNS, ER(ER_TABLE_MUST_HAVE_COLUMNS),
                MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   if (check_engine(thd, table_name, create_info))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   db_options= create_info->table_options;
   if (create_info->row_type == ROW_TYPE_DYNAMIC)
     db_options|=HA_OPTION_PACK_RECORD;
@@ -2831,7 +2785,7 @@
                               create_info->db_type)))
   {
     my_error(ER_OUTOFMEMORY, MYF(0), sizeof(handler));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   set_table_default_charset(thd, create_info, (char*) db);
@@ -2856,7 +2810,7 @@
     if (strchr(alias, FN_DEVCHAR))
     {
       my_error(ER_WRONG_TABLE_NAME, MYF(0), alias);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
 #endif
     path_length= build_table_filename(path, sizeof(path), db, alias, reg_ext,
@@ -2919,14 +2873,12 @@
     bool create_if_not_exists =
       create_info->options & HA_LEX_CREATE_IF_NOT_EXISTS;
     int retcode = ha_table_exists_in_engine(thd, db, table_name);
-    DBUG_PRINT("info", ("exists_in_engine: %u",retcode));
     switch (retcode)
     {
       case HA_ERR_NO_SUCH_TABLE:
         /* Normal case, no table exists. we can go and create it */
         break;
       case HA_ERR_TABLE_EXIST:
-        DBUG_PRINT("info", ("Table existed in handler"));
 
       if (create_if_not_exists)
         goto warn;
@@ -2934,7 +2886,6 @@
       goto unlock_and_end;
         break;
       default:
-        DBUG_PRINT("info", ("error: %u from storage engine", retcode));
         my_error(retcode, MYF(0),table_name);
         goto unlock_and_end;
     }
@@ -3004,7 +2955,7 @@
 err:
   thd_proc_info(thd, "After create");
   delete file;
-  DBUG_RETURN(error);
+  return(error);
 
 warn:
   error= FALSE;
@@ -3028,7 +2979,6 @@
 {
   TABLE *name_lock= 0;
   bool result;
-  DBUG_ENTER("mysql_create_table");
 
   /* Wait for any database locks */
   pthread_mutex_lock(&LOCK_lock_db);
@@ -3042,7 +2992,7 @@
   if (thd->killed)
   {
     pthread_mutex_unlock(&LOCK_lock_db);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   creating_table++;
   pthread_mutex_unlock(&LOCK_lock_db);
@@ -3089,7 +3039,7 @@
   if (!--creating_table && creating_database)
     pthread_cond_signal(&COND_refresh);
   pthread_mutex_unlock(&LOCK_lock_db);
-  DBUG_RETURN(result);
+  return(result);
 }
 
 
@@ -3169,9 +3119,6 @@
   char tmp_name[NAME_LEN+1];
   handler *file;
   int error=0;
-  DBUG_ENTER("mysql_rename_table");
-  DBUG_PRINT("enter", ("old: '%s'.'%s'  new: '%s'.'%s'",
-                       old_db, old_name, new_db, new_name));
 
   file= (base == NULL ? 0 :
          get_new_handler((TABLE_SHARE*) 0, thd->mem_root, base));
@@ -3216,7 +3163,7 @@
     my_error(ER_NOT_SUPPORTED_YET, MYF(0), "ALTER TABLE");
   else if (error)
     my_error(ER_ERROR_ON_RENAME, MYF(0), from, to, error);
-  DBUG_RETURN(error != 0);
+  return(error != 0);
 }
 
 
@@ -3242,10 +3189,6 @@
 void wait_while_table_is_used(THD *thd, TABLE *table,
                               enum ha_extra_function function)
 {
-  DBUG_ENTER("wait_while_table_is_used");
-  DBUG_PRINT("enter", ("table: '%s'  share: 0x%lx  db_stat: %u  version: %lu",
-                       table->s->table_name.str, (ulong) table->s,
-                       table->db_stat, table->s->version));
 
   safe_mutex_assert_owner(&LOCK_open);
 
@@ -3257,7 +3200,7 @@
   remove_table_from_cache(thd, table->s->db.str,
                           table->s->table_name.str,
                           RTFC_WAIT_OTHER_THREAD_FLAG);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 /*
@@ -3279,7 +3222,6 @@
 
 void close_cached_table(THD *thd, TABLE *table)
 {
-  DBUG_ENTER("close_cached_table");
 
   wait_while_table_is_used(thd, table, HA_EXTRA_FORCE_REOPEN);
   /* Close lock if this is not got with LOCK TABLES */
@@ -3293,7 +3235,7 @@
 
   /* When lock on LOCK_open is freed other threads can continue */
   broadcast_refresh();
-  DBUG_VOID_RETURN;
+  return;
 }
 
 static int send_check_errmsg(THD *thd, TABLE_LIST* table,
@@ -3322,10 +3264,9 @@
   char from[FN_REFLEN],tmp[FN_REFLEN+32];
   const char **ext;
   struct stat stat_info;
-  DBUG_ENTER("prepare_for_repair");
 
   if (!(check_opt->sql_flags & TT_USEFRM))
-    DBUG_RETURN(0);
+    return(0);
 
   if (!(table= table_list->table))		/* if open_ltable failed */
   {
@@ -3338,14 +3279,14 @@
                                   &error))))
     {
       pthread_mutex_unlock(&LOCK_open);
-      DBUG_RETURN(0);				// Can't open frm file
+      return(0);				// Can't open frm file
     }
 
     if (open_table_from_share(thd, share, "", 0, 0, 0, &tmp_table, OTM_OPEN))
     {
       release_table_share(share, RELEASE_NORMAL);
       pthread_mutex_unlock(&LOCK_open);
-      DBUG_RETURN(0);                           // Out of memory
+      return(0);                           // Out of memory
     }
     table= &tmp_table;
     pthread_mutex_unlock(&LOCK_open);
@@ -3451,7 +3392,7 @@
     closefrm(table, 1);				// Free allocated memory
     pthread_mutex_unlock(&LOCK_open);
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -3482,10 +3423,9 @@
   LEX *lex= thd->lex;
   int result_code= 0;
   CHARSET_INFO *cs= system_charset_info;
-  DBUG_ENTER("mysql_admin_table");
 
   if (end_active_trans(thd))
-    DBUG_RETURN(1);
+    return(1);
   field_list.push_back(item = new Item_empty_string("Table",
                                                     NAME_CHAR_LEN * 2,
                                                     cs));
@@ -3498,7 +3438,7 @@
   item->maybe_null = 1;
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   mysql_ha_rm_tables(thd, tables, FALSE);
 
@@ -3508,8 +3448,6 @@
     char* db = table->db;
     bool fatal_error=0;
 
-    DBUG_PRINT("admin", ("table: '%s'.'%s'", table->db, table->table_name));
-    DBUG_PRINT("admin", ("extra_open_options: %u", extra_open_options));
     strxmov(table_name, db, ".", table->table_name, NullS);
     thd->open_options|= extra_open_options;
     table->lock_type= lock_type;
@@ -3539,25 +3477,20 @@
       table->next_local= save_next_local;
       thd->open_options&= ~extra_open_options;
     }
-    DBUG_PRINT("admin", ("table: 0x%lx", (long) table->table));
 
     if (prepare_func)
     {
-      DBUG_PRINT("admin", ("calling prepare_func"));
       switch ((*prepare_func)(thd, table, check_opt)) {
       case  1:           // error, message written to net
         ha_autocommit_or_rollback(thd, 1);
         end_trans(thd, ROLLBACK);
         close_thread_tables(thd);
-        DBUG_PRINT("admin", ("simple error, admin next table"));
         continue;
       case -1:           // error, message could be written to net
         /* purecov: begin inspected */
-        DBUG_PRINT("admin", ("severe error, stop"));
         goto err;
         /* purecov: end */
       default:           // should be 0 otherwise
-        DBUG_PRINT("admin", ("prepare_func succeeded"));
         ;
       }
     }
@@ -3572,7 +3505,6 @@
     */
     if (!table->table)
     {
-      DBUG_PRINT("admin", ("open table failed"));
       if (!thd->warn_list.elements)
         push_warning(thd, MYSQL_ERROR::WARN_LEVEL_ERROR,
                      ER_CHECK_NO_SUCH_TABLE, ER(ER_CHECK_NO_SUCH_TABLE));
@@ -3584,7 +3516,6 @@
       /* purecov: begin inspected */
       char buff[FN_REFLEN + MYSQL_ERRMSG_SIZE];
       uint length;
-      DBUG_PRINT("admin", ("sending error message"));
       protocol->prepare_for_resend();
       protocol->store(table_name, system_charset_info);
       protocol->store(operator_name, system_charset_info);
@@ -3606,7 +3537,6 @@
     /* Close all instances of the table to allow repair to rename files */
     if (lock_type == TL_WRITE && table->table->s->version)
     {
-      DBUG_PRINT("admin", ("removing table from cache"));
       pthread_mutex_lock(&LOCK_open);
       const char *old_message=thd->enter_cond(&COND_refresh, &LOCK_open,
 					      "Waiting to get writelock");
@@ -3625,7 +3555,6 @@
     if (table->table->s->crashed && operator_func == &handler::ha_check)
     {
       /* purecov: begin inspected */
-      DBUG_PRINT("admin", ("sending crashed warning"));
       protocol->prepare_for_resend();
       protocol->store(table_name, system_charset_info);
       protocol->store(operator_name, system_charset_info);
@@ -3644,7 +3573,6 @@
           (table->table->file->ha_check_for_upgrade(check_opt) ==
            HA_ADMIN_NEEDS_ALTER))
       {
-        DBUG_PRINT("admin", ("recreating table"));
         ha_autocommit_or_rollback(thd, 1);
         close_thread_tables(thd);
         tmp_disable_binlog(thd); // binlogging is done by caller if wanted
@@ -3662,9 +3590,7 @@
       }
     }
 
-    DBUG_PRINT("admin", ("calling operator_func '%s'", operator_name));
     result_code = (table->table->file->*operator_func)(thd, check_opt);
-    DBUG_PRINT("admin", ("operator_func returned: %d", result_code));
 
 send_result:
 
@@ -3693,7 +3619,6 @@
 
 send_result_message:
 
-    DBUG_PRINT("info", ("result_code: %d", result_code));
     switch (result_code) {
     case HA_ADMIN_NOT_IMPLEMENTED:
       {
@@ -3870,7 +3795,7 @@
   }
 
   my_eof(thd);
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 
 err:
   ha_autocommit_or_rollback(thd, 1);
@@ -3878,14 +3803,13 @@
   close_thread_tables(thd);			// Shouldn't be needed
   if (table)
     table->table=0;
-  DBUG_RETURN(TRUE);
+  return(TRUE);
 }
 
 
 bool mysql_repair_table(THD* thd, TABLE_LIST* tables, HA_CHECK_OPT* check_opt)
 {
-  DBUG_ENTER("mysql_repair_table");
-  DBUG_RETURN(mysql_admin_table(thd, tables, check_opt,
+  return(mysql_admin_table(thd, tables, check_opt,
 				"repair", TL_WRITE, 1,
                                 test(check_opt->sql_flags & TT_USEFRM),
                                 HA_OPEN_FOR_REPAIR,
@@ -3896,8 +3820,7 @@
 
 bool mysql_optimize_table(THD* thd, TABLE_LIST* tables, HA_CHECK_OPT* check_opt)
 {
-  DBUG_ENTER("mysql_optimize_table");
-  DBUG_RETURN(mysql_admin_table(thd, tables, check_opt,
+  return(mysql_admin_table(thd, tables, check_opt,
 				"optimize", TL_WRITE, 1,0,0,0,
 				&handler::ha_optimize));
 }
@@ -3921,7 +3844,6 @@
 {
   HA_CHECK_OPT check_opt;
   KEY_CACHE *key_cache;
-  DBUG_ENTER("mysql_assign_to_keycache");
 
   check_opt.init();
   pthread_mutex_lock(&LOCK_global_system_variables);
@@ -3929,11 +3851,11 @@
   {
     pthread_mutex_unlock(&LOCK_global_system_variables);
     my_error(ER_UNKNOWN_KEY_CACHE, MYF(0), key_cache_name->str);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
   pthread_mutex_unlock(&LOCK_global_system_variables);
   check_opt.key_cache= key_cache;
-  DBUG_RETURN(mysql_admin_table(thd, tables, &check_opt,
+  return(mysql_admin_table(thd, tables, &check_opt,
 				"assign_to_keycache", TL_READ_NO_INSERT, 0, 0,
 				0, 0, &handler::assign_to_keycache));
 }
@@ -3967,14 +3889,12 @@
 int reassign_keycache_tables(THD *thd, KEY_CACHE *src_cache,
 			     KEY_CACHE *dst_cache)
 {
-  DBUG_ENTER("reassign_keycache_tables");
-
   DBUG_ASSERT(src_cache != dst_cache);
   DBUG_ASSERT(src_cache->in_init);
   src_cache->param_buff_size= 0;		// Free key cache
   ha_resize_key_cache(src_cache);
   ha_change_key_cache(src_cache, dst_cache);
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -3993,13 +3913,12 @@
 
 bool mysql_preload_keys(THD* thd, TABLE_LIST* tables)
 {
-  DBUG_ENTER("mysql_preload_keys");
   /*
     We cannot allow concurrent inserts. The storage engine reads
     directly from the index file, bypassing the cache. It could read
     outdated information if parallel inserts into cache blocks happen.
   */
-   DBUG_RETURN(mysql_admin_table(thd, tables, 0,
+   return(mysql_admin_table(thd, tables, 0,
 				"preload_keys", TL_READ_NO_INSERT, 0, 0, 0, 0,
 				&handler::preload_keys));
 }
@@ -4028,7 +3947,6 @@
   bool tmp_table= (create_info->options & HA_LEX_CREATE_TMP_TABLE);
   uint keys= schema_table->table->s->keys;
   uint db_options= 0;
-  DBUG_ENTER("mysql_create_like_schema_frm");
 
   bzero((char*) &local_create_info, sizeof(local_create_info));
   local_create_info.db_type= schema_table->table->s->db_type();
@@ -4038,19 +3956,19 @@
   schema_table->table->use_all_columns();
   if (mysql_prepare_alter_table(thd, schema_table->table,
                                 &local_create_info, &alter_info))
-    DBUG_RETURN(1);
+    return(1);
   if (mysql_prepare_create_table(thd, &local_create_info, &alter_info,
                                  tmp_table, &db_options,
                                  schema_table->table->file,
                                  &schema_table->table->s->key_info, &keys, 0))
-    DBUG_RETURN(1);
+    return(1);
   local_create_info.max_rows= 0;
   if (mysql_create_frm(thd, dst_path, NullS, NullS,
                        &local_create_info, alter_info.create_list,
                        keys, schema_table->table->s->key_info,
                        schema_table->table->file))
-    DBUG_RETURN(1);
-  DBUG_RETURN(0);
+    return(1);
+  return(0);
 }
 
 
@@ -4080,7 +3998,6 @@
   int  err;
   bool res= TRUE;
   uint not_used;
-  DBUG_ENTER("mysql_create_like_table");
 
 
   /* CREATE TABLE ... LIKE is not allowed for views. */
@@ -4096,7 +4013,7 @@
     operations which matter.
   */
   if (open_tables(thd, &src_table, &not_used, 0))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   strxmov(src_path, src_table->table->s->path.str, reg_ext, NullS);
 
@@ -4235,7 +4152,7 @@
         }
         VOID(pthread_mutex_unlock(&LOCK_open));
 
-        IF_DBUG(int result=) store_create_info(thd, table, &query,
+        int result= store_create_info(thd, table, &query,
                                                create_info);
 
         DBUG_ASSERT(result == 0); // store_create_info() always return 0
@@ -4274,7 +4191,7 @@
     unlink_open_table(thd, name_lock, FALSE);
     pthread_mutex_unlock(&LOCK_open);
   }
-  DBUG_RETURN(res);
+  return(res);
 }
 
 
@@ -4282,8 +4199,7 @@
 {
   thr_lock_type lock_type = TL_READ_NO_INSERT;
 
-  DBUG_ENTER("mysql_analyze_table");
-  DBUG_RETURN(mysql_admin_table(thd, tables, check_opt,
+  return(mysql_admin_table(thd, tables, check_opt,
 				"analyze", lock_type, 1, 0, 0, 0,
 				&handler::ha_analyze));
 }
@@ -4293,8 +4209,7 @@
 {
   thr_lock_type lock_type = TL_READ_NO_INSERT;
 
-  DBUG_ENTER("mysql_check_table");
-  DBUG_RETURN(mysql_admin_table(thd, tables, check_opt,
+  return(mysql_admin_table(thd, tables, check_opt,
 				"check", lock_type,
 				0, 0, HA_OPEN_FOR_REPAIR, 0,
 				&handler::ha_check));
@@ -4310,7 +4225,6 @@
   TABLE *table;
   my_bool discard;
   int error;
-  DBUG_ENTER("mysql_discard_or_import_tablespace");
 
   /*
     Note that DISCARD/IMPORT TABLESPACE always is the only operation in an
@@ -4329,7 +4243,7 @@
   if (!(table=open_ltable(thd, table_list, TL_WRITE, 0)))
   {
     thd->tablespace_op=FALSE;
-    DBUG_RETURN(-1);
+    return(-1);
   }
 
   error= table->file->ha_discard_or_import_tablespace(discard);
@@ -4354,12 +4268,12 @@
   if (error == 0)
   {
     my_ok(thd);
-    DBUG_RETURN(0);
+    return(0);
   }
 
   table->file->print_error(error, MYF(0));
     
-  DBUG_RETURN(-1);
+  return(-1);
 }
 
 /**
@@ -4450,7 +4364,6 @@
     create_info->varchar will be reset in mysql_prepare_create_table.
   */
   bool varchar= create_info->varchar;
-  DBUG_ENTER("compare_tables");
 
   {
     /*
@@ -4480,14 +4393,14 @@
                                    &ha_alter_info->key_info_buffer,
                                    &ha_alter_info->key_count,
                                    /* select_field_count */ 0))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     /* Allocate result buffers. */
     if (! (ha_alter_info->index_drop_buffer=
            (uint*) thd->alloc(sizeof(uint) * table->s->keys)) ||
         ! (ha_alter_info->index_add_buffer=
            (uint*) thd->alloc(sizeof(uint) *
                               tmp_alter_info.key_list.elements)))
-      DBUG_RETURN(TRUE);
+      return(TRUE);
   }
   /*
     First we setup ha_alter_flags based on what was detected
@@ -4495,13 +4408,6 @@
   */
   setup_ha_alter_flags(alter_info, alter_flags);
 
-#ifndef DBUG_OFF
-  {
-    char dbug_string[HA_MAX_ALTER_FLAGS+1];
-    alter_flags->print(dbug_string);
-    DBUG_PRINT("info", ("alter_flags:  %s", (char *) dbug_string));
-  }
-#endif
 
   /*
     Some very basic checks. If number of fields changes, or the
@@ -4627,8 +4533,6 @@
   KEY *new_key_end=
        ha_alter_info->key_info_buffer + ha_alter_info->key_count;
 
-  DBUG_PRINT("info", ("index count old: %d  new: %d",
-                      table->s->keys, ha_alter_info->key_count));
   /*
     Step through all keys of the old table and search matching new keys.
   */
@@ -4666,7 +4570,6 @@
       else
         *alter_flags|= HA_DROP_INDEX;
       *table_changes= IS_EQUAL_NO;
-      DBUG_PRINT("info", ("index dropped: '%s'", table_key->name));
       continue;
     }
 
@@ -4739,7 +4642,6 @@
         field->flags|= FIELD_IN_ADD_INDEX;
     }
     *table_changes= IS_EQUAL_NO;
-    DBUG_PRINT("info", ("index changed: '%s'", table_key->name));
   }
   /*end of for (; table_key < table_key_end;) */
 
@@ -4782,18 +4684,10 @@
       else
         *alter_flags|= HA_ADD_INDEX;
       *table_changes= IS_EQUAL_NO;
-      DBUG_PRINT("info", ("index added: '%s'", new_key->name));
     }
   }
-#ifndef DBUG_OFF
-  {
-    char dbug_string[HA_MAX_ALTER_FLAGS+1];
-    alter_flags->print(dbug_string);
-    DBUG_PRINT("info", ("alter_flags:  %s", (char *) dbug_string));
-  }
-#endif
 
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 }
 
 
@@ -4817,10 +4711,6 @@
                              enum enum_enable_or_disable keys_onoff)
 {
   int error= 0;
-  DBUG_ENTER("alter_table_manage_keys");
-  DBUG_PRINT("enter", ("table=%p were_disabled=%d on_off=%d",
-             table, indexes_were_disabled, keys_onoff));
-
   switch (keys_onoff) {
   case ENABLE:
     error= table->file->ha_enable_indexes(HA_KEY_SWITCH_NONUNIQ_SAVE);
@@ -4842,7 +4732,7 @@
   } else if (error)
     table->file->print_error(error, MYF(0));
 
-  DBUG_RETURN(error);
+  return(error);
 }
 
 int create_temporary_table(THD *thd,
@@ -4856,7 +4746,6 @@
   int error;
   char index_file[FN_REFLEN], data_file[FN_REFLEN];
   handlerton *old_db_type, *new_db_type;
-  DBUG_ENTER("create_temporary_table");
   old_db_type= table->s->db_type();
   new_db_type= create_info->db_type;
   /*
@@ -4930,7 +4819,7 @@
                             create_info, alter_info, 1, 0);
   reenable_binlog(thd);
 
-  DBUG_RETURN(error);
+  return(error);
 }
 
 /*
@@ -4965,7 +4854,6 @@
   TABLE *altered_table;
   char tmp_name[80];
   char path[FN_REFLEN];
-  DBUG_ENTER("create_altered_table");
 
   my_snprintf(tmp_name, sizeof(tmp_name), "%s-%lx_%lx",
               tmp_file_prefix, current_pid, thd->thread_id);
@@ -4978,17 +4866,16 @@
                                      &altered_create_info,
                                      alter_info, db_change)))
   {
-    DBUG_PRINT("info", ("Error %u while creating temporary table", error));
-    DBUG_RETURN(NULL);
+    return(NULL);
   };
 
   build_table_filename(path, sizeof(path), new_db, tmp_name, "",
                        FN_IS_TMP);
   altered_table= open_temporary_table(thd, path, new_db, tmp_name, 1,
                                       OTM_ALTER);
-  DBUG_RETURN(altered_table);
+  return(altered_table);
 
-  DBUG_RETURN(NULL);
+  return(NULL);
 }
 
 
@@ -5029,7 +4916,6 @@
   bool online= (table->file->ha_table_flags() & HA_ONLINE_ALTER)?true:false;
   TABLE *t_table;
 
-  DBUG_ENTER(" mysql_fast_or_online_alter_table");
   if (online)
   {
    /*
@@ -5129,8 +5015,7 @@
 
  err:
   if (error)
-    DBUG_PRINT("info", ("Got error %u", error));
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -5197,7 +5082,6 @@
   KEY *key_info=table->key_info;
   bool rc= TRUE;
 
-  DBUG_ENTER("mysql_prepare_alter_table");
 
   create_info->varchar= FALSE;
   /* Let new create options override the old ones */
@@ -5534,7 +5418,7 @@
   alter_info->create_list.swap(new_create_list);
   alter_info->key_list.swap(new_key_list);
 err:
-  DBUG_RETURN(rc);
+  return(rc);
 }
 
 
@@ -5595,12 +5479,11 @@
   handlerton *old_db_type, *new_db_type, *save_old_db_type;
   legacy_db_type table_type;
   frm_type_enum frm_type;
-  DBUG_ENTER("mysql_alter_table");
 
   if (table_list && table_list->schema_table)
   {
     my_error(ER_DBACCESS_DENIED_ERROR, MYF(0), "", "", INFORMATION_SCHEMA_NAME.str);
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   /*
@@ -5621,7 +5504,7 @@
   /* DISCARD/IMPORT TABLESPACE is always alone in an ALTER TABLE */
   if (alter_info->tablespace_op != NO_TABLESPACE_OP)
     /* Conditionally writes to binlog. */
-    DBUG_RETURN(mysql_discard_or_import_tablespace(thd,table_list,
+    return(mysql_discard_or_import_tablespace(thd,table_list,
 						   alter_info->tablespace_op));
   strxnmov(new_name_buff, sizeof (new_name_buff) - 1, mysql_data_home, "/", db, 
            "/", table_name, reg_ext, NullS);
@@ -5642,7 +5525,7 @@
   frm_type= mysql_frm_type(thd, new_name_buff, &table_type);
 
   if (!(table= open_n_lock_single_table(thd, table_list, TL_WRITE_ALLOW_READ)))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   table->use_all_columns();
 
   /*
@@ -5656,13 +5539,12 @@
       (table->s->tmp_table == NO_TMP_TABLE))
   {
     my_error(ER_LOCK_OR_ACTIVE_TRANSACTION, MYF(0));
-    DBUG_RETURN(TRUE);
+    return(TRUE);
   }
 
   /* Check that we are not trying to rename to an existing table */
   if (new_name)
   {
-    DBUG_PRINT("info", ("new_db.new_name: '%s'.'%s'", new_db, new_name));
     strmov(new_name_buff,new_name);
     strmov(new_alias= new_alias_buff, new_name);
     if (lower_case_table_names)
@@ -5690,17 +5572,17 @@
 	if (find_temporary_table(thd,new_db,new_name_buff))
 	{
 	  my_error(ER_TABLE_EXISTS_ERROR, MYF(0), new_name_buff);
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
 	}
       }
       else
       {
         if (lock_table_name_if_not_cached(thd, new_db, new_name, &name_lock))
-          DBUG_RETURN(TRUE);
+          return(TRUE);
         if (!name_lock)
         {
 	  my_error(ER_TABLE_EXISTS_ERROR, MYF(0), new_alias);
-	  DBUG_RETURN(TRUE);
+	  return(TRUE);
         }
 
         build_table_filename(new_name_buff, sizeof(new_name_buff),
@@ -5740,13 +5622,9 @@
   if (create_info->row_type == ROW_TYPE_NOT_USED)
     create_info->row_type= table->s->row_type;
 
-  DBUG_PRINT("info", ("old type: %s  new type: %s",
-             ha_resolve_storage_engine_name(old_db_type),
-             ha_resolve_storage_engine_name(new_db_type)));
   if (ha_check_storage_engine_flag(old_db_type, HTON_ALTER_NOT_SUPPORTED) ||
       ha_check_storage_engine_flag(new_db_type, HTON_ALTER_NOT_SUPPORTED))
   {
-    DBUG_PRINT("info", ("doesn't support alter"));
     my_error(ER_ILLEGAL_HA, MYF(0), table_name);
     goto err;
   }
@@ -5862,7 +5740,7 @@
       unlink_open_table(thd, name_lock, FALSE);
     VOID(pthread_mutex_unlock(&LOCK_open));
     table_list->table= NULL;                    // For query cache
-    DBUG_RETURN(error);
+    return(error);
   }
 
   /* We have to do full alter table. */
@@ -5912,7 +5790,7 @@
                        &ha_alter_info,
                        &table_changes))
     {
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
 
     /*
@@ -5920,15 +5798,6 @@
       on-line.
     */
 
-#ifndef DBUG_OFF
-    {
-      char dbug_string[HA_MAX_ALTER_FLAGS+1];
-      ha_alter_flags.print(dbug_string);
-      DBUG_PRINT("info", ("need_copy_table: %u, table_changes: %u, Real alter_flags:  %s",
-                          need_copy_table, table_changes,
-                          (char *) dbug_string));
-    }
-#endif
 
     /*
       If table is not renamed, changed database and
@@ -5983,15 +5852,6 @@
         close_temporary_table(thd, altered_table, 1, 1);
         goto err;
       }
-#ifndef DBUG_OFF
-      {
-        char dbug_string[HA_MAX_ALTER_FLAGS+1];
-        ha_alter_flags.print(dbug_string);
-        DBUG_PRINT("info", ("need_copy_table: %u, table_changes: %u, Real alter_flags:  %s",
-                            need_copy_table, table_changes,
-                            (char *) dbug_string));
-      }
-#endif
 
     }
     /* TODO need to check if changes can be handled as fast ALTER TABLE */
@@ -6277,7 +6137,7 @@
 	      (ulong) thd->cuted_fields);
   my_ok(thd, copied + deleted, 0L, tmp_name);
   thd->some_tables_deleted=0;
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 
 err1:
   if (new_table)
@@ -6327,7 +6187,7 @@
     unlink_open_table(thd, name_lock, FALSE);
     pthread_mutex_unlock(&LOCK_open);
   }
-  DBUG_RETURN(TRUE);
+  return(TRUE);
 
 err_with_placeholders:
   /*
@@ -6339,7 +6199,7 @@
   if (name_lock)
     unlink_open_table(thd, name_lock, FALSE);
   VOID(pthread_mutex_unlock(&LOCK_open));
-  DBUG_RETURN(TRUE);
+  return(TRUE);
 }
 /* mysql_alter_table */
 
@@ -6367,7 +6227,6 @@
   bool auto_increment_field_copied= 0;
   ulong save_sql_mode;
   ulonglong prev_insert_id;
-  DBUG_ENTER("copy_data_between_tables");
 
   /*
     Turn off recovery logging since rollback of an alter table is to
@@ -6377,13 +6236,13 @@
   */
   error= ha_enable_transaction(thd, FALSE);
   if (error)
-    DBUG_RETURN(-1);
+    return(-1);
   
   if (!(copy= new Copy_field[to->s->fields]))
-    DBUG_RETURN(-1);				/* purecov: inspected */
+    return(-1);				/* purecov: inspected */
 
   if (to->file->ha_external_lock(thd, F_WRLCK))
-    DBUG_RETURN(-1);
+    return(-1);
 
   /* We need external lock before we can disable/enable keys */
   alter_table_manage_keys(to, from->file->indexes_are_disabled(), keys_onoff);
@@ -6557,7 +6416,7 @@
   to->file->ha_release_auto_increment();
   if (to->file->ha_external_lock(thd,F_UNLCK))
     error=1;
-  DBUG_RETURN(error > 0 ? -1 : 0);
+  return(error > 0 ? -1 : 0);
 }
 
 
@@ -6577,8 +6436,7 @@
   HA_CREATE_INFO create_info;
   Alter_info alter_info;
 
-  DBUG_ENTER("mysql_recreate_table");
-  DBUG_ASSERT(!table_list->next_global);
+  assert(!table_list->next_global);
   /*
     table_list->table has been closed and freed. Do not reference
     uninitialized data. open_tables() could fail.
@@ -6590,7 +6448,7 @@
   create_info.default_table_charset=default_charset_info;
   /* Force alter table to recreate table */
   alter_info.flags= (ALTER_CHANGE_COLUMN | ALTER_RECREATE);
-  DBUG_RETURN(mysql_alter_table(thd, NullS, NullS, &create_info,
+  return(mysql_alter_table(thd, NullS, NullS, &create_info,
                                 table_list, &alter_info, 0,
                                 (ORDER *) 0, 0));
 }
@@ -6603,7 +6461,6 @@
   List<Item> field_list;
   Item *item;
   Protocol *protocol= thd->protocol;
-  DBUG_ENTER("mysql_checksum_table");
 
   field_list.push_back(item = new Item_empty_string("Table", NAME_LEN*2));
   item->maybe_null= 1;
@@ -6612,7 +6469,7 @@
   item->maybe_null= 1;
   if (protocol->send_fields(&field_list,
                             Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
-    DBUG_RETURN(TRUE);
+    return(TRUE);
 
   /* Open one table after the other to keep lock time as short as possible. */
   for (table= tables; table; table= table->next_local)
@@ -6704,13 +6561,13 @@
   }
 
   my_eof(thd);
-  DBUG_RETURN(FALSE);
+  return(FALSE);
 
  err:
   close_thread_tables(thd);			// Shouldn't be needed
   if (table)
     table->table=0;
-  DBUG_RETURN(TRUE);
+  return(TRUE);
 }
 
 static bool check_engine(THD *thd, const char *table_name,

=== modified file 'sql/sql_udf.cc'
--- sql/sql_udf.cc	2008-06-25 05:29:13 +0000
+++ sql/sql_udf.cc	2008-07-03 02:53:22 +0000
@@ -447,8 +447,6 @@
     strxnmov(dlpath, sizeof(dlpath) - 1, opt_plugin_dir, "/", udf->dl, NullS);
     if (!(dl = dlopen(dlpath, RTLD_NOW)))
     {
-      DBUG_PRINT("error",("dlopen of %s failed, error: %d (%s)",
-                          udf->dl, errno, dlerror()));
       my_error(ER_CANT_OPEN_LIBRARY, MYF(0),
                udf->dl, errno, dlerror());
       goto err;

=== modified file 'sql/sql_update.cc'
--- sql/sql_update.cc	2008-06-25 05:29:13 +0000
+++ sql/sql_update.cc	2008-07-03 02:53:22 +0000
@@ -1028,8 +1028,6 @@
                       options | SELECT_NO_JOIN_CACHE | SELECT_NO_UNLOCK |
                       OPTION_SETUP_TABLES_DONE,
                       result, unit, select_lex);
-  DBUG_PRINT("info",("res: %d  report_error: %d", res,
-                     (int) thd->is_error()));
   res|= thd->is_error();
   if (unlikely(res))
   {

=== modified file 'sql/table.cc'
--- sql/table.cc	2008-07-01 19:42:41 +0000
+++ sql/table.cc	2008-07-03 02:53:22 +0000
@@ -45,12 +45,11 @@
 Object_creation_ctx *Object_creation_ctx::set_n_backup(THD *thd)
 {
   Object_creation_ctx *backup_ctx;
-  DBUG_ENTER("Object_creation_ctx::set_n_backup");
 
   backup_ctx= create_backup_ctx(thd);
   change_env(thd);
 
-  DBUG_RETURN(backup_ctx);
+  return(backup_ctx);
 }
 
 void Object_creation_ctx::restore_env(THD *thd, Object_creation_ctx *backup_ctx)
@@ -183,9 +182,6 @@
   char *key_buff, *path_buff;
   char path[FN_REFLEN];
   uint path_length;
-  DBUG_ENTER("alloc_table_share");
-  DBUG_PRINT("enter", ("table: '%s'.'%s'",
-                       table_list->db, table_list->table_name));
 
   path_length= build_table_filename(path, sizeof(path) - 1,
                                     table_list->db,
@@ -232,7 +228,7 @@
     pthread_mutex_init(&share->mutex, MY_MUTEX_INIT_FAST);
     pthread_cond_init(&share->cond, NULL);
   }
-  DBUG_RETURN(share);
+  return(share);
 }
 
 
@@ -263,8 +259,6 @@
                           uint key_length, const char *table_name,
                           const char *path)
 {
-  DBUG_ENTER("init_tmp_table_share");
-  DBUG_PRINT("enter", ("table: '%s'.'%s'", key, table_name));
 
   bzero((char*) share, sizeof(*share));
   init_sql_alloc(&share->mem_root, TABLE_ALLOC_BLOCK_SIZE, 0);
@@ -294,7 +288,7 @@
   */
   share->table_map_id= (ulong) thd->query_id;
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -312,8 +306,6 @@
 void free_table_share(TABLE_SHARE *share)
 {
   MEM_ROOT mem_root;
-  DBUG_ENTER("free_table_share");
-  DBUG_PRINT("enter", ("table: %s.%s", share->db.str, share->table_name.str));
   DBUG_ASSERT(share->ref_count == 0);
 
   /*
@@ -341,7 +333,7 @@
   /* We must copy mem_root from share because share is allocated through it */
   memcpy((char*) &mem_root, (char*) &share->mem_root, sizeof(mem_root));
   free_root(&mem_root, MYF(0));                 // Free's share
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -426,9 +418,6 @@
   uchar head[64], *disk_buff;
   char	path[FN_REFLEN];
   MEM_ROOT **root_ptr, *old_root;
-  DBUG_ENTER("open_table_def");
-  DBUG_PRINT("enter", ("table: '%s'.'%s'  path: '%s'", share->db.str,
-                       share->table_name.str, share->normalized_path.str));
 
   error= 1;
   error_given= 0;
@@ -533,7 +522,7 @@
     open_table_error(share, error, (share->open_errno= my_errno), 0);
   }
 
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -567,7 +556,6 @@
   my_bitmap_map *bitmaps;
   uchar *buff= 0;
   uchar *field_extra_info= 0;
-  DBUG_ENTER("open_binary_frm");
 
   new_field_pack_flag= head[27];
   new_frm_ver= (head[2] - FRM_VER);
@@ -746,7 +734,6 @@
   {
     /* Read extra data segment */
     uchar *next_chunk, *buff_end;
-    DBUG_PRINT("info", ("extra segment size is %u bytes", n_length));
     if (!(next_chunk= buff= (uchar*) my_malloc(n_length, MYF(MY_WME))))
       goto err;
     if (pread(file, buff, n_length, record_offset + share->reclength) == 0)
@@ -789,9 +776,6 @@
         */
         plugin_unlock(NULL, share->db_plugin);
         share->db_plugin= my_plugin_lock(NULL, &tmp_plugin);
-        DBUG_PRINT("info", ("setting dbtype to '%.*s' (%d)",
-                            str_db_type_length, next_chunk + 2,
-                            ha_legacy_type(share->db_type())));
       }
       else if (!tmp_plugin)
       {
@@ -828,8 +812,6 @@
       //reading long table comment
       if (next_chunk + 2 > buff_end)
       {
-          DBUG_PRINT("error",
-                     ("long table comment is not defined in .frm"));
           my_free(buff, MYF(0));
           goto err;
       }
@@ -856,14 +838,11 @@
       {
         if (share->mysql_version >= MYSQL_VERSION_TABLESPACE_IN_FRM)
         {
-          DBUG_PRINT("error", ("Found no field extra info"));
           goto err;
         }
-        DBUG_PRINT("info", ("Found no field extra info"));
       }
       else
       {
-        DBUG_PRINT("info", ("Found field extra info"));
         const uint format_section_header_size= 8;
         uint format_section_len= uint2korr(next_chunk+0);
         uint flags=              uint4korr(next_chunk+2);
@@ -885,10 +864,9 @@
         next_chunk+= format_section_len;
       }
     }
-    DBUG_ASSERT (next_chunk <= buff_end);
+    assert (next_chunk <= buff_end);
     if (next_chunk > buff_end)
     {
-      DBUG_PRINT("error", ("Buffer overflow in field extra info"));
       goto err;
     }
   }
@@ -922,7 +900,6 @@
                                      share->comment.length);
   }
 
-  DBUG_PRINT("info",("i_count: %d  i_parts: %d  index: %d  n_length: %d  int_length: %d  com_length: %d", interval_count,interval_parts, share->keys,n_length,int_length, com_length));
 
   if (!(field_ptr = (Field **)
 	alloc_root(&share->mem_root,
@@ -1028,8 +1005,6 @@
       storage_type= (enum ha_storage_media)(tmp & STORAGE_TYPE_MASK);
       column_format= (enum column_format_type)
                     ((tmp >> COLUMN_FORMAT_SHIFT) & COLUMN_FORMAT_MASK);
-      DBUG_PRINT("info", ("Field extra: storage %u format %u",
-                          storage_type, column_format));
     }
     if (new_frm_ver >= 3)
     {
@@ -1436,7 +1411,7 @@
 #endif
   if (buff)
     my_free(buff, MYF(0));
-  DBUG_RETURN (0);
+  return (0);
 
  err:
   if (buff)
@@ -1450,7 +1425,7 @@
   hash_free(&share->name_hash);
 
   open_table_error(share, error, share->open_errno, errarg);
-  DBUG_RETURN(error);
+  return(error);
 } /* open_binary_frm */
 
 
@@ -1491,13 +1466,6 @@
   bool error_reported= FALSE;
   uchar *record, *bitmaps;
   Field **field_ptr;
-  DBUG_ENTER("open_table_from_share");
-  DBUG_PRINT("enter",("name: '%s.%s'  form: 0x%lx, open mode:%s",
-                      share->db.str,
-                      share->table_name.str,
-                      (long) outparam,
-                      (open_mode == OTM_OPEN)?"open":
-                      ((open_mode == OTM_CREATE)?"create":"alter")));
 
   /* Parsing of partitioning information from .frm needs thd->lex set up. */
   DBUG_ASSERT(thd->lex->is_lex_started);
@@ -1696,8 +1664,6 @@
             Too many files opened, use same error message as if the .frm
             file can't open
            */
-          DBUG_PRINT("error", ("open file: %s failed, too many files opened (errno: %d)", 
-		  share->normalized_path.str, ha_err));
 	  error= 1;
 	  my_errno= EMFILE;
           break;
@@ -1721,7 +1687,7 @@
                                HA_HAS_OWN_BINLOGGING);
   thd->status_var.opened_tables++;
 
-  DBUG_RETURN (0);
+  return (0);
 
  err:
   if (!error_reported && !(prgflag & DONT_GIVE_ERROR))
@@ -1731,7 +1697,7 @@
   outparam->db_stat=0;
   free_root(&outparam->mem_root, MYF(0));       // Safe to call on bzero'd root
   my_free((char*) outparam->alias, MYF(MY_ALLOW_ZERO_PTR));
-  DBUG_RETURN (error);
+  return (error);
 }
 
 
@@ -1747,8 +1713,6 @@
 int closefrm(register TABLE *table, bool free_share)
 {
   int error=0;
-  DBUG_ENTER("closefrm");
-  DBUG_PRINT("enter", ("table: 0x%lx", (long) table));
 
   if (table->db_stat)
     error=table->file->close();
@@ -1770,7 +1734,7 @@
       free_table_share(table->s);
   }
   free_root(&table->mem_root, MYF(0));
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -1794,7 +1758,6 @@
   uint a_length,names,length;
   uchar *pos,*buf;
   ulong ret_value=0;
-  DBUG_ENTER("get_form_pos");
 
   names=uint2korr(head+8);
   a_length=(names+2)*sizeof(char *);		/* Room for two extra */
@@ -1814,7 +1777,7 @@
 		MYF(MY_NABP)))
     {						/* purecov: inspected */
       x_free((uchar*) buf);			/* purecov: inspected */
-      DBUG_RETURN(0L);				/* purecov: inspected */
+      return(0L);				/* purecov: inspected */
     }
     pos= buf+a_length+length;
     ret_value=uint4korr(pos);
@@ -1832,7 +1795,7 @@
     str=(char *) (buf+a_length);
     fix_type_pointers((const char ***) &buf,save_names,1,&str);
   }
-  DBUG_RETURN(ret_value);
+  return(ret_value);
 }
 
 
@@ -1845,7 +1808,6 @@
 
 int read_string(File file, uchar**to, size_t length)
 {
-  DBUG_ENTER("read_string");
 
   x_free(*to);
   if (!(*to= (uchar*) my_malloc(length+1,MYF(MY_WME))) ||
@@ -1853,10 +1815,10 @@
   {
     x_free(*to);                              /* purecov: inspected */
     *to= 0;                                   /* purecov: inspected */
-    DBUG_RETURN(1);                           /* purecov: inspected */
+    return(1);                           /* purecov: inspected */
   }
   *((char*) *to+length)= '\0';
-  DBUG_RETURN (0);
+  return (0);
 } /* read_string */
 
 
@@ -1869,7 +1831,6 @@
   ulong endpos,newpos;
   uchar buff[IO_SIZE];
   uchar *pos;
-  DBUG_ENTER("make_new_entry");
 
   length=(uint) strlen(newname)+1;
   n_length=uint2korr(fileinfo+4);
@@ -1888,17 +1849,17 @@
     {
       VOID(my_seek(file,(ulong) (endpos-bufflength),MY_SEEK_SET,MYF(0)));
       if (my_read(file, buff, bufflength, MYF(MY_NABP+MY_WME)))
-	DBUG_RETURN(0L);
+	return(0L);
       VOID(my_seek(file,(ulong) (endpos-bufflength+IO_SIZE),MY_SEEK_SET,
 		   MYF(0)));
       if ((my_write(file, buff,bufflength,MYF(MY_NABP+MY_WME))))
-	DBUG_RETURN(0);
+	return(0);
       endpos-=bufflength; bufflength=IO_SIZE;
     }
     bzero(buff,IO_SIZE);			/* Null new block */
     VOID(my_seek(file,(ulong) maxlength,MY_SEEK_SET,MYF(0)));
     if (my_write(file,buff,bufflength,MYF(MY_NABP+MY_WME)))
-	DBUG_RETURN(0L);
+	return(0L);
     maxlength+=IO_SIZE;				/* Fix old ref */
     int2store(fileinfo+6,maxlength);
     for (i=names, pos= (uchar*) *formnames->type_names+n_length-1; i-- ;
@@ -1921,12 +1882,12 @@
       (names && my_write(file,(uchar*) (*formnames->type_names+n_length-1),
 			 names*4, MYF(MY_NABP+MY_WME))) ||
       my_write(file, fileinfo+10, 4,MYF(MY_NABP+MY_WME)))
-    DBUG_RETURN(0L); /* purecov: inspected */
+    return(0L); /* purecov: inspected */
 
   int2store(fileinfo+8,names+1);
   int2store(fileinfo+4,n_length+length);
   (void)ftruncate(file, newpos);/* Append file with '\0' */
-  DBUG_RETURN(newpos);
+  return(newpos);
 } /* make_new_entry */
 
 
@@ -1937,7 +1898,6 @@
   int err_no;
   char buff[FN_REFLEN];
   myf errortype= ME_ERROR+ME_WAITTANG;
-  DBUG_ENTER("open_table_error");
 
   switch (error) {
   case 7:
@@ -2001,7 +1961,7 @@
     my_error(ER_NOT_FORM_FILE, errortype, buff, 0);
     break;
   }
-  DBUG_VOID_RETURN;
+  return;
 } /* open_table_error */
 
 
@@ -2307,7 +2267,6 @@
 void update_create_info_from_table(HA_CREATE_INFO *create_info, TABLE *table)
 {
   TABLE_SHARE *share= table->s;
-  DBUG_ENTER("update_create_info_from_table");
 
   create_info->max_rows= share->max_rows;
   create_info->min_rows= share->min_rows;
@@ -2320,7 +2279,7 @@
   create_info->table_charset= 0;
   create_info->comment= share->comment;
 
-  DBUG_VOID_RETURN;
+  return;
 }
 
 int
@@ -2536,14 +2495,10 @@
   uint i;
   my_bool error= FALSE;
   my_bool fields_diff_count;
-  DBUG_ENTER("table_check_intact");
-  DBUG_PRINT("info",("table: %s  expected_count: %d",
-                     table->alias, table_f_count));
 
   fields_diff_count= (table->s->fields != table_f_count);
   if (fields_diff_count)
   {
-    DBUG_PRINT("info", ("Column count has changed, checking the definition"));
 
     /* previous MySQL version */
     if (MYSQL_VERSION_ID > table->s->mysql_version)
@@ -2551,13 +2506,13 @@
       sql_print_error(ER(ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE),
                       table->alias, table_f_count, table->s->fields,
                       table->s->mysql_version, MYSQL_VERSION_ID);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
     else if (MYSQL_VERSION_ID == table->s->mysql_version)
     {
       sql_print_error(ER(ER_COL_COUNT_DOESNT_MATCH_CORRUPTED), table->alias,
                       table_f_count, table->s->fields);
-      DBUG_RETURN(TRUE);
+      return(TRUE);
     }
     /*
       Something has definitely changed, but we're running an older
@@ -2648,7 +2603,7 @@
       error= TRUE;
     }
   }
-  DBUG_RETURN(error);
+  return(error);
 }
 
 
@@ -2733,20 +2688,18 @@
 static Item *
 merge_on_conds(THD *thd, TABLE_LIST *table, bool is_cascaded)
 {
-  DBUG_ENTER("merge_on_conds");
 
   Item *cond= NULL;
-  DBUG_PRINT("info", ("alias: %s", table->alias));
   if (table->on_expr)
     cond= table->on_expr->copy_andor_structure(thd);
   if (!table->nested_join)
-    DBUG_RETURN(cond);
+    return(cond);
   List_iterator<TABLE_LIST> li(table->nested_join->join_list);
   while (TABLE_LIST *tbl= li++)
   {
     cond= and_conds(cond, merge_on_conds(thd, tbl, is_cascaded));
   }
-  DBUG_RETURN(cond);
+  return(cond);
 }
 
 
@@ -3082,7 +3035,6 @@
 Item *create_view_field(THD *thd, TABLE_LIST *view, Item **field_ref,
                         const char *name)
 {
-  DBUG_ENTER("create_view_field");
   if (view->schema_table_reformed)
   {
     Item *field= *field_ref;
@@ -3093,10 +3045,10 @@
       field. This case happens only for 'show & where' commands.
     */
     DBUG_ASSERT(field && field->fixed);
-    DBUG_RETURN(field);
+    return(field);
   }
 
-  DBUG_RETURN(NULL);
+  return(NULL);
 }
 
 
@@ -3119,7 +3071,6 @@
 
 void Field_iterator_table_ref::set_field_iterator()
 {
-  DBUG_ENTER("Field_iterator_table_ref::set_field_iterator");
   /*
     If the table reference we are iterating over is a natural join, or it is
     an operand of a natural join, and TABLE_LIST::join_columns contains all
@@ -3143,19 +3094,15 @@
                   table_ref->join_columns->elements ==
                   table_ref->table->s->fields)));
     field_it= &natural_join_it;
-    DBUG_PRINT("info",("field_it for '%s' is Field_iterator_natural_join",
-                       table_ref->alias));
   }
   /* This is a base table or stored view. */
   else
   {
     DBUG_ASSERT(table_ref->table);
     field_it= &table_field_it;
-    DBUG_PRINT("info", ("field_it for '%s' is Field_iterator_table",
-                        table_ref->alias));
   }
   field_it->set(table_ref);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3388,7 +3335,6 @@
 
 void st_table::prepare_for_position()
 {
-  DBUG_ENTER("st_table::prepare_for_position");
 
   if ((file->ha_table_flags() & HA_PRIMARY_KEY_IN_READ_INDEX) &&
       s->primary_key < MAX_KEY)
@@ -3397,7 +3343,7 @@
     /* signal change */
     file->column_bitmaps_signal();
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3414,13 +3360,12 @@
 void st_table::mark_columns_used_by_index(uint index)
 {
   MY_BITMAP *bitmap= &tmp_set;
-  DBUG_ENTER("st_table::mark_columns_used_by_index");
 
   (void) file->extra(HA_EXTRA_KEYREAD);
   bitmap_clear_all(bitmap);
   mark_columns_used_by_index_no_reset(index, bitmap);
   column_bitmaps_set(bitmap, bitmap);
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3437,13 +3382,12 @@
 
 void st_table::restore_column_maps_after_mark_index()
 {
-  DBUG_ENTER("st_table::restore_column_maps_after_mark_index");
 
   key_read= 0;
   (void) file->extra(HA_EXTRA_NO_KEYREAD);
   default_column_bitmaps();
   file->column_bitmaps_signal();
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3555,7 +3499,6 @@
 
 void st_table::mark_columns_needed_for_update()
 {
-  DBUG_ENTER("mark_columns_needed_for_update");
   if (file->ha_table_flags() & HA_REQUIRES_KEY_COLUMNS_FOR_DELETE)
   {
     /* Mark all used key columns for read */
@@ -3585,7 +3528,7 @@
       file->column_bitmaps_signal();
     }
   }
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -3854,17 +3797,16 @@
   File file;
   uchar header[10];     /* This should be optimized */
   int error;
-  DBUG_ENTER("mysql_frm_type");
 
   *dbt= DB_TYPE_UNKNOWN;
 
   if ((file= my_open(path, O_RDONLY | O_SHARE, MYF(0))) < 0)
-    DBUG_RETURN(FRMTYPE_ERROR);
+    return(FRMTYPE_ERROR);
   error= my_read(file, (uchar*) header, sizeof(header), MYF(MY_NABP));
   my_close(file, MYF(MY_WME));
 
   if (error)
-    DBUG_RETURN(FRMTYPE_ERROR);
+    return(FRMTYPE_ERROR);
 
   /*  
     This is just a check for DB_TYPE. We'll return default unknown type
@@ -3874,10 +3816,10 @@
   if (header[0] != (uchar) 254 || header[1] != 1 ||
       (header[2] != FRM_VER && header[2] != FRM_VER+1 &&
        (header[2] < FRM_VER+3 || header[2] > FRM_VER+4)))
-    DBUG_RETURN(FRMTYPE_TABLE);
+    return(FRMTYPE_TABLE);
 
   *dbt= (enum legacy_db_type) (uint) *(header + 3);
-  DBUG_RETURN(FRMTYPE_TABLE);                   // Is probably a .frm table
+  return(FRMTYPE_TABLE);                   // Is probably a .frm table
 }
 
 

=== modified file 'sql/tztime.cc'
--- sql/tztime.cc	2008-06-30 07:09:25 +0000
+++ sql/tztime.cc	2008-07-03 02:53:22 +0000
@@ -885,10 +885,9 @@
   uint i;
   int shift= 0;
 
-  DBUG_ENTER("TIME_to_gmt_sec");
 
   if (!validate_timestamp_range(t))
-    DBUG_RETURN(0);
+    return(0);
 
 
   /* We need this for correct leap seconds handling */
@@ -933,7 +932,7 @@
       This means that source time can't be represented as my_time_t due to
       limited my_time_t range.
     */
-    DBUG_RETURN(0);
+    return(0);
   }
 
   /* binary search for our range */
@@ -949,7 +948,7 @@
     if (local_t > (my_time_t) (TIMESTAMP_MAX_VALUE - shift * SECS_PER_DAY +
                                sp->revtis[i].rt_offset - saved_seconds))
     {
-      DBUG_RETURN(0);                           /* my_time_t overflow */
+      return(0);                           /* my_time_t overflow */
     }
     local_t+= shift * SECS_PER_DAY;
   }
@@ -972,7 +971,7 @@
   if (local_t < TIMESTAMP_MIN_VALUE)
     local_t= 0;
 
-  DBUG_RETURN(local_t);
+  return(local_t);
 }
 
 
@@ -1563,13 +1562,12 @@
   my_bool return_val= 1;
   char db[]= "mysql";
   int res;
-  DBUG_ENTER("my_tz_init");
 
   /*
     To be able to run this from boot, we allocate a temporary THD
   */
   if (!(thd= new THD))
-    DBUG_RETURN(1);
+    return(1);
   thd->thread_stack= (char*) &thd;
   thd->store_globals();
   lex_start(thd);
@@ -1687,10 +1685,6 @@
 
     tz_leapcnt++;
 
-    DBUG_PRINT("info",
-               ("time_zone_leap_second table: tz_leapcnt: %u  tt_time: %lu  offset: %ld",
-                tz_leapcnt, (ulong) tz_lsis[tz_leapcnt-1].ls_trans,
-                tz_lsis[tz_leapcnt-1].ls_corr));
 
     res= table->file->index_next(table->record[0]);
   }
@@ -1751,7 +1745,7 @@
     my_pthread_setspecific_ptr(THR_THD,  0);
     my_pthread_setspecific_ptr(THR_MALLOC,  0);
   }
-  DBUG_RETURN(return_val);
+  return(return_val);
 }
 
 
@@ -1819,7 +1813,6 @@
 #ifdef ABBR_ARE_USED
   char chars[max(TZ_MAX_CHARS + 1, (2 * (MY_TZNAME_MAX + 1)))];
 #endif
-  DBUG_ENTER("tz_load_from_open_tables");
 
   /* Prepare tz_info for loading also let us make copy of time zone name */
   if (!(alloc_buff= (char*) alloc_root(&tz_storage, sizeof(TIME_ZONE_INFO) +
@@ -1939,14 +1932,6 @@
     chars[tz_info->charcnt]= 0;
     tz_info->charcnt++;
 
-    DBUG_PRINT("info",
-      ("time_zone_transition_type table: tz_id=%u tt_id=%u tt_gmtoff=%ld "
-       "abbr='%s' tt_isdst=%u", tzid, ttid, ttis[ttid].tt_gmtoff,
-       chars + ttis[ttid].tt_abbrind, ttis[ttid].tt_isdst));
-#else
-    DBUG_PRINT("info",
-      ("time_zone_transition_type table: tz_id=%u tt_id=%u tt_gmtoff=%ld "
-       "tt_isdst=%u", tzid, ttid, ttis[ttid].tt_gmtoff, ttis[ttid].tt_isdst));
 #endif
 
     /* ttid is increasing because we are reading using index */
@@ -2003,9 +1988,6 @@
     types[tz_info->timecnt]= ttid;
     tz_info->timecnt++;
 
-    DBUG_PRINT("info",
-      ("time_zone_transition table: tz_id: %u  tt_time: %lu  tt_id: %u",
-       tzid, (ulong) ttime, ttid));
 
     res= table->file->index_next_same(table->record[0],
                                       table->field[0]->ptr, 4);
@@ -2093,7 +2075,7 @@
   if (table)
     (void)table->file->ha_index_end();
 
-  DBUG_RETURN(return_val);
+  return(return_val);
 }
 
 
@@ -2221,12 +2203,9 @@
   Tz_names_entry *tmp_tzname;
   Time_zone *result_tz= 0;
   long offset;
-  DBUG_ENTER("my_tz_find");
-  DBUG_PRINT("enter", ("time zone name='%s'",
-                       name ? ((String *)name)->c_ptr_safe() : "NULL"));
 
   if (!name)
-    DBUG_RETURN(0);
+    return(0);
 
   VOID(pthread_mutex_lock(&tz_LOCK));
 
@@ -2237,7 +2216,6 @@
                                                      (const uchar *)&offset,
                                                      sizeof(long))))
     {
-      DBUG_PRINT("info", ("Creating new Time_zone_offset object"));
 
       if (!(result_tz= new (&tz_storage) Time_zone_offset(offset)) ||
           my_hash_insert(&offset_tzs, (const uchar *) result_tz))
@@ -2272,7 +2250,7 @@
 
   VOID(pthread_mutex_unlock(&tz_LOCK));
 
-  DBUG_RETURN(result_tz);
+  return(result_tz);
 }
 
 

=== modified file 'sql/uniques.cc'
--- sql/uniques.cc	2008-06-25 05:29:13 +0000
+++ sql/uniques.cc	2008-07-03 02:53:22 +0000
@@ -278,9 +278,6 @@
     result+= n_full_trees * log2_n_fact(max_elements_in_tree + 1.0);
   result /= TIME_FOR_COMPARE_ROWID;
 
-  DBUG_PRINT("info",("unique trees sizes: %u=%u*%lu + %lu", nkeys,
-                     n_full_trees, n_full_trees?max_elements_in_tree:0,
-                     last_tree_elems));
 
   if (!n_full_trees)
     return result;

=== modified file 'sql/unireg.cc'
--- sql/unireg.cc	2008-07-01 19:42:41 +0000
+++ sql/unireg.cc	2008-07-03 02:53:22 +0000
@@ -515,18 +515,12 @@
     int2store(pos+6, key->block_size);
     pos+=8;
     key_parts+=key->key_parts;
-    DBUG_PRINT("loop", ("flags: %lu  key_parts: %d at 0x%lx",
-                        key->flags, key->key_parts,
-                        (long) key->key_part));
     for (key_part=key->key_part,key_part_end=key_part+key->key_parts ;
 	 key_part != key_part_end ;
 	 key_part++)
 
     {
       uint offset;
-      DBUG_PRINT("loop",("field: %d  startpos: %lu  length: %d",
-			 key_part->fieldnr, key_part->offset + data_offset,
-                         key_part->length));
       int2store(pos,key_part->fieldnr+1+FIELD_NAME_USED);
       offset= (uint) (key_part->offset+data_offset+1);
       int2store(pos+2, offset);

